2007-12-29 10:43  cstim

	* [r16761] po/vi.po: Updated Vietnamese translation by Clytie
	  Siddall (he also submitted to the TP).

2007-12-27 22:16  cstim

	* [r16752] po/nl.po: Updated Dutch translation yet again by
	  Hendrik-Jan Heins

2007-12-27 21:24  cstim

	* [r16751] po/de.po: Update German translation with proposal from
	  IRC

2007-12-27 21:22  cstim

	* [r16750] po/nl.po: Updated Dutch translation by Hendrik-Jan Heins

2007-12-27 13:06  cstim

	* [r16744] po/ca.po, po/cs.po, po/da.po, po/el.po, po/en_GB.po,
	  po/es.po, po/es_NI.po, po/eu.po, po/fr.po, po/hu.po, po/it.po,
	  po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po: Update all po files by merging the latest pot
	  template.

2007-12-27 13:03  cstim

	* [r16743] po/de.po: Updated German translation after latest
	  string changes.

2007-12-27 10:49  cstim

	* [r16741] src/report/standard-reports/cash-flow.scm: [r16740] Fix
	  i18n string to translate only the meaningful part. Remove the
	  unnecessary "for" in the report title. This doesn't introduce
	  any new string. It can be back-ported right away.

2007-12-26 22:22  cstim

	* [r16738] po/de.po: Update German translation after latest i18n
	  string changes.

2007-12-26 22:14  cstim

	* [r16737] src/business/business-reports/aging.scm,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome/dialog-print-check.c, src/gnome/glade/print.glade,
	  src/import-export/generic-import.glade: [r16706] Fix spelling
	  errors in UI messages. Pointed out by Clytie Siddall. Those will
	  break several translated strings, but the fixed typos are an
	  actual improvement.

2007-12-26 22:13  cstim

	* [r16736] src/import-export/hbci/glade/hbci.glade,
	  src/import-export/qif-import/qif.glade: [r16705] Remove extra
	  spaces in glade messages. Pointed out by Clytie Siddal. Those
	  will break 2 translated strings.

2007-12-26 22:12  cstim

	* [r16735] src/gnome/druid-merge.c,
	  src/gnome/schemas/apps_gnucash_dialog_commodities.schemas.in,
	  src/gnome/schemas/apps_gnucash_dialog_prices.schemas.in,
	  src/gnome/schemas/apps_gnucash_warnings.schemas.in,
	  src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas.in,
	  src/report/report-gnome/window-report.c: [r16704] String
	  improvements in gconf labels and error messages as pointed out
	  by Clytie Siddall. Those strings are invisible for almost any
	  user anyway and can therefore be back-ported soon, too.
	* [r16734] po/POTFILES.skip: [r16733] Remove unused
	  import-export/qif files from translation input.

2007-12-23 21:49  cstim

	* [r16707] src/gnome/glade/budget.glade,
	  src/gnome/schemas/apps_gnucash_dialog_common.schemas.in,
	  src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/report.scm: String improvements, as
	  pointed out by Clytie Siddall. This changeset does not add any
	  untranslated strings and does not change any existing translated
	  strings.

2007-12-19 08:50  cstim

	* [r16681] po/vi.po: Updated Vietnamese translation by Clytie
	  Siddall, submitted through the TP.

2007-12-18 15:31  cstim

	* [r16679] AUTHORS, configure.in, po/vi.po: New Vietnamese
	  translation by Clytie Siddall, submitted through the TP today.

2007-12-16 20:37  andi5

	* [r16675] NEWS, configure.in, src/bin/gnucash-bin.c: Update to
	  release 2.2.2.

2007-12-16 18:41  andi5

	* [r16673] packaging/win32/Makefile.am: Fix make distcheck on
	  branches/2.2.
	* [r16672] src/app-utils/gnc-sx-instance-model.c: [r16670]
	  Bug#496178: freeing the result of guid_to_string(…) causes
	  memory corruption; use guid_to_string_buff(…) for clarity. Patch
	  from jsled.

2007-12-16 17:57  andi5

	* [r16671] src/bin/overrides/gnucash-make-guids,
	  src/engine/engine.i: [r16603] #499788: Swig-wrap guid_new_return
	  and use it for gnucash-make-guids.

2007-12-16 13:42  andi5

	* [r16667] src/gnome-utils/gnc-plugin-page.c: [r16606] Use
	  g_type_name(type) instead of formatting with %ld.

2007-12-16 13:24  andi5

	* [r16666] src/backend/file/io-gncxml-v2.c: [r16622] Glib 2.14
	  removed the pipe macro in gwin32.h, use _pipe instead.

2007-12-16 13:06  andi5

	* [r16665] packaging/win32/install.sh: [r16664] Win32: Explicitly
	  disable python support of ktoblzcheck.

2007-12-16 12:14  andi5

	* [r16663] src/report/standard-reports/advanced-portfolio.scm:
	  [r16620,r16632,r16631] Merge advanced portfolio fixes up to
	  r16631. Create a branch for advanced portfolio work Begin major
	  overhaul to advanced-portfolio report. Fixes #343245, #347739,
	  #460232. Implement stock splits/mergers code in basis
	  calculations. Fix handling of directly "expensed" shares. Remove
	  some cruft from advanced portfolio. Reintroduce some rounding
	  into basis calculations to prevent overflow on particularly
	  large accounts.

2007-12-15 23:33  andi5

	* [r16661] src/report/report-system/commodity-utilities.scm:
	  [r16651] provide some sane defaults for exchange functions. a
	  very hackish fix to #487572

2007-12-15 22:49  andi5

	* [r16660] src/gnome/dialog-sx-since-last-run.c: [r16610] #501059:
	  Clean up SLR dialog sx model and close with session. Avoid
	  ref'ing the model underlying the dialog so that it will be freed
	  correctly. Register the dialog as gui component to close it when
	  the session closed. Approved by jsled.

2007-12-15 22:46  andi5

	* [r16659] src/gnome/dialog-sx-editor.c: [r16597] #496023: Handle
	  correct signal for closing the sx editor. Approved by jsled.

2007-12-15 22:43  andi5

	* [r16658] src/app-utils/gnc-sx-instance-model.c: [r16652]
	  Bug#500427: copy any notes associated with SXes upon creation.

2007-12-15 22:37  andi5

	* [r16657] src/bin/gnucash-bin.c: [r16650] Don't make unknown
	  command-line arguments abort the program, just warn and exit
	  non-zero.

2007-12-15 22:32  andi5

	* [r16656] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh: [r16655] Win32: Add libtiff, because
	  newer gtk+ versions depend on it.

2007-12-15 18:09  andi5

	* [r16649] packaging/win32/gnucash.iss.in: [r16647] Win32: Add
	  Brazilian Portuguese translation of inno strings, patch from
	  Leonardo Fontenelle.

2007-12-15 18:07  andi5

	* [r16648] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in,
	  packaging/win32/goffice-0.4.1-patch.diff,
	  packaging/win32/goffice-0.4.3-patch.diff,
	  packaging/win32/install.sh: [r16646] Win32: Update package
	  versions. Update to gettext 0.17, glib 2.14.4, cairo 1.4.10,
	  fontconfig 2.4.2-tml-20071015, atk 1.20.0, pango 1.18.3, gtk+
	  2.12.3, orbit2 2.14.10, gail 1.20.1, libbonobo 2.20.1, gnome-vfs
	  2.18.0.1, libgnome 2.20.1, libgnomecanvas 2.20.1, libbonoboui
	  2.20.0, libglade 2.6.2 and goffice 0.4.3. Gettext installs
	  translations to $prefix\lib\locale now, but not all gnome
	  packages have been rebuilt yet.

2007-12-14 21:58  andi5

	* [r16645] src/engine/gnc-commodity.c: [r16598] #499360: Patch by
	  Daniel Harding to fix a crash when editing certain commodities.
	  Replace some DEBUGs by LEAVEs as well.
	* [r16644] src/import-export/qif-import/qif-parse.scm,
	  src/import-export/qif/qif-parse.c: [r16601] #491581: Patch from
	  Charles Day to import qif Cash, ContribX and WithdrwX actions.

2007-12-14 20:45  andi5

	* [r16643] packaging/win32/install.sh: [r16638] #503579: Improve
	  pi.sh to allow reinstalling MSYS/MinGW, patch from Charles Day.
	  Approved by cstim.

2007-12-14 20:40  andi5

	* [r16642] po/glossary/pt_BR.po: Update Brazilian Portuguese
	  glossary, patch by Leonardo Fontenelle.

2007-12-14 20:24  andi5

	* [r16640] configure.in, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/hu.po, po/pt_BR.po,
	  src/import-export/hbci/druid-hbci-initial.c: [r16635,r16636]
	  #500026: Add configure argument for packagers to have correct
	  package name reported on missing qt3-wizard. Because gnucash is
	  a GTK+ application and HBCI setup wizard for aqbanking is a Qt
	  stuff, most distribution split aqbanking packages to more
	  sub-packages. This patch adds possibility to change string of
	  package name displayed in the reported error without need of
	  distro-specific patches breaking I18N. It could be done in
	  compile time using --with-qt3-wizard-package=name. Adapt
	  translations to last string change introduced by r16635. Patch
	  by Stanislav Brabec <sbrabec@suse.cz>. Signed-off-by: Christian
	  Stimming <stimming@tuhh.de>
	* [r16639] src/engine/cap-gains.c: [r16619] #492137: Patch from
	  Mike Alexander to fix regression in lot scrubber. As of r16370,
	  Timespec uses a signed integer for the seconds instead of an
	  unsigned. Approved by cstim.

2007-12-11 17:38  cstim

	* [r16634] po/de.po, po/glossary/de.po: Update German translation
	  as proposed by Frank H. Ellenberger.

2007-12-10 00:08  jsled

	* [r16630] src/app-utils/gnc-sx-instance-model.c: [merge r16629]
	  Bug#502755: duplicate hash-table-owned key to prevent memory
	  corruption

2007-12-05 22:46  andi5

	* [r16616] art/banner.svgz, art/icon.svgz, art/logo.svgz,
	  art/splash.svgz, src/pixmaps/gnucash_splash.png: s#Open
	  Source#Free#, s#Finance#Accounting#, s#Gnucash#GnuCash#. Merges
	  r16613 and r16615 from trunk.

2007-11-14 01:04  andi5

	* [r16596] Makefile.am, macros/svn2cl.xsl: Improve branch
	  selection of svn2cl.xsl. Merge r16595 from trunk. All included
	  branches can be configured in one xsl:variable now, with
	  optional child parameters 'before' and 'after', e.g. to support
	  branching points and intermediary merges. Fix the bug that the
	  date of a hidden previous log entry can undermine the printing
	  of a new date-author header for a log entry. The branch
	  selection based on the actual merge state: + trunk, until r16559
	  - gda-dev - module-cleanup

2007-11-11 17:32  andi5

	* [r16593] packaging/win32/defaults.sh: Update ktoblzcheck package
	  version. Merges r16583 from trunk.
	* [r16592] src/business/business-reports/payables.scm,
	  src/business/business-reports/receivables.scm: Fix erroneous
	  option ordering. Patch by Andrew Sackville-West. Merges r16581
	  from trunk.
	* [r16591] src/report/report-system/html-acct-table.scm: #488001:
	  Speed up several reports that rely on html-acct-table.scm.
	  Merges r16576 and r16577 from trunk. Patches by Andrew
	  Sackville-West and Mike Alexander.
	* [r16590] configure.in, src/gnome-utils/gnc-html-graph-gog.c:
	  #484576: Support goffice >= 0.5.1. Merges r16572 and r16574 from
	  trunk. For us, goffice 0.5.1 differs from 0.4 in that it lacks
	  GogRendererCairo and we can use GogRenderer and
	  gog_renderer_render_to_cairo() (new) directly. goffice 0.5.0
	  will not work with GnuCash.
	* [r16589] src/core-utils/gnc-gconf-utils.h: #490679: Honor GNOME
	  toolbar settings when specified. Merges r16570 from trunk. Readd
	  leading slash to DESKTOP_GNOME_INTERFACE for an absolute gconf
	  lookup. It has been removed in r14945 (by me).
	* [r16588] src/report/standard-reports/income-statement.scm: Add
	  optional two-column display of income statement and reversing
	  the income/expense order. Merges r16569 from trunk. This patch
	  implements a two-column income statement. I have sent this to
	  the original person who requested it on IRC, but haven't heard
	  back as to whether it actually solves his problem. Additionally,
	  the patch includes support for reversing the order of
	  income/expense tables in the report. It defaults to the standard
	  income/expense, but can be reversed to show expense/income (bad
	  news first?) and is supported by either one or two-column mode.
	  Patch by Andrew Sackville-West, bug#488004 Signed-off-by:
	  Christian Stimming <stimming@tuhh.de>
	* [r16587] src/gnome-utils/dialog-preferences.c: #487326: Remove
	  account separator gconf callback when closing preferences
	  dialog. Merges r16568 from trunk.
	* [r16586] src/import-export/qif-import/druid-qif-import.c,
	  src/import-export/qif-import/qif.glade: #487317: Fix qif import
	  druid when stepping back without a file selection. Merges r16567
	  from trunk. Also gray out "unload selected file" and "back"
	  buttons when there is no file selected.
	* [r16585] src/gnome-utils/dialog-options.c,
	  src/gnome-utils/gnc-account-sel.c: #482177: Emit
	  account_sel_changed on GncAccountSel when the combobox changed.
	  Merges r16564 from trunk. This makes it possible again to create
	  customer reports for other than only the first A/R account in
	  the list.
	* [r16584] packaging/win32/gnucash.iss.in,
	  packaging/win32/install.sh: Win32: Let gnucash.bat pass its
	  parameters to gnucash. Merges r16563 from trunk.

2007-10-15 20:14  andi5

	* [r16566] packaging/win32/defaults.sh: Update gwen/aqbanking
	  versions on windows. Merges r16565 from trunk.

2007-10-09 13:27  jsled

	* [r16558] trunk/src/gnome/gnucash.desktop.in.in: Add MimeType
	  directive so that systems can know how to open our files. :p

2007-10-08 21:55  andi5

	* [r16557] trunk/src/gnome-search/search.glade: In search dialog,
	  make top part naturally sized and bottom part expandable. Free
	  the search criteria box from its viewport and scrolledwindow and
	  let it take the space it needs. On the other hand, the search
	  results now fill the remaining space.

2007-10-07 22:45  andi5

	* [r16555]
	  trunk/src/business/business-gnome/glade/date-close.glade,
	  trunk/src/gnome-utils/gnc-account-sel.c: Patch from Geert
	  Janssens to expand rhs fields in the post dialog.

2007-10-06 23:05  andi5

	* [r16554] trunk/src/base-typemaps.i,
	  trunk/src/business/business-core/business-core.i: #483796, Fancy
	  Invoice: Convert the elements of an AccountValueList when
	  wrapping. GLIST_HELPER_INOUT does not touch the single elements
	  and GncAccountValue typemaps do not work here.

2007-10-05 20:38  cstim

	* [r16552] trunk/accounts/de_AT/acctchrt_common.gnucash-xea:
	  Replace "Sonstige Einkommen" by "Sonstige Erträge". (Forgot one
	  in r16551)

2007-10-05 20:32  cstim

	* [r16551] trunk/accounts/de_AT/acctchrt_business.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_full.gnucash-xea: Replace
	  "Sonstige Einkommen" by "Sonstige Erträge".
	* [r16550] trunk/accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_business.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_common.gnucash-xea: Replace
	  "Einkommen" by "Erträge" as proposed on gnucash-de.

2007-10-05 19:11  cstim

	* [r16549] trunk/src/engine/TransLog.c: Fix gcc-4.2 warning on a
	  string that cannot be NULL. Pointed out by Andrew Sackville-West.

2007-10-05 15:29  warlord

	* [r16548] trunk, trunk/configure.in: Reference bug #483631 for
	  slib failures as well.

2007-10-03 01:18  andi5

	* [r16547] trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofutil.c, trunk/lib/libqof/qof/qofutil.h:
	  #438360: Replace str{,n}casestr and strcasecmp by
	  qof_utf8_{substr_nocase,strcasecmp}. The functions used did not
	  work for non-ascii characters. The new implementations use
	  g_utf8_casefold and g_utf8_normalize to improve case insensitive
	  searches and comparisons.

2007-09-27 22:07  andi5

	* [r16545] trunk/src/app-utils/gnc-sx-instance-model.c: Fix a
	  NULL-%s-printf in the SX code, #481110.

2007-09-23 20:35  cstim

	* [r16544] trunk/po/glossary/zh_TW.po, trunk/po/zh_TW.po: Updated
	  Traditional Chinese (zh_TW) translations by Kuang-che Wu
	  <kcwu@csie.org>

2007-09-19 16:49  rolf

	* [r16542] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  fix some spelling mistakes

2007-09-19 16:21  rolf

	* [r16541] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  remove some superfluous white-space

2007-09-16 02:22  andi5

	* [r16535] trunk/packaging/win32/defaults.sh: Patch by Nathan
	  Buchanan to fix link to libxslt on zlatkovic.com.

2007-09-15 08:29  cstim

	* [r16533] trunk/po/de.po: Update German translation. Change
	  translation of 'vendor' into 'Lieferant' as suggested by Robert
	  Froschauer:

2007-09-14 20:42  cstim

	* [r16532] trunk/po/de.po, trunk/po/glossary/de.po: German wording
	  improvements as suggested by Robert Froschauer: 'income
	  statement' now 'Gewinn- und Verlustrechnung' 'total revenue' now
	  'Gesamterträge' 'vendor' now 'Lieferant', but not yet completely
	  done

2007-09-14 20:00  cstim

	* [r16529] trunk/accounts/Makefile.am: Fix messed-up Makefile for
	  new account templates.

2007-09-14 19:59  cstim

	* [r16528] trunk/po/pt_BR.po: Updated Brazilian Portugese
	  translation by Leonardo Fontenelle and Leslie H. Watter. We are
	  "a little" late, but this is the new pt_BR translation: - 3446
	  translated messages, - 184 fuzzy translations, - 56 untranslated
	  messages.
	* [r16527] trunk/accounts/Makefile.am, trunk/accounts/zh_CN,
	  trunk/accounts/zh_CN/Makefile.am,
	  trunk/accounts/zh_CN/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_business.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_common.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_full.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_renter.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/zh_CN/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/zh_HK,
	  trunk/accounts/zh_HK/acctchrt_business.gnucash-xea,
	  trunk/accounts/zh_TW,
	  trunk/accounts/zh_TW/acctchrt_business.gnucash-xea,
	  trunk/configure.in: Bug#473827: Chinese account templates by
	  titanwill. Includes the business account from the above
	  translation. The words "equity" and "state/province". Created
	  zh_TW and zh_HK translations of business account. Each one is
	  now set to the appropriate default currency (zh_CN = CNY, zh_TW
	  = TWD, zh_HK = HKD)

2007-09-12 15:56  warlord

	* [r16526] trunk, trunk/configure.in: Make sure we have a valid
	  gettext usermode when building (#476189) Test that HAVE_GETTEXT
	  is true and we can find gmsgfmt. Bomb out of configure if either
	  fails, because the build will fail later.

2007-09-12 03:19  jsled

	* [r16525] trunk/src/engine/iso-4217-currencies.scm: iso4217
	  currency updates

2007-09-12 02:56  jsled

	* [r16524] trunk/packaging/win32/install.sh: pause to let Windows
	  catch up with file creation; patch from Nathan Buchanan <nbinont
	  gmail com>.

2007-09-12 02:46  jsled

	* [r16523] trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/functions.sh: wget rate-limiting, patch
	  from Nathan Buchanan <nbinont gmail com>

2007-09-11 00:38  jsled

	* [r16522] trunk/src/engine/iso-4217-currencies.scm: Bug#475666:
	  add the Cuban Convertible Peso (CUC).

2007-09-10 19:29  cstim

	* [r16521] trunk/accounts/ja_JP.EUC/acctchrt_common.gnucash-xea:
	  Remove obsolete and unused ja_JP.EUC account template

2007-09-10 19:27  cstim

	* [r16520] trunk/accounts/Makefile.am, trunk/accounts/ja,
	  trunk/accounts/ja/Makefile.am,
	  trunk/accounts/ja/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/ja/acctchrt_business.gnucash-xea,
	  trunk/accounts/ja/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/ja/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/ja/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/ja/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/ja/acctchrt_common.gnucash-xea,
	  trunk/accounts/ja/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/ja/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/ja/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/ja/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/ja/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/ja/acctchrt_renter.gnucash-xea,
	  trunk/accounts/ja/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/ja/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/ja/acctchrt_spouseretire.gnucash-xea,
	  trunk/configure.in: Hiroto Kagotani: Newly translated Japanese
	  account files. He said: Instead, accounts/ja_JP.EUC and its
	  content can be safely removed.

2007-09-10 19:19  cstim

	* [r16519] trunk/src/tax/us/txf-de_DE.scm: Bug#473809: Rolf
	  Leggewie's work on German tax categories.

2007-09-10 13:45  rolf

	* [r16518] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SK04:
	  fix indentation
	* [r16517] trunk/accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03:
	  fix indentation

2007-09-10 08:14  rolf

	* [r16516] trunk/accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03:
	  replace guid with new sed -i s/type=\"guid\"/type=\"new\"/
	  accounts/de_DE/acctchrt_skr03.gnucash-xea

2007-09-10 08:10  rolf

	* [r16515] trunk/accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03:
	  validate SKR03, same as r16514 for SKR04

2007-09-09 19:27  rolf

	* [r16514] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  validate the XML file with the help of jsled and nxml-mode in
	  emacs

2007-09-09 12:52  cstim

	* [r16512] trunk/po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani.

2007-09-09 12:29  cstim

	* [r16511] trunk/po/cs.po: Updated Czech po file from the
	  Translation Project.

2007-09-07 19:52  cstim

	* [r16510] trunk/po/de.po: Update German translation after latest
	  string change.

2007-09-07 19:42  cstim

	* [r16509] trunk/src/business/business-reports/easy-invoice.scm,
	  trunk/src/business/business-reports/fancy-invoice.scm,
	  trunk/src/business/business-reports/invoice.scm: Make error
	  message on unselected invoice more verbose.

2007-09-05 03:44  jsled

	* [r16507] trunk/src/report/standard-reports/standard-reports.scm:
	  whitespace

2007-09-05 03:43  jsled

	* [r16506] trunk/src/report/utility-reports/view-column.scm: move
	  onto one line so greps are a bit more immediately useful.

2007-09-04 19:33  cstim

	* [r16505] trunk/src/tax/us/txf-de_DE.scm: Bug#471473: Updated
	  german tax categories by Rolf Leggewie.

2007-09-04 14:31  rolf

	* [r16504] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  replace all occurrences of "guid" with "new" Learned this from
	  bug#321405. jsled and I assume that this should be more stable.

2007-09-04 12:23  rolf

	* [r16503] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  add information to relate accounts to Umsatzsteuervoranmeldung
	  report

2007-09-04 11:48  rolf

	* [r16502] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  some more standardization in format for UstVa entries

2007-09-04 11:34  rolf

	* [r16501] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  make all UstVa entries similar in style

2007-09-04 11:22  rolf

	* [r16500] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  add line number to account 3832 to make description parallel to
	  other entries

2007-09-04 11:17  rolf

	* [r16499] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  add description for account 4140

2007-09-04 11:05  rolf

	* [r16498] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  shorten description a bit

2007-09-04 10:45  rolf

	* [r16497] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  convert to UTF-8 (and include the converted text as well ;-))

2007-09-04 10:41  rolf

	* [r16496] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  convert to UTF-8

2007-09-03 22:19  rolf

	* [r16495] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  remove sample accounts. It makes more sense to have information
	  on how to work with SKR04 at http://linuxwiki.de/GnuCash/EuerGc

2007-09-03 21:33  rolf

	* [r16494] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  pad some fields with zero instead of whitespace

2007-09-03 20:36  andi5

	* [r16493] trunk/accounts/de_CH/acctchrt_chkmu.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_full.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: #472205:
	  Replace &#; character references by latin0-encoded letters in
	  german account hierachies.

2007-09-03 20:22  rolf

	* [r16489] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  fix sorting (bug#432235)

2007-09-03 20:17  rolf

	* [r16488] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  fix spelling mistake

2007-09-02 20:18  cstim

	* [r16485] trunk/src/doc/design/component-manager.texinfo,
	  trunk/src/doc/design/engine.texinfo,
	  trunk/src/doc/design/intro.texinfo,
	  trunk/src/doc/design/register.texinfo,
	  trunk/src/doc/design/reports.texinfo,
	  trunk/src/doc/design/top-level.texinfo,
	  trunk/src/doc/design/user-preferences.texinfo: Bug#470750: Add
	  warning about outdated info to texinfo texts.

2007-09-02 19:40  cstim

	* [r16484] trunk/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  trunk/src/report/locale-specific/us/taxtxf.scm: Bug#471485: Fix
	  SWIGification string issues.
	* [r16483] trunk/src/tax/us/txf-de_DE.scm: Bug#471473: Add missing
	  German tax category.

2007-09-02 17:40  jsled

	* [r16482] trunk/src/app-utils/options.scm: remove stray 'u' that
	  crept in.

2007-09-02 16:54  cstim

	* [r16481] trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea: Update
	  German SKR04 account template by Frank Ellenberger. Bug#433428

2007-08-28 23:51  jsled

	* [r16478] trunk/src/app-utils/options.scm: Remove tab characters.
	  :p

2007-08-28 00:07  jsled

	* [r16477] trunk/src/register/register-gnome/gnucash-sheet.c,
	  trunk/src/register/register-gnome/gnucash-sheet.h: Bug#343448:
	  hide unused scrollbars in register; patch from Michael
	  Culbertson <michael.culbertson gmail com>.

2007-08-27 23:22  jsled

	* [r16476] trunk/src/gnome-utils/gnc-file.c: Bug#467521: disappear
	  the splash if we're about to put up the modal
	  problem-opening-file dialog.

2007-08-27 23:15  jsled

	* [r16475] trunk/src/gnome/dialog-print-check.c: Bug#467532:
	  change to pango drawing/clipping handling for wrapped strings;
	  patch from David Reiser <dbreiser earthlink net>.

2007-08-27 23:10  jsled

	* [r16474]
	  trunk/src/business/business-gnome/gnc-plugin-page-invoice.c,
	  trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome-utils/gnc-plugin-page.h,
	  trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/gnc-plugin-page-register.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in:
	  Bug#468681: configurable positioning for summary bar; patch from
	  Michael Culbertson <michael.culbertson gmail com>.

2007-08-27 22:51  jsled

	* [r16473] trunk/doc/tip_of_the_day.list.in: Bug#470801: remove
	  dev/unstable-branch item.

2007-08-19 16:47  andi5

	* [r16462] trunk/NEWS, trunk/configure.in,
	  trunk/src/bin/gnucash-bin.c: Update to release 2.2.1.

2007-08-19 15:57  andi5

	* [r16461] trunk/macros/svn2cl.xsl: Do not include
	  branches/register-rewrite in ChangeLog.

2007-08-19 12:59  andi5

	* [r16460] trunk/src/gnome-utils/gnc-tree-view.c: Respect "none"
	  as tree view sort column name, #468115. Fall back to default
	  ordering.

2007-08-19 01:17  andi5

	* [r16453] trunk/src/gnome/window-reconcile.c: Connect a signal to
	  a glade widget before destroying that. In some cases the
	  interest button in the reconciliation dialog is for payments, in
	  some for charges or otherwise it is completely destroyed. Avoid
	  a critical warning caused by binding a signal to it.

2007-08-18 15:48  jsled

	* [r16448] trunk/src/gnome-utils/gnc-dense-cal-store.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome/dialog-sx-editor.c: Optimize some dense-cal
	  (re-)drawing and updating. Add some timer-debuggings.

2007-08-18 15:28  jsled

	* [r16447] trunk/HACKING: misc changes

2007-08-16 17:10  cstim

	* [r16438] trunk/po/hu.po: Updated Hungarian translation

2007-08-13 14:13  jsled

	* [r16422] trunk/src/engine/iso-4217-currencies.scm: add Yemeni
	  Riyal (YER).

2007-08-12 19:14  cstim

	* [r16421] trunk/po/hu.po, trunk/po/nb.po, trunk/po/nl.po,
	  trunk/po/uk.po: Fix translations that accidentally added the
	  context prefix to their translation.

2007-08-12 18:39  cstim

	* [r16420] trunk/po/hu.po: Updated Hungarian translation

2007-08-11 22:49  chris

	* [r16419] trunk/src/backend/file/io-gncxml-v2.c: Minor typo fix
	  in debugging output.

2007-08-11 15:10  cstim

	* [r16414] trunk/po/de.po: Update German translation.

2007-08-10 11:46  andi5

	* [r16410] trunk/configure.in,
	  trunk/src/import-export/hbci/druid-hbci-initial.c: Revert r15799
	  and teach FreeBSD WEXITSTATUS, #465338.

2007-08-09 11:35  andi5

	* [r16409] trunk/src/register/register-gnome/gnucash-sheet.c: Make
	  right-clicks in registers work like left-clicks plus popup,
	  #339260. To avoid confusion and possible data loss, the register
	  should focus the transaction that was right-clicked so that
	  actions chosen from the popup apply to the one the user probably
	  wanted. The code was already there but unused because of missing
	  register sheet popups.
	* [r16408] trunk/src/scm/doc.scm: Remove old code unused since
	  r14253.

2007-08-08 20:07  jsled

	* [r16405] trunk/src/app-utils/gnc-sx-instance-model.c: remove
	  superfluous comment.

2007-08-08 14:25  jsled

	* [r16404] trunk/src/bin/gnucash-bin.c: remove now-unused var.

2007-08-08 04:20  jsled

	* [r16403] trunk/src/bin/gnucash-bin.c: Given set_log_level will
	  maintain its own safe copy of the string, we don't need to 'dup
	  it.

2007-08-08 04:19  jsled

	* [r16402] trunk/lib/libqof/qof/qoflog.c: Move g_strdup inside of
	  set_log_level to be a slightly better citizen and fix a serious
	  bug. :/

2007-08-07 10:35  andi5

	* [r16401] trunk/src/gnome-utils/dialog-options.c: Fix a win32
	  crash when resetting pixmap options.

2007-08-07 10:28  andi5

	* [r16400] trunk/src/gnome-utils/gnc-html.c: Let
	  gnc_html_parse_url grok Windows filenames, #462567. Change the
	  regular expression that should match the protocol in a given URL
	  so that it requires at least two characters and C:\ or C:/ will
	  not be interpreted as [prot=C, path=\] (or path=/, resp.). Also
	  replace two hard-coded slash operations by g_path_is_absolute
	  and g_build_filename.

2007-08-07 01:00  jsled

	* [r16399] trunk/src/engine/Split.c: Bug#452496: This survived my
	  regular receipt entry session, a whole 30 minutes of light
	  testing. So, more testing is probably good, but ain't that
	  always the case.

2007-08-07 00:56  andi5

	* [r16398] trunk/src/app-utils/file-utils.c: In gncFindFile, use
	  g_path_is_absolute instead of file[0]=='/'.

2007-08-06 15:40  andi5

	* [r16393] trunk/src/gnome/gnc-plugin-page-account-tree.c: Avoid
	  critical warnings when searching interactively in account tree.
	  gnc_account_n_children will print those when it is called with
	  NULL.

2007-08-06 10:30  andi5

	* [r16392] trunk/src/gnome-utils/dialog-account.c: Avoid a
	  critical warning when editing an account. As gnc_account_to_ui
	  is called before a parent account is selected, get_ui_fullname
	  should not depend on it so that gnc_account_is_root does not
	  always print a critical warning (GNC_IS_ACCOUNT(account) failed).

2007-08-05 21:44  jsled

	* [r16388] trunk/src/engine/gnc-engine.c: If there's no SQL_DIR,
	  then there's no SQL module to load. So don't. :p

2007-08-05 21:24  jsled

	* [r16387] trunk/lib/libqof/qof/qoflog.h,
	  trunk/src/backend/file/gnc-book-xml-v2.c,
	  trunk/src/backend/file/gnc-freqspec-xml-v2.c,
	  trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/backend/file/gnc-xml.h,
	  trunk/src/backend/file/sixtp-dom-parsers.h,
	  trunk/src/engine/FreqSpec.c, trunk/src/engine/FreqSpec.h,
	  trunk/src/engine/FreqSpecP.h, trunk/src/engine/Makefile.am,
	  trunk/src/engine/Recurrence.c, trunk/src/engine/Recurrence.h,
	  trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/SchedXaction.h, trunk/src/engine/cashobjects.c,
	  trunk/src/engine/gnc-engine.c, trunk/src/engine/gnc-engine.h,
	  trunk/src/engine/test-core/test-engine-stuff.c,
	  trunk/src/engine/test/Makefile.am,
	  trunk/src/engine/test/test-freq-spec.c,
	  trunk/src/engine/test/test-recurrence.c,
	  trunk/src/gnome-utils/gnc-dense-cal-store.c,
	  trunk/src/gnome-utils/gnc-dense-cal-store.h,
	  trunk/src/gnome-utils/gnc-frequency.c,
	  trunk/src/gnome-utils/gnc-frequency.h,
	  trunk/src/gnome/dialog-sx-editor.c,
	  trunk/src/gnome/druid-acct-period.c,
	  trunk/src/gnome/druid-loan.c: Remove FreqSpec.

2007-08-04 10:31  cstim

	* [r16383] trunk/po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani

2007-08-04 10:10  cstim

	* [r16382] trunk/Makefile.am, trunk/po/glossary/hu.po: Add
	  Hungarian glossary by Tako Kornel.

2007-08-03 01:30  jsled

	* [r16380] trunk/src/gnome/druid-loan.c: Bug#170729: format a
	  literal value to get the locale-specific decimal separator.

2007-08-03 01:26  jsled

	* [r16379] trunk/src/import-export/qif-import/druid-qif-import.c:
	  Bug#445917: parity between label and button. Patch from Andreas
	  Köhler. ;)

2007-08-02 23:48  jsled

	* [r16378] trunk/src/bin/gnucash-bin.c,
	  trunk/src/gnome-utils/gnc-file.c,
	  trunk/src/gnome-utils/gnc-splash.c,
	  trunk/src/gnome-utils/gnc-window.c: Bug#457944: Keep splash
	  screen during file loading. - do not destroy the splash screen
	  during file loading - display which reports are rendered in the
	  progress field of the splash screen Patch from Herbert Thoma
	  <herbert.thoma iis fraunhofer de>

2007-08-02 23:41  jsled

	* [r16377] trunk/src/backend/file/sixtp.c: whitespace: s/tab/space/

2007-07-30 19:21  cstim

	* [r16373] trunk/po/ca.po: Updated Catalan translation from the
	  Translation Project. Fixed the context-prefix messages with `|'
	  myself, though.

2007-07-29 16:00  jsled

	* [r16370] trunk/lib/libqof/qof/gnc-date.h: Bug#361604: patch from
	  Mike Alexander <mta umich edu> to fix datatype for gnc-date.h to
	  allow ranging negative, which is important in a few places.

2007-07-27 16:49  cstim

	* [r16366] trunk/po/ca.po: Updated Catalan translation from the
	  Translation Project.

2007-07-27 14:12  warlord

	* [r16365] trunk, trunk/src/engine/TransLog.c: Don't need to test
	  for NULL. (#460924) dnow,dent,dpost always exist

2007-07-26 19:15  warlord

	* [r16362] trunk, trunk/util/gnc-svnversion: limit SVK version
	  information to 5 revisions/copies. Otherwise the svk version
	  info just continues to grow ad nausium
	* [r16361] trunk,
	  trunk/src/business/business-reports/owner-report.scm,
	  trunk/src/report/standard-reports/standard-reports.scm: Don't
	  crash running the Account/Account Txn Reports from A/R (#460432)
	  Two fixes here: * make sure to call the correct report. The C
	  code calls into scheme with a #f, not '(), so check for both
	  cases in standard-reports.scm. * In the owner-report, don't
	  return #f or '() but rather return -1 when the user tries to run
	  the Account Transaction Report on A/R or A/P when they don't
	  have a transaction selected. This will at least stop gnucash
	  from crashing, but it will appear that gnucash isn't doing
	  anything. A step in the right direction but still not the best
	  solution.

2007-07-24 18:32  cstim

	* [r16353] trunk/src/engine/iso-4217-currencies.scm: Fix XPF [CFP
	  Franc Pacifique] to not use cents. By Dominique Corbex
	  <dominique.corbex@gmail.com>: The XPF currency [CFP Franc
	  Pacifique], used in French Polynesia, New Caledonia, Wallis and
	  Futuna islands has 2 digits after the decimal point in Gnucash.
	  That's wrong as the XPF currency makes no use of cents. (see
	  http://www.wikipedia.com/wiki/Currency_codes and search for XPF)

2007-07-23 19:13  cstim

	* [r16352] trunk/AUTHORS, trunk/po/en_GB.po: Update British
	  English translation by Nigel Titley.

2007-07-22 19:17  andi5

	* [r16351] trunk/packaging/win32/gnucash.iss.in: Add code page
	  information to gnucash.bat, #458783. Instead of trying to
	  retrieve the system code page, simply hard-code the code pages
	  for the configured languages. This is one more string for each
	  new translation of the custom messages. Suggestions for how to
	  parse the LangOptions/LanguageCodePage parameter in isl files
	  are welcome.

2007-07-22 12:09  cstim

	* [r16350] trunk/po/en_GB.po: Fix erroneous msgstr containing
	  context prefix

2007-07-22 08:21  cstim

	* [r16349] trunk/po/fr.po: Updated French translation by Stephane
	  Raimbault

2007-07-22 01:51  andi5

	* [r16347] trunk/packaging/win32/dist.sh: LibGSF does not install
	  schema files anymore, drop corresponding dist rule.

2007-07-22 01:41  andi5

	* [r16346] trunk/packaging/win32/Makefile.am,
	  trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/goffice-0.3.7-patch.diff,
	  trunk/packaging/win32/goffice-0.4.1-patch.diff,
	  trunk/packaging/win32/install.sh: Update LibGSF (1.14.5) and
	  GOffice (0.4.1) on Windows.

2007-07-21 19:57  cstim

	* [r16345] trunk/packaging/win32/defaults.sh: Update many Gnome
	  packages in the hope of getting rid of some bugs. This includes
	  updating ORBit2 to 2.14.7; on the WinXP machine I have available
	  this meant gconfd ran just fine. But we'd need to get some
	  further feedback on whether it really works or whether we need
	  to stick to ORBit2 2.13.3.

2007-07-21 08:07  cstim

	* [r16344] trunk/po/de.po: Update German translation

2007-07-20 21:59  cstim

	* [r16341] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in: Ship the gnucash binary
	  including the Qt DLLs. #457228
	* [r16340] trunk/packaging/win32/dist.sh: Install Windows theme of
	  gtk for improved ui. #458567

2007-07-20 21:42  cstim

	* [r16339] po/ja.po: [trunk 16336] Updated Japanese translation by
	  Hiroto Kagotani

2007-07-20 21:40  cstim

	* [r16338] .gitignore: [trunk 16334] Update gitignore

2007-07-20 21:19  cstim

	* [r16337] po/ca.po: [trunk 16333] Updated Catalan translation
	  from the Translation Project.

2007-07-20 21:06  cstim

	* [r16336] trunk/po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani

2007-07-20 20:52  cstim

	* [r16335] trunk/src/import-export/hbci/glade/hbci.glade: Fix
	  missing keyboard shortcut in string.

2007-07-20 20:51  cstim

	* [r16334] trunk/.gitignore: Update gitignore
	* [r16333] trunk/po/ca.po: Updated Catalan translation from the
	  Translation Project.

2007-07-19 22:34  jsled

	* [r16331] trunk/src/gnome/gnc-plugin-basic-commands.c,
	  trunk/src/gnome/ui/gnc-plugin-basic-commands-ui.xml:
	  [branches/2.2 16327] Bug#458434: disable the not-really-ready
	  "Close Books" and "Import QSF" menu items.

2007-07-19 22:33  jsled

	* [r16330] trunk/src/gnome-utils/gnc-main-window.c: [branches/2.2
	  16326] Bug#457027: adjust the near-side copyright year to, uh,
	  this year. :)

2007-07-19 22:32  jsled

	* [r16329] trunk/src/bin/gnucash-bin.c: [branches/2.2 16325]
	  Bug#457812: adjust the stable (2.2)/dev (2.4) version number
	  message text. Patch from Kevin Hale Boyes.

2007-07-19 22:31  jsled

	* [r16328] trunk/packaging/gnucash.spec.in: [branches/2.2 16324]
	  Bug#458080: update RPM specfile BuildRequires to remove g-wrap.
	  Patch from Kevin Hale Boyes.

2007-07-19 22:18  jsled

	* [r16327] src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Bug#458434:
	  disable the not-really-ready "Close Books" and "Import QSF" menu
	  items.

2007-07-19 22:17  jsled

	* [r16326] src/gnome-utils/gnc-main-window.c: Bug#457027: adjust
	  the near-side copyright year to, uh, this year. :)

2007-07-19 22:15  jsled

	* [r16325] src/bin/gnucash-bin.c: Bug#457812: adjust the stable
	  (2.2)/dev (2.4) version number message text. Patch from Kevin
	  Hale Boyes.

2007-07-19 22:08  jsled

	* [r16324] packaging/gnucash.spec.in: Bug#458080: update RPM
	  specfile BuildRequires to remove g-wrap. Patch from Kevin Hale
	  Boyes.

2007-07-16 20:01  andi5

	* [r16318] packaging/win32/defaults.sh: Install.sh: Compile
	  branches/2.2 instead of trunk.

2007-07-14 11:20  cstim

	* [r16310] trunk/po/fr.po: Revert latest French translation as per
	  Stephane Raimbault's request, due to various introduced wording
	  errors.

2007-07-14 08:09  cstim

	* [r16308] trunk/po/uk.po: Updated Ukrainian translation from
	  Translation Project.

2007-07-14 01:31  wilddev

	* [r16306] trunk/src/gnome-utils/Makefile.am: update to release
	  2.2.0

2007-07-14 01:00  wilddev

	* [r16303] trunk/NEWS, trunk/configure.in: update to release 2.2.0

2007-07-12 19:14  cstim

	* [r16301] trunk/po/pt_BR.po: Updated Portuguese (Brazil)
	  translation by Leonardo Fontenelle and team.
	* [r16300] trunk/po/de.po: Improve German translation as proposed
	  by Frank H. Ellenberger.
	* [r16299] trunk/po/sk.po: Update Slovak translation from TP.

2007-07-11 20:51  andi5

	* [r16296] trunk/src/import-export/ofx/gnc-ofx-import.c: Fix an
	  ofx import memory leak and a non-ascii-path problem on win32. On
	  Win32, the import file path needs to be converted to the system
	  codepage for libofx. Also, free it afterwards.

2007-07-10 20:51  cstim

	* [r16295] trunk/packaging/win32/Makefile.am: Fix erroneous dir in
	  Makefile

2007-07-10 20:11  cstim

	* [r16294] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/el.po, trunk/po/en_GB.po, trunk/po/es.po,
	  trunk/po/es_NI.po, trunk/po/eu.po, trunk/po/fr.po,
	  trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po, trunk/po/nb.po,
	  trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po, trunk/po/pt.po,
	  trunk/po/pt_BR.po, trunk/po/ro.po, trunk/po/ru.po,
	  trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po, trunk/po/ta.po,
	  trunk/po/tr.po, trunk/po/uk.po, trunk/po/zh_CN.po,
	  trunk/po/zh_TW.po: Merge translation updates because of very
	  last string change.

2007-07-09 19:34  cstim

	* [r16289] trunk/packaging/win32/gnucash.iss.in: Fix (hopefully)
	  Greek string encodings.

2007-07-09 19:23  cstim

	* [r16288] trunk/doc/Makefile.am,
	  trunk/doc/README-fr.win32-bin.txt,
	  trunk/packaging/win32/gnucash.iss.in: Add French translation of
	  README by Pierre-Antoine and Spel.
	* [r16287] trunk/packaging/win32/defaults.sh: Update Inno Setup
	  version
	* [r16286] trunk/packaging/win32/Greek-4-5.1.11.isl,
	  trunk/packaging/win32/Makefile.am,
	  trunk/packaging/win32/gnucash.iss.in: Add Greek translation for
	  Setup messages by Nikos Charonitakis. Add the Greek translation
	  file for whole Inno Setup.

2007-07-08 18:42  cstim

	* [r16281] trunk/packaging/win32/gnucash.iss.in: Add French
	  translation of Installer messages

2007-07-08 13:22  andi5

	* [r16280] trunk/packaging/win32/gnucash.iss.in: Update the
	  firewall rules to match the new location of gconfd-2.exe.

2007-07-08 13:21  cstim

	* [r16279] trunk/po/de.po: Update German translation

2007-07-08 13:19  cstim

	* [r16278] trunk/src/gnome-utils/gnc-autosave.c: Fix typo

2007-07-08 13:12  andi5

	* [r16277] trunk/packaging/win32/dist.sh: Use redirect.exe for
	  gconfd-2.exe (#450052) and qt3-wizard.exe (#452382). Move the
	  original executables to bin\, use renamed copies of redirect.exe
	  at the old locations.

2007-07-08 13:08  andi5

	* [r16276] trunk/packaging/win32/Makefile.am,
	  trunk/packaging/win32/redirect.c: Add win32/redirect.c, a tool
	  spawning itself in a parent bin\ directory. This program, called
	  as "prog.exe (arg)*", will search for .\bin\prog.exe,
	  ..\bin\prog.exe and so on. The first hit will be spawned with
	  the same parameters and its exit status will be the exit status
	  of this program.

2007-07-08 13:07  cstim

	* [r16275] trunk/packaging/win32/gnucash.iss.in: Update German
	  translations of windows menu items

2007-07-08 12:56  cstim

	* [r16274] trunk/doc/README-de.win32-bin.txt: Recode README again
	  to latin1

2007-07-08 12:53  cstim

	* [r16273] trunk/doc/README-de.win32-bin.txt,
	  trunk/doc/README.win32-bin.txt: Convert windows READMEs to
	  windows line endings.
	* [r16272] trunk/packaging/win32/gnucash.iss.in: Add more menu
	  entries on windows: readme, bugzilla, faq. Also add translations
	  for all menu entries.

2007-07-08 11:50  cstim

	* [r16271] trunk/doc/README-de.win32-bin.txt: Recode README; for
	  Inno Setup it must be in latin1, not utf8.

2007-07-08 11:14  cstim

	* [r16270] trunk/packaging/win32/gnucash.iss.in: Oops, fix typo in
	  Inno file

2007-07-08 11:05  andi5

	* [r16269] trunk/src/bin/gnucash-bin.c: Fix typo in binreloc
	  message.

2007-07-08 10:51  cstim

	* [r16268] trunk/packaging/win32/gnucash.iss.in: Install the
	  gnucash icon on all user's desktops, not only the current one
	* [r16267] trunk/doc/Makefile.am,
	  trunk/doc/README-de.win32-bin.txt,
	  trunk/doc/README.win32-bin.txt,
	  trunk/packaging/win32/gnucash.iss.in: Add German-language README
	  to show during win32 installation.

2007-07-08 10:34  cstim

	* [r16266] trunk/packaging/win32/defaults.sh: Update version
	  numbers of newly released gwen/aqbanking.

2007-07-08 09:45  cstim

	* [r16264] trunk/packaging/win32/gnucash.iss.in: Add win32
	  firewall exceptions. #454110.
	* [r16263] trunk/packaging/win32/gnucash.iss.in: Add win version
	  restriction on the whole setup and on running gnucash. Add
	  PrivilegesRequired. #434755.

2007-07-08 08:57  cstim

	* [r16261] trunk/packaging/win32/gnucash.iss.in: Use registry keys
	  LOCAL_MACHINE with upcoming gwen/aqbanking.

2007-07-08 08:03  cstim

	* [r16260] trunk/packaging/win32/gnucash.iss.in,
	  trunk/src/engine/binreloc.c: Fix erroneous usage of CURRENT_USER
	  registry keys for gnucash paths. #454108

2007-07-07 10:00  cstim

	* [r16258] trunk/po/de.po: Update German translation
	* [r16257]
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in:
	  Increase default auto-save interval to 5 minutes.

2007-07-07 09:31  cstim

	* [r16256] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome-utils/gnc-autosave.c,
	  trunk/src/gnome-utils/gnc-autosave.h,
	  trunk/src/gnome-utils/gnc-file.c,
	  trunk/src/gnome-utils/gnc-main-window.c: Change autosave
	  confirmation dialog as discussed on gnucash-devel. Add
	  preference for showing/hiding the confirmation dialog. Also make
	  sure no autosave confirmation shows up when asking for saving
	  anyway.

2007-07-06 21:13  jsled

	* [r16254] trunk/LICENSE,
	  trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/gnome-utils/gnc-dense-cal-model.c,
	  trunk/src/gnome-utils/gnc-dense-cal-store.c,
	  trunk/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  trunk/src/gnome-utils/gnc-sx-list-tree-model-adapter.c,
	  trunk/src/gnome-utils/gnc-tree-view-sx-list.c,
	  trunk/src/gnome/dialog-sx-editor.c,
	  trunk/src/gnome/dialog-sx-since-last-run.c,
	  trunk/src/gnome/gnc-plugin-page-sx-list.c: Update LICENSE to
	  explain the state of the world. Add OpenSSL exemption to my
	  sources.

2007-07-06 20:41  cstim

	* [r16253] trunk/.gitignore: Add gitignore file list
	* [r16252] trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-autosave.c,
	  trunk/src/gnome-utils/gnc-autosave.h,
	  trunk/src/gnome-utils/gnc-main-window.c: Refactor autosave code
	  into separate file.

2007-07-04 19:10  warlord

	* [r16249] trunk, trunk/src/business/business-core/gncInvoice.c:
	  Overpayment for bills records wrong amount (#447269) Patch by
	  Mark Jenkins to improve the sign checking and not improperly
	  reverse the sign of the amount.

2007-07-02 20:39  cstim

	* [r16247] trunk/src/import-export/hbci/druid-hbci-initial.c: Add
	  extra Qt error checking on Windows. #452741.

2007-07-02 20:26  cstim

	* [r16246] trunk/src/import-export/hbci/druid-hbci-initial.c: Fix
	  crash on empty aqbanking backend list. #452421.

2007-07-02 15:53  wilddev

	* [r16243] trunk/NEWS, trunk/configure.in: update to release 2.1.5

2007-07-01 12:06  cstim

	* [r16242] trunk/po/fr.po: Updated French translation by Yannik LE
	  NY

2007-06-30 20:58  cstim

	* [r16241] trunk/po/fr.po: Merge latest translation updates for
	  upcoming release

2007-06-30 20:53  cstim

	* [r16240] trunk/po/fr.po: Updated French translation by Yannik LE
	  NY

2007-06-30 15:27  andi5

	* [r16238] trunk/packaging/win32/gnucash.iss.in: Win32: Add
	  ignoreversion for the installation of bin/*, #452170. In the
	  switch to self-compiled openssl dlls, libeay32.dll lost
	  versioning information. Without ignoreversion inno setup will
	  not update this file although it really should, as it is newer
	  and has added symbols.

2007-06-30 15:05  jsled

	* [r16237] trunk/src/doc/sx.rst: more silly (re)formatting.

2007-06-30 14:59  jsled

	* [r16236] trunk/src/doc/sx.rst: remove transient problem resolved
	  with clean rebuild...

2007-06-30 14:58  jsled

	* [r16235] trunk/src/doc/sx.rst: add more notes/todo from twunder.

2007-06-30 14:07  jsled

	* [r16234]
	  trunk/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c:
	  Remove lingering freqspec usage. :(

2007-06-30 13:36  jsled

	* [r16233] trunk/src/backend/file/gnc-freqspec-xml-v2.c,
	  trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/doc/sx.rst: Fix bad writing of invalid FreqSpec, then
	  disable writing FreqSpecs altogether. :p

2007-06-30 13:32  jsled

	* [r16232] trunk/src/doc/sx.rst: formatting, cleanup.

2007-06-30 11:38  cstim

	* [r16231] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/el.po, trunk/po/en_GB.po, trunk/po/es.po,
	  trunk/po/es_NI.po, trunk/po/eu.po, trunk/po/fr.po,
	  trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po, trunk/po/nb.po,
	  trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po, trunk/po/pt.po,
	  trunk/po/pt_BR.po, trunk/po/ro.po, trunk/po/ru.po,
	  trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po, trunk/po/ta.po,
	  trunk/po/tr.po, trunk/po/uk.po, trunk/po/zh_CN.po,
	  trunk/po/zh_TW.po: Merge translations with updated template for
	  upcoming release.
	* [r16230] trunk/po/de.po: Update German translation
	* [r16229] trunk/src/gnome-utils/glade/preferences.glade: Fix i18n
	  string to avoid duplicate messages
	* [r16228] trunk/lib/libqof/qof/qofbook.c: Add warning when
	  overwriting an already installed dirty-callback.

2007-06-30 10:31  cstim

	* [r16227] trunk/src/gnome-utils/gnc-main-window.c: Finish
	  autosave feature, #451889. Use many sanity checks and correctly
	  switch UI to insensitive. Start with 3 minutes as default
	  auto-save interval.
	* [r16226] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Initial
	  autosave feature

2007-06-28 23:12  jsled

	* [r16225] trunk/src/gnome/dialog-sx-since-last-run.c: remove
	  dead/unreferenced code.

2007-06-27 22:18  andi5

	* [r16224] trunk/packaging/win32/gnucash.iss.in,
	  trunk/src/pixmaps/Makefile.am,
	  trunk/src/pixmaps/gnucash-icon-48x48.bmp: Win32 installer
	  cosmetics. Add src/pixmaps/gnucash-icon-48x48.bmp. Let setup.exe
	  use the tango icon as file icon and on page headers. Add a file
	  version to setup.exe.

2007-06-27 20:49  cstim

	* [r16223] trunk/po/de.po: Update German translation.

2007-06-27 20:40  cstim

	* [r16222] trunk/src/report/report-gnome/gnc-plugin-page-report.c:
	  After saving report, make that button inactive again. #450984

2007-06-27 20:33  cstim

	* [r16221] trunk/src/report/report-system/report.scm: Show dialog
	  on successful report save. #450984

2007-06-27 19:41  cstim

	* [r16220] trunk/po/hu.po: Update Hungarian translation by Tako
	  Kornel.

2007-06-27 19:36  cstim

	* [r16219] trunk/src/bin/gnucash-bin.c: Follow-up on r16213 to
	  have a run-time message on disabled binreloc.

2007-06-26 22:58  jsled

	* [r16217] trunk/README.dependencies: Update README.dependencies
	  with Jean-David Beyer's updates for RHEL5(/FC7).

2007-06-26 22:52  jsled

	* [r16216] trunk/contrib, trunk/contrib/pgsql-1.8-import,
	  trunk/contrib/pgsql-1.8-import/README,
	  trunk/contrib/pgsql-1.8-import/gnc2sql.pl,
	  trunk/contrib/pgsql-1.8-import/gnc2sql_update.pl,
	  trunk/contrib/pgsql-1.8-import/gnctables.sql: Add Klaus Dahlke's
	  datafile -> sql-insert-statement scripts.

2007-06-26 18:43  andi5

	* [r16215] trunk/src/gnome-utils/dialog-account.c: Readd support
	  for account dialogs working only on a subset of account types.
	  This was added in r14897, but lost in the merge r15066 of trunk
	  into branches/remove-group2.

2007-06-26 16:56  andi5

	* [r16214] trunk/src/backend/file/gnc-schedxaction-xml-v2.c:
	  Validate date in _fixup_recurrence_start_dates, #443941 win32
	  crash. This invalid date is due to a missing block <fs:once> in
	  the data file. Why there is such an unwanted and incomplete sx
	  is still unclear.

2007-06-25 22:22  andi5

	* [r16213] trunk/src/bin/gnucash-bin.c: Call gbr_init() only on
	  ENABLE_BINRELOC, #450991. Move variables into #ifdef'ed blocks.
	  Also fix the leaking of a GError if gbr_init failed.

2007-06-25 17:18  andi5

	* [r16212] trunk/lib/libqof/backend/file/qsf-backend.c,
	  trunk/lib/libqof/qof/qofbook.c, trunk/lib/libqof/qof/qofbook.h,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofreference.c,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/src/app-utils/gnc-component-manager.c,
	  trunk/src/backend/postgres/book.c,
	  trunk/src/backend/postgres/putil.h,
	  trunk/src/backend/postgres/table.m4,
	  trunk/src/business/business-core/gncEmployee.h,
	  trunk/src/engine/Account.h, trunk/src/engine/SchedXaction.h,
	  trunk/src/engine/Split.c, trunk/src/engine/Split.h,
	  trunk/src/engine/Transaction.c, trunk/src/engine/Transaction.h,
	  trunk/src/engine/gnc-budget.h, trunk/src/engine/gnc-lot.c,
	  trunk/src/engine/gnc-lot.h, trunk/src/engine/gnc-pricedb.h,
	  trunk/src/gnome/dialog-chart-export.c,
	  trunk/src/gnome/top-level.c: Revert some qof_instance_get_guid()
	  calls to qof_entity_get_guid(). Those two functions were merged
	  into one, qof_instance_get_guid(), in r15773, but they returned
	  different values if the parameter was NULL. Some code depends on
	  the return value being guid_null(), or maybe even NULL, so
	  revert the changes entity->instance, where the entity is not
	  guaranteed to be non-NULL.
	* [r16211] trunk/lib/libqof/qof/qofquery.c: Avoid a global static
	  variable by using g_list_sort_with_data.

2007-06-24 08:48  cstim

	* [r16210] trunk/src/import-export/import-backend.c,
	  trunk/src/import-export/ofx/gnc-ofx-import.c: Add more checks
	  for sane structures. Fixes another crash of #450276.

2007-06-24 08:20  cstim

	* [r16209] trunk/src/import-export/ofx/gnc-ofx-import.c: Check ofx
	  structure for sanity. Partly fixes #450276.

2007-06-22 20:37  cstim

	* [r16207] trunk/src/gnome-utils/gnc-main-window.c: Check
	  main_window_close_page arguments for sanity. Fixed crash in
	  #366468.

2007-06-22 20:28  cstim

	* [r16206] trunk/po/de.po: Update German translation. 100%
	  completed. Yay.

2007-06-22 20:22  cstim

	* [r16205] trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/install.sh: Upgrade win32 for
	  aqbanking-2.3.1

2007-06-22 20:20  cstim

	* [r16204] trunk/src/gnome/dialog-print-check.c: Improve i18n
	  comments to make them more grok-able for translators.

2007-06-22 19:51  jsled

	* [r16203] trunk/src/gnome/dialog-sx-since-last-run.c: Uh, retain
	  the still-needed '_(...)'s. :p

2007-06-22 19:43  jsled

	* [r16202] trunk/src/gnome/dialog-sx-since-last-run.c: Fixup i18n
	  as per cstim (thanks! :).

2007-06-22 17:42  andi5

	* [r16201] trunk/lib/libqof/qof/qofinstance.c: Return NULL on
	  qof_instance_get_guid(NULL) again, #448853.

2007-06-22 13:31  andi5

	* [r16200] trunk/lib/libqof/backend/file/qof-backend-qsf.h,
	  trunk/lib/libqof/backend/file/qsf-backend.c,
	  trunk/lib/libqof/qof/qofbackend.c,
	  trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/backend/file/gnc-backend-file.h,
	  trunk/src/backend/postgres/PostgresBackend.c,
	  trunk/src/backend/postgres/PostgresBackend.h: Do not register
	  qof backend modules on first load, #433779. Qof backend modules
	  used to call qof_backend_register_provider() and
	  g_module_make_resident() directly in g_module_check_init(), i.e.
	  they could not be unloaded after the gnucash module crawler
	  detected them. Probably after the renaming of
	  libgnc-backend-file the QSF backend module started to register
	  itself before the gnc file backend, spitting a validation error
	  on virtually every data file load. So g_module_check_init() has
	  been renamed to qof_backend_module_init() and is now called by
	  qof_load_backend_library().
	* [r16199] trunk/lib/libqof/backend/file/qsf-backend.c: Correct
	  use of xmlNodeGetContent in qsf backend module. Its return value
	  is a char pointer, not a char.
	* [r16198] trunk/lib/libqof/backend/file/qof-backend-qsf.h,
	  trunk/src/backend/file/gnc-backend-file.c: Do not call setlocale
	  &friends from within the file backend library. The only valid
	  call would be to bindtextdomain, but the library does not use a
	  different locale directory anyway.

2007-06-21 13:28  andi5

	* [r16196] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome/gnc-split-reg.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Remove
	  UI and register parts of the "Enable euro support" option,
	  #449395. * In euro currency registers, treat the option as
	  always-on, i.e. show amounts both in the old currency and EUR *
	  Remove the option from the preferences dialog * Keep gconf key,
	  but default to disabled. If enabled, the account tree view page
	  shows an additional EUR total line in the summary bar

2007-06-20 23:42  jsled

	* [r16195] trunk/src/doc/sx.rst,
	  trunk/src/gnome-utils/gnc-dense-cal.c: lower severity of the
	  "couldn't find tag [%d]" messages, as we speculatively remove
	  tags often.

2007-06-20 23:20  jsled

	* [r16194] trunk/src/doc/sx.rst,
	  trunk/src/gnome/dialog-sx-since-last-run.c: Mark a bunch of
	  Since Last Run dialog strings translatable. Stop doing an unused
	  and sometimes invalid date-formatting operation. Task-list
	  cleanup.

2007-06-20 23:19  jsled

	* [r16193] trunk/src/engine/SchedXaction.c: Set template
	  transaction post dates on creation to prevent file-read warnings
	  in the future.

2007-06-20 22:33  jsled

	* [r16192] trunk/src/doc/sx.rst: let's actually obey the
	  restructured text format if we're going to do so.

2007-06-20 21:46  cstim

	* [r16191] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in: Add aqbankings localedir
	  to win32 dist.

2007-06-20 21:38  cstim

	* [r16190] trunk/po/de.po: Update German translation.

2007-06-20 21:11  cstim

	* [r16189]
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Fix
	  typo and gconf wording, avoiding nerd-speak.

2007-06-20 17:44  cstim

	* [r16188] trunk/src/gnome/druid-hierarchy.c: Mark untranslated
	  strings for i18n.

2007-06-19 19:40  cstim

	* [r16187] trunk/src/app-utils/gnc-ui-util.c: Replace a
	  eur-currency from the currency by EUR to fix old locales.

2007-06-19 03:02  jsled

	* [r16186] trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/doc/sx.rst, trunk/src/engine/Recurrence.c,
	  trunk/src/engine/SchedXaction.c: Fix freq=None recurrnence +
	  file-restore.

2007-06-19 01:49  jsled

	* [r16185] trunk/src/doc/sx.rst: add some todos from Tim.

2007-06-18 21:08  andi5

	* [r16184] trunk/lib/libqof/backend/file/qsf-backend.c: Avoid
	  stripping the win drive letter on qsf export. Fixes #448900.

2007-06-18 20:42  andi5

	* [r16183] trunk/packaging/win32/install.sh: Install.sh: Fix
	  cross-compiling of gwenhywfar and ktoblzcheck. For real
	  cross-compiling, this change currently depends on unreleased
	  gwenhywfar changes and a windows openssl installation (cannot be
	  cross-compiled yet).
	* [r16182] trunk/packaging/win32/functions.sh,
	  trunk/packaging/win32/install.sh: Install.sh: Fix
	  PKG_CONFIG_PATH tracking when cross-compiling. One must not
	  simply set or reset environment variables that are tracked for
	  changes, because add_to_env relies on accurate helper variables.
	* [r16181] trunk/packaging/win32/install.sh: Install.sh: When
	  cross-compiling, mkdir $_GUILE_UDIR/bin before using it.
	* [r16180] trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/install.sh: Install.sh: Use ld, gcc,
	  dlltool and ranlib for cross-compiling. Add
	  $_MINGW_UDIR/mingw32/bin to PATH and use gcc (and friends)
	  instead of mingw32-gcc. Also make sure PKG_CONFIG_PATH and
	  PKG_CONFIG_LIBDIR are exported to avoid using the build
	  machine's installed packages.
	* [r16179] trunk/packaging/win32/install.sh: Install.sh: Harmonize
	  skipping messages.

2007-06-18 02:49  andi5

	* [r16177] trunk/src/import-export/qif-import/druid-qif-import.c:
	  Avoid crash in QIF import, page categories. Fixes #447917. This
	  is basically the same typo fix as r15332 (wrong display
	  information used in row-activated handler). For whatever reasons
	  it slipped once again.

2007-06-17 11:27  cstim

	* [r16176] trunk/packaging/win32/install.sh: Revert r16175 because
	  aqbanking needs to be updated before we can use this.

2007-06-17 09:35  cstim

	* [r16175] trunk/packaging/win32/install.sh: Add gnome cppflags
	  and ldflags for libintl

2007-06-17 04:12  andi5

	* [r16174] trunk/autogen.sh: Allow running autogen.sh from the
	  build directory by cd'ing into the source tree. The source tree
	  is either $srcdir, `dirname $0` or .

2007-06-16 17:29  wilddev

	* [r16170] trunk/NEWS, trunk/configure.in: update to release 2.1.4

2007-06-16 10:18  cstim

	* [r16168] trunk/doc/README.win32-bin.txt: Improve win32 readme.

2007-06-16 09:47  cstim

	* [r16167] trunk/doc/Makefile.am, trunk/doc/README.win32-bin.txt,
	  trunk/packaging/win32/gnucash.iss.in: Add extra README text for
	  win32 binary package. #448143

2007-06-14 20:01  andi5

	* [r16162] trunk/src/app-utils/gnc-ui-util.c: Fix a %s-NULL-printf
	  if default currency is neither locale nor chosen.

2007-06-12 20:39  cstim

	* [r16161] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/el.po, trunk/po/en_GB.po, trunk/po/es.po,
	  trunk/po/es_NI.po, trunk/po/eu.po, trunk/po/fr.po,
	  trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po, trunk/po/nb.po,
	  trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po, trunk/po/pt.po,
	  trunk/po/pt_BR.po, trunk/po/ro.po, trunk/po/ru.po,
	  trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po, trunk/po/ta.po,
	  trunk/po/tr.po, trunk/po/uk.po, trunk/po/zh_CN.po,
	  trunk/po/zh_TW.po: Merge latest translation changes into po
	  files.

2007-06-12 20:36  cstim

	* [r16160] trunk/po/de.po: Update German translation.

2007-06-12 20:28  cstim

	* [r16159] trunk/packaging/win32/defaults.sh: Update gwenhywfar,
	  aqbanking. Fixes #435928.

2007-06-12 20:23  cstim

	* [r16158] trunk/src/import-export/hbci/druid-hbci-initial.c: With
	  aqbanking-2.3.0 we can activate all backends here already.

2007-06-10 00:50  andi5

	* [r16157] trunk/packaging/win32/gnucash.iss.in: Add
	  aqbanking/wizarddir to gnucash.iss.in and fix
	  qbanking/cfgmoduledir.

2007-06-09 13:49  cstim

	* [r16156] trunk/src/app-utils/gnc-exp-parser.c: Dont mark string
	  translatable that is only visible to expert users in a special
	  file.

2007-06-08 20:01  cstim

	* [r16155] trunk/po/fr.po: Updated French translation by Stéphane
	  Raimbault. Updated wiki URL. Removed obsoleted strings. Minor
	  fixes.

2007-06-06 21:12  jsled

	* [r16154] trunk/src/doc/sx.rst: add note re: 'freq=none' bug.

2007-06-06 20:56  jsled

	* [r16153] trunk/src/doc/sx.rst: add 'every x months' bug note.

2007-06-03 20:56  andi5

	* [r16152] trunk/src/report/report-system/html-barchart.scm,
	  trunk/src/report/report-system/html-piechart.scm,
	  trunk/src/report/report-system/html-scatter.scm: Add
	  exact->inexact in plots for Guile 1.8 to print parsable doubles.

2007-06-03 20:00  cstim

	* [r16151] trunk/packaging/win32/gnucash.iss.in: Add yet another
	  registry key needed for aqbanking.

2007-06-03 19:43  andi5

	* [r16150] trunk/src/gnome-utils/gnc-html-graph-gog.c,
	  trunk/src/report/report-system/html-scatter.scm: Handle marker
	  shape and color options of scatter plots, #353871. Lost in
	  translation, Guppi -> GOffice.
	* [r16149] trunk/src/report/standard-reports/price-scatter.scm:
	  Show price scatterplot if the source is the price db and no
	  account has shares.

2007-06-02 17:33  wilddev

	* [r16145] trunk/NEWS, trunk/configure.in: update to release 2.1.3

2007-06-02 17:21  jsled

	* [r16144] trunk/packaging/gnucash-2.1.x.ebuild: Remove swig. It's
	  not actually a dependency for tarball releases.

2007-06-02 16:36  andi5

	* [r16143] trunk/src/gnome-utils/dialog-options.c: Fix another
	  %s-NULL-printf in the options dialog.

2007-06-01 23:13  andi5

	* [r16142] trunk/packaging/win32/gnucash.iss.in: Enable
	  libgncqof-backend-qsf on Win32 by exporting QOF_LIB_DIR. This is
	  not needed for the installation tree built by install.sh, but
	  the binary installer has to add that environment variable to the
	  relocatable gnucash.bat it writes out.

2007-06-01 22:44  andi5

	* [r16141] trunk/lib/libqof/qof/qofsession.c: Check for
	  QOF_LIB_DIR environment variable and try to load qof backends
	  from there first. This is a minimally invasive way to make qof
	  backends relocatable and needed for the Windows port. Avoiding
	  qofla-dir.h completely is probably desirable anyway.

2007-05-30 20:02  cstim

	* [r16140] trunk/lib/libqof/qof: Update svn:ignore

2007-05-30 17:44  andi5

	* [r16139] trunk/src/gnome-utils/gnc-dense-cal.c: Readd two pixels
	  to the widths of colored backgrounds in the dense calendar. When
	  drawing week backgrounds and the outer month borders, two
	  mysterious pixels were subtracted from the widths. This led to
	  two white pixels at the end of incomplete weeks that contained
	  the last day of the month and belonged to the last month of a
	  calendar column.

2007-05-30 16:16  andi5

	* [r16138] trunk/src/gnome-utils/gnc-dense-cal.c: Correctly check
	  against end of dense calendar to avoid spurious marks, #433156.

2007-05-30 15:56  andi5

	* [r16137] trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/register/register-gnome/gnucash-sheet.c: Unref a few
	  pango layouts returned by gtk_widget_create_pango_layout().
	* [r16136] trunk/src/report/locale-specific/us/taxtxf.scm: In tax
	  report, do not set to start and end of month if from-to mode is
	  selected, #435329.

2007-05-29 16:24  andi5

	* [r16135] trunk/src/core-utils/core-utils.i,
	  trunk/src/core-utils/core-utils.scm,
	  trunk/src/import-export/qif-import/qif-file.scm: Do not change
	  internal scheme strings in place, #389740. This fixes a crash
	  that happened in the QIF import with Guile 1.8 after stripping
	  utf8 violating bytes from the internal null-terminated string of
	  a scheme string, as the length parameter has not been updated
	  and a safety check threw an error from within a critical section
	  at a later stage. Just do not wrap gnc_utf8_strip_invalid but
	  rather gnc_utf8_strip_invalid_strdup.

2007-05-28 20:44  andi5

	* [r16134] trunk/src/gnome-utils/dialog-options.c: Fix
	  %s-NULL-printfs in image option previewers, #441798.

2007-05-27 23:18  andi5

	* [r16132] trunk/src/gnome-utils/gnc-dense-cal.c: Avoid unwanted
	  signed->unsigned conversions in dense cal computations, #441209.

2007-05-27 15:19  andi5

	* [r16131] trunk/src/register/register-core/formulacell.c: Fix a
	  %s-NULL-printf in the register, #441207.

2007-05-26 22:23  andi5

	* [r16130] trunk/packaging/win32/dist.sh: Use UNIX line delimiters
	  in dist.sh as well.
	* [r16129] trunk/packaging/win32/dist.sh: Fix dist_libxml2().

2007-05-24 22:04  andi5

	* [r16128] trunk/packaging/win32: Ignore custom.sh instead of
	  custom.

2007-05-24 16:03  andi5

	* [r16127] trunk/packaging/win32/install.sh: Fix cross compilation
	  of OpenSP and LibOFX.

2007-05-23 19:04  andi5

	* [r16126] trunk/packaging/win32/install.sh: Do not use
	  register_env_var PKG_CONFIG_LIBDIR and leave it unset on Windows.

2007-05-23 18:49  andi5

	* [r16125] trunk/packaging/win32/install.sh: Add $LIBXSLT_DIR/bin
	  to PATH.

2007-05-23 17:21  andi5

	* [r16124] trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/install.sh: Fix cross platform
	  installation of libxml2, gnome and exetype. A native rebuild of
	  packages should not be necessary. Just remove
	  libxml2-2.6.27.win32.zip from your downloads directory.
	* [r16123] trunk/packaging/win32/exetype.pl: Use UNIX line
	  delimiters in packaging/win32/exetype.pl.
	* [r16122] trunk/packaging/win32/create_cross_mingw.sh,
	  trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/install.sh: Integrate
	  create_cross_mingw.sh into install.sh. Minor cleanups.
	* [r16121] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/functions.sh,
	  trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/reset.sh: Untabify major scripts in
	  packaging/win32. Use indent-tabs-mode instead of tab-width.
	* [r16120] trunk/packaging/win32/functions.sh: Let wget download
	  to a UNIX path.

2007-05-22 20:00  cstim

	* [r16119] trunk/Makefile.am: Auto-genenerate ChangeLog only when
	  building from svn.

2007-05-22 19:17  cstim

	* [r16118] trunk/po/en_GB.po: Updated British English translation
	  by Nigel Titley.

2007-05-21 17:27  andi5

	* [r16117] trunk/packaging/win32/create_cross_mingw.sh,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/install.sh:
	  Set executable flag on a few scripts in packaging/win32.

2007-05-21 17:22  andi5

	* [r16116] trunk/packaging/win32/functions.sh: Use UNIX line
	  delimiters in packaging/win32/functions.sh.

2007-05-21 08:12  andi5

	* [r16115] trunk/src/report/report-gnome/Makefile.am: Link
	  report-gnome against engine for gnc_get_current_session().

2007-05-20 20:56  warlord

	* [r16113] trunk, trunk/lib/libqof/qof/Makefile.am: Fix space->tab
	  issue in a Makefile (need tabs, not spaces)

2007-05-20 03:54  wilddev

	* [r16107] trunk/NEWS: correction to NEWS for 2.1.2

2007-05-20 03:42  wilddev

	* [r16105] trunk/NEWS, trunk/configure.in: update to release 2.1.2

2007-05-19 23:19  andi5

	* [r16104] trunk/src/report/report-gnome/gnc-plugin-page-report.c:
	  Improve gui component handling of report plugin pages. Let them
	  be closed on session shutdown by setting the session. Call
	  gnc_main_window_close_page in close handler. Unregister the
	  component in _destroy_widget and move _destroy into it.
	* [r16103] trunk/src/gnome/gnc-plugin-page-register.c: Add close
	  handler for register plugin pages, just call
	  gnc_main_window_close_page.
	* [r16102] trunk/src/gnome-utils/dialog-options.c: Unregister
	  option dialogs from gui component list while destroying.
	* [r16101] trunk/src/gnome-utils/dialog-options.c:
	  gnc-budget-lookup, used for getter of budget option, may return
	  '() instead of #f.

2007-05-18 23:31  andi5

	* [r16100] trunk/src/gnome-utils/dialog-transfer.c: In the
	  transfer dialog, always use bold headers.

2007-05-18 23:09  andi5

	* [r16099] trunk/src/gnome/window-reconcile.c: In reconciliation
	  window, only show interest button if account type is CREDIT or
	  LIABILITY. It used to be hidden and showed again by
	  gtk_widget_show_all.

2007-05-18 21:41  andi5

	* [r16098]
	  trunk/src/register/register-gnome/gnucash-date-picker.c: Make
	  date picker in registers visible for rtl locales like hebrew,
	  #386816. The calendar popup starts at x=0, but in a
	  right-to-left interface it is drawn to the left, i.e. out off
	  the window. This can be avoided by overwriting the default
	  direction of the surrounding horizontal box.

2007-05-18 15:14  andi5

	* [r16097] trunk/src/gnome-search/search-account.c: Deuglify the
	  account selection dialog for the account search a little bit.

2007-05-18 14:54  andi5

	* [r16096] trunk/src/scm/price-quotes.scm: Correct the checks for
	  gnc:*finance-quote-{check,helper}* to use string-null?.
	  g-find-program-in-path returns a string---it may be empty but
	  not #f or '().
	* [r16095] trunk/src/import-export/qif-import/qif-to-gnc.scm: Fix
	  a qif import error if commission account cannot be found in the
	  mappings, #378274.
	* [r16094] trunk/src/gnome-utils/gnc-main-window.c: Update the
	  main window titles and the window list on HOOK_BOOK_OPENED.
	* [r16093] trunk/src/import-export/qif-import/druid-qif-import.c:
	  In QIF import, do not cat and merge accounts if
	  imported_account_tree is empty. If an error occurs while
	  importing, imported_account_tree will be set to #f, whereas
	  functions called by gnc:account-tree-catenate-and-merge would
	  expect empty lists. So do not call that function at all.

2007-05-17 13:28  andi5

	* [r16092] trunk/configure.in: Patch from Thomas Klausner to
	  enable building with goffice-0.4.
	* [r16091] trunk/src/bin/gnucash-bin.c: Do not remove files from
	  history list on startup, #388500. It is not clear yet, when and
	  how it is best to remove inaccessible files from the history
	  list. At least we should not do it on startup.

2007-05-16 03:38  warlord

	* [r16090] trunk, trunk/Makefile.am, trunk/po/POTFILES.ignore: Use
	  POTFILES.ignore (in addition to POTFILES.skip) to placate recent
	  intltool Eventually we can just move back to POTFILES.skip and
	  remove the POTFILES.skip tests from Makefile.am. This should
	  allow "make check" to work on recent systems (like Fedora 7)
	  with intltool-0.35.5 and automake-1.10

2007-05-15 02:54  hampton

	* [r16089] trunk/src/gnome/dialog-print-check.c: Update translator
	  comments.

2007-05-15 02:47  hampton

	* [r16088] trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade: Programmatically generate
	  check file names from the title input by the user. Fixes
	  #436255. Also reload the check format combobox each time a
	  custom format is successfully saved. Fixes #436394.

2007-05-13 20:54  hampton

	* [r16082] trunk/src/engine/test-core/test-engine-stuff.c: Limit
	  the values of randomly generated numbers a little bit more. This
	  prevents the test-lots case from dying when it attempts to
	  divide one split into two splits, and the ration of the two
	  splits ends up producing numbers less than 0.01.

2007-05-13 15:02  andi5

	* [r16081] trunk/lib/libqof/qof/gnc-date.c: Add some delimiters
	  for parsing CJK dates, #437898. On Windows, the short date
	  formats are used, containing standard delimiters.

2007-05-13 13:23  cstim

	* [r16080] trunk/po/de.po: Update German translation. Fix some
	  duplicate key shortcuts as pointed out by andi5.

2007-05-13 13:22  cstim

	* [r16079]
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Fix
	  spelling error

2007-05-13 00:10  andi5

	* [r16078] trunk/src/gnome-search/dialog-search.c,
	  trunk/src/gnome-search/search.glade,
	  trunk/src/gnome/glade/tax.glade: Make search and tax info
	  dialogs invisible at the top-most level. On the one hand this
	  avoids nasty redraws, so that the user need not watch the
	  dialogs getting filled by widgets. On the other, on Windows
	  because of #436721, dialogs are not redrawn correctly after a
	  gtk_window_resize(), rendering at least these two dialog partly
	  unusable without a full redraw.

2007-05-12 23:30  andi5

	* [r16077] trunk/src/bin/gnucash-bin.c,
	  trunk/src/gnome-utils/gnc-plugin-file-history.c,
	  trunk/src/gnome-utils/gnc-plugin-file-history.h: Add
	  gnc_history_remove_file, call it if the history file cannot be
	  loaded, #388500.

2007-05-12 19:36  cstim

	* [r16076] trunk/src/app-utils/gnc-accounting-period.c,
	  trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/gnome-utils/dialog-preferences.c: Fix memory leaks:
	  All strings from gnc_gconf_get_string need to be freed.

2007-05-12 19:12  cstim

	* [r16075] trunk/src/gnome-utils/gnc-plugin-file-history.c: Fix
	  memory leak: Returned strings from gconf need to be freed.

2007-05-12 17:50  jsled

	* [r16074] trunk/src/report/utility-reports/hello-world.scm:
	  Remove broken hyperlinks; just in-line the urls.

2007-05-12 16:50  andi5

	* [r16073] trunk/configure.in, trunk/lib/libc/strptime.c,
	  trunk/lib/libc/strptime.h, trunk/lib/libqof/qof/gnc-date-p.h,
	  trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/qof-win32.c, trunk/macros/legacy_macros.m4:
	  Further improve date parsing on Windows. Revert parts of r16049
	  on Unix. The recursive parsing of %x by strptime seems to work
	  only for complete strings, e.g. 4.6. in de_DE or 4/6 in en_UK
	  will not be parsed correctly. Therefore, readd
	  LANGINFO_D_FMT_CHECK and use
	  qof_win32_get_time_format(QOF_WIN32_PICTURE_{DATE,TIME,DATETIME}
	  on Windows for printing and scanning. Make
	  get_win32_locale_string and translate_win32_picture accessible
	  by QOF.

2007-05-11 20:59  cstim

	* [r16072] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/de.po, trunk/po/el.po, trunk/po/en_GB.po,
	  trunk/po/es.po, trunk/po/es_NI.po, trunk/po/eu.po,
	  trunk/po/fr.po, trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po,
	  trunk/po/nb.po, trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po,
	  trunk/po/pt.po, trunk/po/pt_BR.po, trunk/po/ro.po,
	  trunk/po/ru.po, trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po,
	  trunk/po/ta.po, trunk/po/tr.po, trunk/po/uk.po,
	  trunk/po/zh_CN.po, trunk/po/zh_TW.po: Update translations for
	  next release.

2007-05-11 20:21  andi5

	* [r16071] trunk/lib/libc/strptime.c: On strptime('%X') and
	  Windows, first translate the time picture to a format spec, cf.
	  #437751.

2007-05-11 17:35  andi5

	* [r16070] trunk/src/app-utils/gnc-ui-util.c: In
	  gnc_find_or_create_equity_account, fix crash if there is no
	  account "Equity", #436155.

2007-05-08 22:07  andi5

	* [r16069] trunk/src/gnome-utils/gnc-main-window.c: Update the
	  window title after a new main window has been created, #436479.

2007-05-08 21:06  cstim

	* [r16068] trunk/src/app-utils/gnc-accounting-period.c: Fix memory
	  leak: Returned strings from gconf need to be freed.

2007-05-08 21:05  cstim

	* [r16067] trunk/src/gnome-utils/window-main-summarybar.c: Fix
	  last commit, sorry.

2007-05-08 21:03  cstim

	* [r16066] trunk/src/core-utils/gnc-gconf-utils.c,
	  trunk/src/gnome-utils/window-main-summarybar.c: Fix small memory
	  leak - unfreed string.

2007-05-08 20:45  andi5

	* [r16065] trunk/util/glade-fixup: Update comment in glade-fixup
	  to Gtk+ v2.6.
	* [r16064] trunk/src/gnome/dialog-tax-info.c,
	  trunk/src/gnome/glade/tax.glade: In the tax information dialog,
	  add a GtkHPaned to allow resizing of the accounts treeview,
	  #432072. The treeview on the left hand side does not support
	  horizontal scrolling, so separate both sides by a horizontal
	  paned widget. Save and restore its position in GConf, too.

2007-05-08 20:36  cstim

	* [r16063] trunk/src/gnome/gnc-plugin-page-sx-list.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Improve
	  user message wordings

2007-05-08 20:33  cstim

	* [r16062] trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-tree-view-sx-list.c,
	  trunk/src/gnome/glade/print.glade,
	  trunk/src/gnome/gnc-plugin-basic-commands.c: I18n improvements:
	  Add comments for translators

2007-05-08 20:28  cstim

	* [r16061] trunk/src/gnc-module/gnc-module.c: Fix small memory
	  leak - unfreed string.

2007-05-07 18:39  andi5

	* [r16060] trunk/src/import-export/import-match-map.c: Fix a
	  NULL-%s-printf in bayes matching, #436455.

2007-05-07 13:24  chris

	* [r16059] trunk/src/app-utils/app-utils.i: Plug a leak of strings
	  in the swip-wrapped gnc_gettext_helper().

2007-05-06 21:47  cstim

	* [r16058] trunk/lib/libqof/qof/qoflog.c: Fix memory leak where a
	  free was forgotten

2007-05-06 21:27  cstim

	* [r16057] trunk/src/gnome-utils/gnc-main-window.c: Fix memory
	  leak where a free was forgotten

2007-05-06 04:35  hampton

	* [r16056] trunk/src/gnome/window-reconcile.c: Use the last second
	  of the statement date when determining whether clears
	  transaction should be checked when the reconciliation dialog is
	  created.

2007-05-06 00:27  hampton

	* [r16055] trunk/lib/libqof/qof/qofbookmerge.c: Fix several
	  problems with the QOF book merge code. Use unique error codes in
	  the qof_book_merge_commit() function. Fixes 343730.

2007-05-05 23:25  jsled

	* [r16054] trunk/src/import-export/hbci/gnc-plugin-hbci-ui.xml:
	  Bug#436177: more CSV Import hiding.

2007-05-05 23:23  hampton

	* [r16053] trunk/src/report/report-gnome/gnc-plugin-page-report.c:
	  For report pages, make the "Refresh" menu item synonymous with
	  the Reload toolbar button. Fixes 381737.

2007-05-05 22:20  hampton

	* [r16052] trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade: Now that check printing has
	  been rewritten, there no longer a need to have the custom
	  translation fields always enabled.

2007-05-05 21:46  hampton

	* [r16051] trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade: When saving a check format,
	  query the user for the title to write into that format. Fixed
	  #434409.

2007-05-05 21:08  jsled

	* [r16050] trunk/src/import-export/hbci/gnc-plugin-hbci.c:
	  Bug#436177: disable menu items for Import CSV {,and send}.

2007-05-05 21:02  andi5

	* [r16049] trunk/configure.in, trunk/lib/libqof/qof/gnc-date.c,
	  trunk/macros/legacy_macros.m4, trunk/src/engine/FreqSpec.c,
	  trunk/src/gnome/dialog-sx-editor.c: Do not use langinfo to
	  determine date format spec, but %x, %X or %c. Remove check for
	  HAVE_LANGINFO_D_FMT. Rather use standard strftime and
	  (standard?) strptime format specifiers %x (date), %X (time) and
	  %c (date&time, all in national representation).

2007-05-05 20:44  andi5

	* [r16048] trunk/lib/libc/Makefile.am, trunk/lib/libc/strptime.c:
	  Add Windows-specific code to lib/libc/strptime.c to eat %x, %X
	  and %c. Originally, it came from evolution-data-server,
	  /libedataserver/e-time-utils.c, but was modified to not depend
	  on GLib.

2007-05-05 20:29  jsled

	* [r16047] trunk/src/gnome/gnc-plugin-page-register.c: Bug#334939,
	  partial: clarify the tooltips for the register reports.

2007-05-05 19:25  hampton

	* [r16046] trunk/src/gnome/dialog-print-check.c: Fix two bugs in
	  custom check printing. One swaps the placement of the
	  amount(number) and amount(words) when printing directly from the
	  custom check page of the print dialog. (No bugzilla.) The other
	  bug is that GnuCash fails to write the guid in newly saved check
	  files. (Bug #434407)

2007-05-05 19:20  jsled

	* [r16045] trunk/packaging/gnucash-2.1.x.ebuild: Conditionally
	  warn the user about file-format changes.

2007-05-05 17:03  jsled

	* [r16044] trunk/src/backend/file/gnc-book-xml-v2.c,
	  trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/backend/file/io-utils.c: Invert
	  "allow_file_incompatabiilty" tests: we now generate files that
	  2.0 might not read exactly.

2007-05-04 13:30  andi5

	* [r16043] trunk/src/import-export/import-account-matcher.c: Save
	  column selection in import account matcher to GConf.

2007-05-03 03:56  hampton

	* [r16042] trunk/lib/libqof/qof/qofbackend-p.h,
	  trunk/lib/libqof/qof/qofbook.c, trunk/lib/libqof/qof/qofbook.h,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/src/backend/postgres/PostgresBackend.c,
	  trunk/src/backend/postgres/account.c,
	  trunk/src/backend/postgres/book.c,
	  trunk/src/backend/postgres/table.m4,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/backend/postgres/txnmass.c,
	  trunk/src/engine/Account.c, trunk/src/engine/AccountP.h,
	  trunk/src/engine/Split.c, trunk/src/engine/SplitP.h,
	  trunk/src/engine/Transaction.c, trunk/src/engine/TransactionP.h:
	  Collapse the various "idata" fields into a single field attached
	  to the QofInstance object.

2007-05-03 02:56  hampton

	* [r16041] trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/src/backend/postgres/PostgresBackend.c,
	  trunk/src/backend/postgres/account.c,
	  trunk/src/backend/postgres/price.c,
	  trunk/src/backend/postgres/table.m4,
	  trunk/src/backend/postgres/test/test-db.c,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/backend/postgres/txnmass.c,
	  trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/engine/Transaction.c, trunk/src/engine/TransactionP.h,
	  trunk/src/engine/gnc-pricedb-p.h,
	  trunk/src/engine/gnc-pricedb.c, trunk/src/engine/gnc-pricedb.h,
	  trunk/src/engine/test/test-book-merge.c: Collapse the various
	  "version" and "version_check" fields into a single pair of
	  fields attached to the QofInstance object.
	* [r16040] trunk/lib/libqof/qof/qofbookmerge.c: Fix a problem
	  copying a guid from an object to a local variable.

2007-05-02 05:42  hampton

	* [r16039] trunk/lib/libqof/backend/file/qsf-backend.c,
	  trunk/lib/libqof/qof/deprecated.h, trunk/lib/libqof/qof/guid.c,
	  trunk/lib/libqof/qof/guid.h, trunk/lib/libqof/qof/kvp-util-p.h,
	  trunk/lib/libqof/qof/kvp-util.c,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qofevent-p.h,
	  trunk/lib/libqof/qof/qofevent.c, trunk/lib/libqof/qof/qofid-p.h,
	  trunk/lib/libqof/qof/qofid.c, trunk/lib/libqof/qof/qofid.h,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/lib/libqof/qof/qofreference.c,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/src/backend/file/gnc-freqspec-xml-v2.c,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncOrder.c,
	  trunk/src/business/business-core/test/test-address.c,
	  trunk/src/engine/Account.c, trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/Scrub2.c, trunk/src/engine/Split.c,
	  trunk/src/engine/Transaction.c,
	  trunk/src/engine/test/test-guid.c: Move QofInstance guid
	  property from its public data structure to its private data
	  structure.

2007-05-02 03:18  hampton

	* [r16038] trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/business/business-core/gncBillTerm.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncTaxTable.c,
	  trunk/src/engine/Account.c, trunk/src/engine/Period.c,
	  trunk/src/engine/Scrub.c, trunk/src/engine/Split.c,
	  trunk/src/engine/Transaction.c, trunk/src/engine/cap-gains.c,
	  trunk/src/engine/gnc-pricedb.c: Move QofInstance book properties
	  from its public data structure to its private data structure.

2007-05-02 01:57  hampton

	* [r16037] trunk/lib/libqof/qof/qofbook.c,
	  trunk/lib/libqof/qof/qofid.c,
	  trunk/lib/libqof/qof/qofinstance-p.h,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/lib/libqof/qof/qofutil.c,
	  trunk/src/engine/test/test-guid.c: More a large number of the
	  QofInstance properties from the public data structure to a
	  private data structure, with access to them as properties of the
	  object.

2007-05-01 22:05  andi5

	* [r16036] trunk/packaging/win32/install-fq-mods.bat: Add support
	  for ActivePerl 5.6 to install-fq-mods.bat.

2007-05-01 14:03  andi5

	* [r16035] trunk/packaging/win32/install-fq-mods.bat,
	  trunk/src/bin/gnucash-bin.c, trunk/src/quotes/gnc-fq-helper.in:
	  Do not set timezone to UTC on Windows, #434752. The perl module
	  Date::Manip needs some timezone information to work, but cannot
	  determine that itself on Windows. Setting the TZ environment
	  variable for the gnucash process has bad consequences, so rather
	  call Date_Init("TZ=UTC") if TZ is unset.

2007-05-01 11:54  cstim

	* [r16034] trunk/po/fr.po: Fix spelling error in French
	  translation. #433389.

2007-04-30 17:06  hampton

	* [r16033] trunk/lib/libqof/qof/qofbackend.h,
	  trunk/lib/libqof/qof/qofutil.h,
	  trunk/src/business/business-core/gncBillTerm.c,
	  trunk/src/business/business-core/gncEmployee.c,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncJob.c,
	  trunk/src/business/business-core/gncTaxTable.c,
	  trunk/src/business/business-core/gncVendor.c,
	  trunk/src/engine/gnc-pricedb.c: Remove the macro versions of
	  qof_begin_edit and qof_commit_edit_part<x>. The function call
	  versions of these routines should be used instead.

2007-04-30 16:38  cstim

	* [r16032] trunk/macros/svn2cl.xsl: Merge some upstream
	  compatibility updates for svn2cl.xsl

2007-04-30 09:50  cstim

	* [r16031] trunk, trunk/Makefile.am: Make ChangeLog depend on NEWS
	  rather than on configure.in. Update svn:ignore.

2007-04-30 09:42  cstim

	* [r16030] trunk/Makefile.am, trunk/macros/svn2cl.xsl: Improve the
	  auto-generated ChangeLog and have it run on make ChangeLog. The
	  rule for the auto-generated ChangeLog will use all commits of
	  trunk and several branches that are hard-coded into
	  macros/svn2cl.xsl. Just add more branches there if we need them
	  in the ChangeLog as well.

2007-04-30 09:32  cstim

	* [r16029] trunk/ChangeLog, trunk/ChangeLog.2006-manual: Move old
	  manual 2006 Changelog to separate filename

2007-04-30 08:25  andi5

	* [r16028] trunk/src/gnome/dialog-print-check.c: Patch from Zach
	  Sadecki to start custom check items at index 1, #434029.

2007-04-30 08:22  cstim

	* [r16027] trunk/po/en_GB.po: Updated British English translation
	  by Nigel Titley.

2007-04-30 05:33  hampton

	* [r16025] trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/src/backend/postgres/account.c,
	  trunk/src/backend/postgres/price.c,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/business/business-core/gncAddress.c,
	  trunk/src/business/business-core/gncBillTerm.c,
	  trunk/src/business/business-core/gncCustomer.c,
	  trunk/src/business/business-core/gncEmployee.c,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncJob.c,
	  trunk/src/business/business-core/gncOrder.c,
	  trunk/src/business/business-core/gncTaxTable.c,
	  trunk/src/business/business-core/gncVendor.c,
	  trunk/src/engine/Account.c, trunk/src/engine/Scrub2.c,
	  trunk/src/engine/Split.c, trunk/src/engine/Transaction.c,
	  trunk/src/engine/cap-gains.c, trunk/src/engine/gnc-budget.c,
	  trunk/src/engine/gnc-pricedb.c: Start putting an API in place
	  for access to the members of the QofInstance object.

2007-04-29 18:32  andi5

	* [r16024] trunk/packaging/win32/gnucash.iss.in: Patch from Zach
	  Sadecki to lower the number of annoying console windows. * At
	  the end of the setup, optionally run gnucash.bat hidden *
	  Desktop and start menu icon run gnucash.bat minimized (hidden is
	  not possible here)

2007-04-29 16:11  andi5

	* [r16023] trunk/packaging/win32/gnucash.iss.in: Shutdown gconfd
	  before uninstalling GnuCash, #434271.

2007-04-29 10:18  andi5

	* [r16022] trunk/packaging/win32/install.sh: Change gconfd-2.exe
	  to the windows subsystem in inst_gnome more often. If for some
	  reason gnome is reinstalled but gconfd-2.console.exe has not
	  been removed, the subsystem type of the newly unzipped
	  gconfd-2.exe is not changed again, so it will pop up a console
	  window. Fix that.

2007-04-28 22:06  wilddev

	* [r16019] trunk/packaging/Makefile.am: Update
	  packaging/Makefile.am to release 2.1.1

2007-04-28 21:49  wilddev

	* [r16018] trunk/NEWS, trunk/configure.in: Update NEWS and
	  configure.in to release 2.1.1

2007-04-28 19:13  andi5

	* [r16017] trunk/src/scm/Makefile.am,
	  trunk/src/scm/price-quotes.scm, trunk/src/scm/process.scm: Drop
	  process.scm and spawn perl to retrieve price quotes. Use
	  gnc_spawn_process_async, gnc_process_get_fd, gnc_detach_process
	  and gnc_parse_time_to_timet in price-quotes.scm, but leave the
	  work-flow basically as before.
	* [r16016] trunk/src/app-utils/app-utils.i,
	  trunk/src/app-utils/guile-util.c,
	  trunk/src/app-utils/guile-util.h: Add gnc_parse_time_to_timet, a
	  concatenation of strptime and mktime. This will be needed for
	  the price quotes on systems that lack a guile function
	  `strptime'.

2007-04-28 16:04  andi5

	* [r16015] trunk/src/app-utils/guile-util.c: Give the child
	  process a real chance to die before we kill it. Improve r15997
	  by processing all events without blocking, maybe until the child
	  is dead.

2007-04-28 15:32  andi5

	* [r16014] trunk/src/bin/gnucash-bin.c: Prepend to PATHEXT and
	  give a default TZ on Windows. * g_find_program_in_path will find
	  gnc-fq-{check,helper} only if . is added to PATHEXT *
	  Date::Manip needs TZ set to something reasonable
	  (install-fq-mods.bat should help the user)

2007-04-28 15:28  andi5

	* [r16013] trunk/packaging/win32/install-fq-mods.bat: Add
	  gnc-fq-helper and TZ environment variable test to
	  install-fq-mods.bat. Set TZ to UTC if unset and download a price.

2007-04-28 11:17  cstim

	* [r16012] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/el.po, trunk/po/en_GB.po, trunk/po/es.po,
	  trunk/po/es_NI.po, trunk/po/eu.po, trunk/po/fr.po,
	  trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po, trunk/po/nb.po,
	  trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po, trunk/po/pt.po,
	  trunk/po/pt_BR.po, trunk/po/ro.po, trunk/po/ru.po,
	  trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po, trunk/po/ta.po,
	  trunk/po/tr.po, trunk/po/uk.po, trunk/po/zh_CN.po,
	  trunk/po/zh_TW.po: Merge all translations with current
	  translation template.

2007-04-28 11:16  cstim

	* [r16011] trunk/po/de.po: Update German translation

2007-04-28 11:11  cstim

	* [r16010] trunk/src/core-utils/gnc-gkeyfile-utils.c: Fix typo in
	  user message

2007-04-28 11:10  cstim

	* [r16009] trunk/src/gnome/dialog-print-check.c,
	  trunk/src/import-export/hbci/druid-hbci-initial.c: i18n cleanup:
	  Fix explanatory comments for translators.

2007-04-28 11:09  cstim

	* [r16008] trunk/src/backend/file/io-example-account.c,
	  trunk/src/engine/Recurrence.c: i18n cleanup: Don't translate
	  messages that don't have to be.

2007-04-28 11:09  andi5

	* [r16007] trunk/packaging/win32/Makefile.am,
	  trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in,
	  trunk/packaging/win32/install-fq-mods.bat,
	  trunk/packaging/win32/install.sh: Add install-fq-mods.bat to
	  dist and start menu. * Dist new OpenSSL correctly * cp
	  libssl32.dll ssleay32.dll to make Crypt::SSLeay perl module happy

2007-04-28 02:40  hampton

	* [r16003] trunk/lib/libqof/qof/qofid.c,
	  trunk/lib/libqof/qof/qofid.h,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h: Collapse two functions into
	  their only caller. Move a third function to the same file.

2007-04-27 16:54  andi5

	* [r16002] trunk/packaging/win32/install.sh: Update openssl safety
	  net. * Bark on $OPENSSL_DIR/lib/libcrypto.dll.a (0.9.7) * Bark
	  if libeay32.dll cannot be found * Bark if libeay32.dll is found,
	  but not in $OPENSSL_DIR/bin * Do not care about libs in $WINDIR

2007-04-27 14:44  andi5

	* [r16001] trunk/src/app-utils/gnc-ui-util.c: Fix a
	  NULL-%s-printf, #433798.

2007-04-26 21:58  andi5

	* [r16000] trunk/packaging/win32/Makefile.am,
	  trunk/packaging/win32/README, trunk/packaging/win32/defaults,
	  trunk/packaging/win32/defaults.sh,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/functions,
	  trunk/packaging/win32/functions.sh,
	  trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/reset.sh: Append `.sh' to
	  packaging/win32/{functions,defaults}.

2007-04-26 21:22  andi5

	* [r15999] trunk/packaging/win32/install.sh: Do not double-check
	  libraries/programs if they are installed correctly.

2007-04-26 17:17  andi5

	* [r15998] trunk/packaging/win32/defaults,
	  trunk/packaging/win32/install.sh: Build OpenSSL 0.9.8e from
	  tarball. Also starring: * Add mingw32-make, as openssl will be
	  built in cmd.exe * Link gwenhywfar against dynamic libraries
	  (-leay32 -lssl32) * Install svn before openssl to have the newer
	  ssl dlls as first in PATH

2007-04-25 18:25  andi5

	* [r15997] trunk/src/app-utils/guile-util.c: Fix
	  gnc_spawn_process_async and gnc_detach_process. * Do not use
	  g_child_watch_add if the spawn failed * Give the child process a
	  chance to die before we kill it * Rather use g_message if file
	  descriptors cannot be closed

2007-04-25 18:22  andi5

	* [r15996] trunk/src/core-utils/gnc-glib-utils.c: Free a leaked
	  return value of g_win32_error_message.

2007-04-23 02:06  hampton

	* [r15995] trunk/src/gnome-utils/gnc-main-window.c: Use
	  gtk_widget_show, not gtk_widget_show_all. The latter screws up
	  the synchronization between the edit menu and which items are
	  shown in the window.

2007-04-23 01:56  hampton

	* [r15994] trunk/src/pixmaps/gnucash-icon.ico: New version of the
	  file from Zach Sadecki that include three different image sizes.
	  Fixes #432425

2007-04-22 22:15  hampton

	* [r15993] trunk/accounts/en_GB, trunk/packaging/win32: Update
	  ignore properties.

2007-04-22 22:02  hampton

	* [r15992] trunk/src/gnome-utils/dialog-transfer.c: Use simpler
	  behavior for setting the "1 xxx = 2 yyy" exchange rate sample
	  strings in the lower right corner of the transfer dialog. Don't
	  try and duplicate the logic that sets the number in the exchange
	  rate field, just pull the the existing number straight out of
	  the widget. Fixes #408703. BP

2007-04-22 21:20  hampton

	* [r15991] trunk/src/gnome/glade/price.glade: Move the price
	  manupilation buttons to the right side of the dialog. For
	  languages where one of the button labels is very long, this
	  prevents the dialog from becoming excessively wide.

2007-04-22 20:22  hampton

	* [r15990] trunk/src/engine/iso-4217-currencies.scm: Add the
	  Moldovan Leu. Fixes #414064. BP

2007-04-22 20:04  hampton

	* [r15989] trunk/src/engine/Transaction.c: Changing the
	  transaction number can affect the split sort order and thus the
	  running account balances. Fixes #386074. BP

2007-04-22 19:29  hampton

	* [r15988] trunk/src/engine/Account.c: Catch and short circuit the
	  case of trying to get the balance of an account that is so new
	  it hasn't had a currency assigned yet. Fixes #432227.

2007-04-22 18:30  hampton

	* [r15987] trunk/src/engine/Account.c: Allow NULL pointers when
	  calling xaccAccountGetFullName. Fixes #432314.

2007-04-22 16:30  jsled

	* [r15986] trunk/src/bin/gnucash-bin.c,
	  trunk/src/gnome-utils/gnc-gnome-utils.c,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-main-window.h: Bug#350993: hide the
	  main window until it's ready to be interacted with (like most
	  every other app).

2007-04-22 16:10  jsled

	* [r15985] trunk/src/gnome/gnc-plugin-page-sx-list.c: Bug#432232:
	  confirm SX deletion.

2007-04-22 11:36  andi5

	* [r15984] trunk/src/gnome-utils/gnc-tree-view-account.c: Do not
	  show ACCT_TYPE_ROOT in filter by dialog.

2007-04-22 11:27  andi5

	* [r15983] trunk/src/gnome-utils/gnc-tree-view-account.c: In
	  gnc_tree_view_account_select_subaccounts, determine correct last
	  (deep) child.

2007-04-22 10:53  andi5

	* [r15982] trunk/src/gnome/glade/account.glade: Set mnemonic
	  widget for "Smallest fraction" in account dialog.

2007-04-22 10:26  andi5

	* [r15981] trunk/src/gnome/glade/tax.glade: Set scroll policies in
	  tax information dialog to automatic, #432072.
	* [r15980] trunk/src/gnome/glade/sched-xact.glade: Remove
	  urgency_hint (gtk+ >= 2.8) from glade files.
	* [r15979] trunk/src/gnome-utils/glade/preferences.glade: Add a
	  6px border to the printing tab of the preferences dialog for
	  consistency.

2007-04-22 09:20  andi5

	* [r15978] trunk/src/gnome-utils/gnc-splash.c: Close the splash
	  screen on clicks, #366418.

2007-04-22 09:03  andi5

	* [r15977] trunk/src/app-utils/gnc-ui-util.c: Fix double variable
	  declaration on non-Windows, introduced by r15973.

2007-04-22 05:59  hampton

	* [r15976] trunk/src/gnome-utils/dialog-options.c: Remember the
	  current session when an option dialog boxes is opened, and close
	  it when the session is closed. Fixes #394074. BP

2007-04-22 05:22  hampton

	* [r15975] trunk/src/gnome-utils/gnc-file.c: Suspend qof events
	  for the interval between swapping the books between two
	  sessions, and installing the new session as the current session.
	  The books end up same before and after, but there is small
	  interval in the middle where any call to get the current book
	  will get bogus results. Fixes #414783. BP

2007-04-22 00:49  andi5

	* [r15974] trunk/packaging/win32/install.sh: Compile with
	  --enable-locale-specific-tax on Windows.

2007-04-22 00:48  andi5

	* [r15973] trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/gnome/druid-hierarchy.c,
	  trunk/src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  trunk/src/tax/us/gncmod-tax-us.c: To identify the active locale
	  on Windows, use g_win32_getlocale instead of setlocale.

2007-04-21 22:20  jsled

	* [r15972] trunk/src/report/standard-reports/balance-sheet.scm:
	  Bug#131623: Fix computation of unrealized gains in Balance Sheet
	  report. Patch from Mike Alexander <mta@umich.edu>.

2007-04-21 21:49  jsled

	* [r15971] trunk/packaging/gnucash-2.1.x.ebuild: ebuild updates

2007-04-21 21:46  jsled

	* [r15970] trunk/AUTHORS: update myself.

2007-04-21 21:26  jsled

	* [r15969] trunk/accounts/Makefile.am, trunk/accounts/en_GB,
	  trunk/accounts/en_GB/Makefile.am,
	  trunk/accounts/en_GB/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_business.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_common.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_full.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_renter.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/en_GB/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/en_GB/uk-vat.gnucash-xea, trunk/configure.in:
	  Bug#372948: Add accounts/en_GB/ (as a copy of accounts/C/ ...
	  sorry), add an example accounts file for VAT tracking.

2007-04-21 20:58  jsled

	* [r15968] trunk/packaging/gnucash-1.9.x.ebuild,
	  trunk/packaging/gnucash-2.1.x.ebuild: Update ebuild for 2.1.x'es.

2007-04-21 20:07  hampton

	* [r15967] trunk/lib/libqof/qof/gnc-numeric.h,
	  trunk/src/engine/Account.c: Use GNC_TYPE_NUMERIC instead of
	  GNC_NUMERIC.

2007-04-21 19:43  warlord

	* [r15966] trunk, trunk/src/bin/gnucash-bin.c: Extend the stack
	  size when pulling price quotes (#428133) Patch from Mike
	  Alexander. BP

2007-04-21 19:18  hampton

	* [r15959] trunk/src/gnome-utils/dialog-options.c: Disable the
	  close callback while updating reports. Fixes #416986.

2007-04-21 18:44  jsled

	* [r15955] trunk/src/gnome/gnc-plugin-page-register.c: Bug#349693:
	  s/Lot Viewer/View Lots/ for consistency with Account Tree and
	  Action menu.

2007-04-21 18:31  hampton

	* [r15954] trunk/src/register/ledger-core/split-register-load.c,
	  trunk/src/register/ledger-core/split-register-model.c,
	  trunk/src/register/ledger-core/split-register.c: Validate
	  whether or not an account exists before calling various
	  functions in Account.c.

2007-04-21 18:30  hampton

	* [r15953] trunk/src/engine/Account.c: Relax the check on whether
	  xaccAccountGetCommodity is called with a valid commodity. This
	  function is called from many places without testing to see if
	  the account is non-NULL.

2007-04-21 18:14  andi5

	* [r15952] trunk/packaging/win32/defaults,
	  trunk/packaging/win32/install.sh: Replace monolithic MinGW setup
	  by smaller and reusable downloads.

2007-04-21 16:32  jsled

	* [r15951] trunk/src/gnome-utils/gnc-main-window.c: Bug#347257:
	  make the initial window a reasonable size, especially for
	  --nofile.

2007-04-21 15:30  jsled

	* [r15950] trunk/src/engine/SchedXaction.c: Bug#431435: guard
	  against dirtying the SX/book when setting to the same values the
	  SX objects already contain.

2007-04-21 14:08  jsled

	* [r15949] trunk/src/gnome/gnc-plugin-page-sx-list.c: Add accel
	  for Scheduled overlay menu

2007-04-21 12:47  andi5

	* [r15948] trunk/src/gnome-utils/dialog-account.c: Update the
	  account name in the title of the account dialog on a parent
	  change.

2007-04-21 12:26  andi5

	* [r15947] trunk/src/gnome-utils/dialog-account.c: Use correct
	  mnemonic widget for "_Parent Account" in account dialog,
	  #431963. BP

2007-04-21 12:00  andi5

	* [r15946] trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/gnome-utils/dialog-account.c,
	  trunk/src/gnome-utils/gnc-tree-model-account-types.h: Improve
	  handling of the account in the account dialog. * rename
	  xaccAccountTypesCompatibleWith to
	  xaccParentAccountTypesCompatibleWith, typically allow
	  ACCT_TYPE_ROOT as parent but not as child * remove
	  ACCT_TYPE_ROOT from xaccAccountTypesValid * no need to
	  single-case the root account in gnc_common_ok anymore

2007-04-21 08:59  cstim

	* [r15945] trunk/po/de.po: Update German translation

2007-04-20 21:24  jsled

	* [r15944] trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/engine/SchedXaction.c: Bug#431771: remove from SX
	  deferred-instance list by value. Remove inexplicably-commented
	  line from SX Instance Model.

2007-04-20 17:42  jsled

	* [r15942] trunk/src/app-utils/gnc-sx-instance-model.c:
	  Bug#431756: use the correct return value for the
	  xaccAccountForEachTransaction function.

2007-04-20 16:56  jsled

	* [r15941] trunk/src/app-utils/gnc-sx-instance-model.c: Only
	  append if the list is valid.

2007-04-20 15:34  jsled

	* [r15940] trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/gnome/dialog-sx-editor.c: Fix crasher in variable
	  handling in SX editor. Be more consistent about alloc'ed memory
	  ownership. Some formatting cleanups.

2007-04-19 06:37  andi5

	* [r15937] trunk/src/tax/us/txf-de_DE.scm,
	  trunk/src/tax/us/txf-help-de_DE.scm,
	  trunk/src/tax/us/txf-help.scm: Convert tax strings to UTF-8.

2007-04-19 05:09  hampton

	* [r15936] trunk/src/engine/AccountP.h, trunk/src/engine/Period.c,
	  trunk/src/engine/cap-gains.c,
	  trunk/src/engine/test-core/test-engine-stuff.c: Replace a
	  function name mapping with the real function call.

2007-04-19 04:19  hampton

	* [r15935]
	  trunk/src/backend/file/test/test-files/xml2/conrads-file.gml2:
	  Fix an error in a test data file.

2007-04-19 04:18  hampton

	* [r15934] trunk/src/backend/file/gnc-account-xml-v2.c,
	  trunk/src/backend/file/gnc-transaction-xml-v2.c: Replace silent
	  failures with noisy assertions.

2007-04-19 04:16  hampton

	* [r15933] trunk/src/engine/Account.c,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Scrub.c,
	  trunk/src/engine/Scrub3.c, trunk/src/engine/cap-gains.c: Finish
	  moving account specific properties from the public data
	  structure to a private data structure.

2007-04-19 00:58  jsled

	* [r15932] trunk/src/report/standard-reports/account-summary.scm,
	  trunk/src/report/standard-reports/balance-sheet.scm,
	  trunk/src/report/standard-reports/income-statement.scm,
	  trunk/src/report/standard-reports/transaction.scm,
	  trunk/src/report/standard-reports/trial-balance.scm: Fix report
	  version identifiers.
	* [r15931]
	  trunk/src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  trunk/src/tax/us/gncmod-tax-us.c: Fix build breakage with
	  --enable-locale-specific-tax

2007-04-19 00:11  jsled

	* [r15930] trunk/src/gnome-utils/gnc-frequency.c,
	  trunk/src/gnome/glade/sched-xact.glade: Re-fix Bug#104844, but
	  better: have a separate 'last day of month' option, and use the
	  corresponding Recurrence frequency.

2007-04-18 23:41  jsled

	* [r15929] trunk/src/backend/file/gnc-schedxaction-xml-v2.c:
	  remove silly 'always set the month to january' logic.

2007-04-18 23:23  warlord

	* [r15928] trunk, trunk/src/app-utils/gncmod-app-utils.c,
	  trunk/src/backend/file/gncmod-backend-file.c,
	  trunk/src/business/business-core/file/gncmod-business-backend-file.c,
	  trunk/src/business/business-core/gncmod-business-core.c,
	  trunk/src/business/business-gnome/gncmod-business-gnome.c,
	  trunk/src/business/business-utils/gncmod-business-utils.c,
	  trunk/src/business/dialog-tax-table/gncmod-dialog-tax-table.c,
	  trunk/src/calculation/gncmod-calculation.c,
	  trunk/src/engine/gncmod-engine.c,
	  trunk/src/engine/test-core/gncmod-test-engine.c,
	  trunk/src/gnc-module/gnc-module-api.h,
	  trunk/src/gnc-module/gnc-module.c,
	  trunk/src/gnc-module/test/misc-mods/agedver.c,
	  trunk/src/gnc-module/test/misc-mods/futuremodsys.c,
	  trunk/src/gnc-module/test/misc-mods/incompatdep.c,
	  trunk/src/gnc-module/test/mod-bar/gnc-mod-bar.c,
	  trunk/src/gnc-module/test/mod-baz/gnc-mod-baz.c,
	  trunk/src/gnc-module/test/mod-foo/gnc-mod-foo.c,
	  trunk/src/gnome-search/gncmod-gnome-search.c,
	  trunk/src/gnome-utils/gncmod-gnome-utils.c,
	  trunk/src/import-export/binary-import/gncmod-binary-import.c,
	  trunk/src/import-export/gncmod-generic-import.c,
	  trunk/src/import-export/hbci/gncmod-hbci.c,
	  trunk/src/import-export/log-replay/gncmod-log-replay.c,
	  trunk/src/import-export/ofx/gncmod-ofx-import.c,
	  trunk/src/import-export/qif-import/gncmod-qif-import.c,
	  trunk/src/import-export/qif-io-core/gncmod-qifiocore.c,
	  trunk/src/register/ledger-core/gncmod-ledger-core.c,
	  trunk/src/register/register-core/gncmod-register-core.c,
	  trunk/src/register/register-gnome/gncmod-register-gnome.c,
	  trunk/src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  trunk/src/report/report-gnome/gncmod-report-gnome.c,
	  trunk/src/report/report-system/gncmod-report-system.c,
	  trunk/src/report/standard-reports/gncmod-standard-reports.c,
	  trunk/src/report/stylesheets/gncmod-stylesheets.c,
	  trunk/src/report/utility-reports/gncmod-utility-reports.c,
	  trunk/src/tax/us/gncmod-tax-us.c,
	  trunk/src/test-core/gncmod-test.c: Make sure that each GNCModule
	  has a unique set of symbols. Change gnc-module.c to load the
	  unique symbols based on the module filename. Change
	  gnc-module-api.h to declare the functions based on a provided
	  filename. Change ALL the modules to use the new symbol names.
	  This change should allow the code to build cleanly on the
	  MacIntel platform.

2007-04-18 23:22  warlord

	* [r15927] trunk, trunk/src/gnc-module/test/test-incompatdep.c:
	  Actually load the correct module to test invalid dependencies.

2007-04-18 22:05  andi5

	* [r15924] trunk/packaging/win32/defaults,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/functions,
	  trunk/packaging/win32/install.sh: Allow building from a tarball.
	  * Add UPDATE_SOURCES. If "no", drop inst_svn and svn_up. * Add
	  BUILD_FROM_TARBALL. If "yes", set GNUCASH_DIR=..\\..,
	  REPOS_DIR=$GNUCASH_DIR and UPDATE_SOURCES=no. * Fix renaming of
	  setup.exe in dist.sh.

2007-04-18 19:17  andi5

	* [r15923] trunk/packaging/win32/install.sh: Install.sh: Test for
	  g++.

2007-04-18 05:11  hampton

	* [r15922] trunk/src/engine/Account.c: Fix mistake in property
	  install.

2007-04-18 04:50  hampton

	* [r15921] trunk/lib/libqof/qof/gnc-numeric.h,
	  trunk/src/backend/postgres/checkpoint.c,
	  trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Period.c,
	  trunk/src/engine/Scrub2.c, trunk/src/engine/Split.c,
	  trunk/src/engine/cap-gains.c, trunk/src/engine/test,
	  trunk/src/engine/test/Makefile.am,
	  trunk/src/engine/test/test-account-object.c: Move more account
	  properties from the public data structure to a private data
	  structure, with access to them as properties of the object.

2007-04-17 22:47  andi5

	* [r15920] trunk/packaging/win32/README,
	  trunk/packaging/win32/defaults,
	  trunk/packaging/win32/install.sh: Win32: Add some text regarding
	  QTDIR and AQBANKING_WITH_QT.

2007-04-17 22:35  jsled

	* [r15919] trunk/src/doc/doxygen_main_page.c: update links for
	  correctness.

2007-04-17 19:48  andi5

	* [r15918] trunk/packaging/win32/defaults,
	  trunk/packaging/win32/functions,
	  trunk/packaging/win32/install.sh: Win32: Include custom at the
	  beginning of defaults. Set AQBANKING_WITH_QT=yes. To enable
	  effective overriding of GLOBAL_DIR, first include custom and
	  then use set_default and add_step to complete the environment.
	  The primer is new and sets a variable if it is unset or empty.
	  The latter is modified to check steps for being blocked, either
	  by block_step or a previous call to add_step. Add late_eval for
	  expressions to be executed at the end of defaults.
	  AQBANKING_WITH_QT (prior aqbanking_with_qt) is set to yes by
	  default now so that the aqbanking setup wizard is built and the
	  user only needs to install QT.

2007-04-17 18:02  cstim

	* [r15917] trunk/accounts/de_DE/acctchrt_common.gnucash-xea:
	  Improve documentation of German account template. Patch by Frank
	  Ellenberger.

2007-04-17 15:18  andi5

	* [r15914] trunk/packaging/win32/Makefile.am: Correct custom.sh to
	  defaults in packaging/win32/Makefile.am.

2007-04-16 22:33  andi5

	* [r15912] trunk/packaging/win32, trunk/packaging/win32/README,
	  trunk/packaging/win32/custom.sh, trunk/packaging/win32/defaults,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/functions,
	  trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/reset.sh: Rename custom.sh to defaults,
	  recommend custom, add remove_step. Declare defaults (custom.sh)
	  as virtually immutable, so that svn updates and commits do not
	  interfere with local modifications. Put those into a file
	  `custom' which is read at the end of defaults, if existent.
	  Remove_step helps to comment out steps now.

2007-04-16 20:51  andi5

	* [r15911] trunk/src/gnome-utils/dialog-transfer.c: Fix quickfill
	  handling in transfer dialogs, bug #413868. Connect to
	  key_press_event on description entry before the default handler,
	  let RET act like OK. Do not care about button releases. On
	  insert_text, make quickfill as in the register, set the position
	  and g_idle_add a function to set the selected region.

2007-04-16 18:11  andi5

	* [r15910] trunk/configure.in, trunk/packaging/Makefile.am,
	  trunk/packaging/win32/Makefile.am: Add packaging/win32 to
	  tarball. In the long run it should be possible to build GnuCash
	  on Windows from the tarball within MSYS/MinGW.

2007-04-16 08:26  andi5

	* [r15909] trunk/src/import-export/import-account-matcher.c: Fix
	  NULL-%s-printf in gnc_import_select_account. Fixes #430130.

2007-04-16 04:30  hampton

	* [r15907] trunk/checks/Makefile.am: Make sure to distribute all
	  the check files in the tarball.

2007-04-15 22:22  jsled

	* [r15906] trunk/src/gnome-utils/gnc-gnome-utils.c,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/pixmaps/Makefile.am, trunk/src/pixmaps/appicon.png,
	  trunk/src/pixmaps/gnucash-icon-16x16.png,
	  trunk/src/pixmaps/gnucash-icon-32x32.png,
	  trunk/src/pixmaps/gnucash-icon-48x48.png,
	  trunk/src/pixmaps/gnucash-icon.ico,
	  trunk/src/pixmaps/gnucash-icon.png: Change from the Blue Gnu
	  Card icon to the Tango-theme icon. Change from a single default
	  icon to the default-set of 16x16, 32x32 and 48x48.

2007-04-15 21:31  jsled

	* [r15905] trunk/art/tango, trunk/art/tango/16x16,
	  trunk/art/tango/16x16/gnucash.png,
	  trunk/art/tango/16x16/gnucash.svg, trunk/art/tango/22x22,
	  trunk/art/tango/22x22/gnucash.png,
	  trunk/art/tango/22x22/gnucash.svg, trunk/art/tango/32x32,
	  trunk/art/tango/32x32/gnucash.png,
	  trunk/art/tango/32x32/gnucash.svg, trunk/art/tango/README,
	  trunk/art/tango/scalable, trunk/art/tango/scalable/gnucash.png,
	  trunk/art/tango/scalable/gnucash.svg: Tango Project themed icon
	  from Hylke Bons.

2007-04-15 18:53  hampton

	* [r15903] trunk/src/app-utils/gnc-ui-util.c: Mark the
	  number-to-word code as non-translatable because, as the comment
	  in the code says, adding a word-by-word translation is almost
	  surely wrong for almost every language. This change was
	  recommended by the translation manager.

2007-04-15 18:26  jsled

	* [r15902] trunk/src/gnome/dialog-sx-editor.c: make 3-month
	  columns in the SX editor, which should layout better for the
	  default 6 months, as well as 12 months.

2007-04-15 18:22  jsled

	* [r15901] trunk/src/gnome-utils/gnc-frequency.c,
	  trunk/src/gnome/glade/sched-xact.glade: tweak GncFrequency
	  layout: use Expand much less.

2007-04-15 17:44  jsled

	* [r15900] trunk/src/gnome-utils/gnc-dense-cal.c: Better popup
	  window size handling.

2007-04-15 17:06  jsled

	* [r15899] trunk/src/app-utils/gnc-sx-instance-model.c: Fix
	  variable name corruption due to merge-update.

2007-04-15 14:48  andi5

	* [r15897] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/functions, trunk/packaging/win32/reset.sh:
	  Improve win32/reset.sh. The script uses the paths from custom.sh
	  now. Certain paths can be added as precious by reset.sh or the
	  user to avoid their deletion. All planned actions are presented
	  before confirmation to make them more transparent.

2007-04-15 10:17  cstim

	* [r15896] trunk/configure.in: Remove erroneous extra dot in
	  version number of r15892

2007-04-15 10:11  cstim

	* [r15895] trunk/doc/README.dependencies: Remove duplicated,
	  unmaintained doc file

2007-04-15 01:25  wilddev

	* [r15892] trunk/NEWS, trunk/configure.in: NEWS: Added some text
	  about the release.configure.in: Change to version 2.1.0

2007-04-14 22:48  hampton

	* [r15891] trunk/src/backend/file/gnc-account-xml-v2.c,
	  trunk/src/backend/postgres/account.c,
	  trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Scrub2.c,
	  trunk/src/engine/Scrub3.c, trunk/src/engine/cap-gains.c,
	  trunk/src/gnome/lot-viewer.c: More moving of properties from the
	  public data structure to a private data structure, with access
	  to them as properties of the object.

2007-04-14 22:30  andi5

	* [r15890] trunk/lib/libqof/qof/Makefile.am: Add qof-gobject.h to
	  qofinclude_HEADERS.

2007-04-14 21:42  andi5

	* [r15889] trunk/src/gnome-utils/QuickFill.c: Use
	  g_direct_{hash,equal} in gnc_quickfill_new, drop
	  quickfill_{hash,compare}. Storing pointers in integers is not
	  portable in any way shape or form (GPOINTER_TO_UINT).

2007-04-14 18:30  cstim

	* [r15888] trunk/po/de.po: Update German translation

2007-04-14 18:22  hampton

	* [r15887] trunk/src/engine/Account.c: The root account name
	  should never be visible, so no need to mark it for translation.

2007-04-14 16:19  hampton

	* [r15886] trunk/checks: Ignore generated files

2007-04-14 16:01  hampton

	* [r15885] trunk/src/engine/Account.c,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Period.c,
	  trunk/src/engine/Scrub.c, trunk/src/engine/Scrub2.c,
	  trunk/src/engine/Scrub3.c,
	  trunk/src/import-export/hbci/gnc-plugin-hbci.c: Begin the
	  GObjectification of the Account object. Move some properties
	  from the public data structure to a private data structure, and
	  enable access to them as properties of the object.

2007-04-14 11:34  cstim

	* [r15884] trunk/src/engine/Recurrence.c,
	  trunk/src/gnome/dialog-print-check.c: Improve i18n

2007-04-14 11:33  cstim

	* [r15883] trunk/po/de.po: Update German translation.

2007-04-14 11:24  cstim

	* [r15882] trunk/src/app-utils/gnc-ui-util.c: Fix i18n; add
	  explanation of word meanings and i18n issues here.

2007-04-14 10:47  cstim

	* [r15881] trunk/po/ca.po, trunk/po/cs.po, trunk/po/da.po,
	  trunk/po/de.po, trunk/po/el.po, trunk/po/en_GB.po,
	  trunk/po/es.po, trunk/po/es_NI.po, trunk/po/eu.po,
	  trunk/po/fr.po, trunk/po/hu.po, trunk/po/it.po, trunk/po/ja.po,
	  trunk/po/nb.po, trunk/po/ne.po, trunk/po/nl.po, trunk/po/pl.po,
	  trunk/po/pt.po, trunk/po/pt_BR.po, trunk/po/ro.po,
	  trunk/po/ru.po, trunk/po/rw.po, trunk/po/sk.po, trunk/po/sv.po,
	  trunk/po/ta.po, trunk/po/tr.po, trunk/po/uk.po,
	  trunk/po/zh_CN.po, trunk/po/zh_TW.po: Copy po files from
	  branch-2.0 r15797 to trunk and merge trunk's po template by make
	  update-po.

2007-04-14 10:36  andi5

	* [r15880] trunk/src/engine/engine.i: Wrap
	  SPLIT_{ACCT_FULLNAME,CORR_ACCT_{NAME,CODE}} correctly. Reported
	  by Mike Alexander, #429075.

2007-04-14 09:24  cstim

	* [r15879]
	  trunk/src/register/ledger-core/split-register-control.c: Fix
	  missing exchange rate dialog on purchasing stocks. Patch by Mike
	  Alexander, bug#335101. BP

2007-04-11 22:00  jsled

	* [r15877] trunk/src/app-utils/gnc-ui-util.c: Formatting.

2007-04-11 21:58  jsled

	* [r15876] trunk/src/app-utils/options.scm: Fix indentation;
	  clarify comment/description of vector of functions.

2007-04-11 16:47  andi5

	* [r15875] trunk/src/engine/Scrub.c,
	  trunk/src/engine/gnc-commodity.c,
	  trunk/src/engine/gnc-filepath-utils.c,
	  trunk/src/gnome-utils/gnc-tree-view-account.c,
	  trunk/src/register/ledger-core/split-register.c: Balance some
	  more ENTER/LEAVE calls. Replace one ENTER by DEBUG.

2007-04-11 15:37  andi5

	* [r15874] trunk/src/business/business-core/gncCustomer.c,
	  trunk/src/business/business-core/gncEmployee.c,
	  trunk/src/business/business-core/gncVendor.c,
	  trunk/src/business/business-core/test/test-address.c: Add a few
	  gncAddressBeginEdit before gncAddressDestroy.

2007-04-11 15:34  andi5

	* [r15873] trunk/src/backend/file/gnc-backend-file.c: Use
	  ERR_BACKEND_READONLY if data file cannot be unlinked on write.
	  On Windows, we need write access to the data file to remove it
	  before replacing it by the already written out temp file. We
	  should not just chmod the data file, but tell the user that it
	  may be read-only. ERR_FILEIO_BACKUP_ERROR was misleading because
	  the backup actually worked.

2007-04-11 13:27  jsled

	* [r15872] trunk/configure.in: Revert 15855: we can't get away
	  with this yet.

2007-04-11 02:57  jsled

	* [r15871] trunk/src/gnome-utils/gnc-file.c: a bit safer.

2007-04-11 02:08  jsled

	* [r15870] trunk/src/gnome-utils/gnc-file.c: Bug#428452: use the
	  g_path_get_dirname(...) of the last-file-opened to initialize
	  the default directory of the File > Open dialog.

2007-04-10 19:32  cstim

	* [r15868] trunk/src/import-export/hbci/gnc-hbci-gettrans.c: Use
	  aqbanking's FiId field for correct OFX duplicate matching.
	  #418072, patch by David Reiser.

2007-04-10 14:17  warlord

	* [r15860] trunk, trunk/src/scm/price-quotes.scm: Phil Longstaff's
	  patch for begin/commit edit in price quotes.

2007-04-09 23:28  hampton

	* [r15857] trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/SchedXaction.h, trunk/src/engine/gnc-lot.c,
	  trunk/src/engine/gnc-lot.h, trunk/src/engine/gnc-pricedb.c,
	  trunk/src/engine/gnc-pricedb.h: Add some const declarations.

2007-04-09 23:26  hampton

	* [r15856] trunk/src/engine/Account.c,
	  trunk/src/engine/gnc-budget.c, trunk/src/engine/gnc-budget.h:
	  Add some begin_edit/commit_edit checks. BP

2007-04-09 23:24  hampton

	* [r15855] trunk/configure.in: Re-enable -Wunused checks.

2007-04-09 23:02  warlord

	* [r15854] trunk, trunk/lib/libqof/qof/gnc-numeric.c,
	  trunk/lib/libqof/qof/gnc-numeric.h: Phil Longstaff's patch to
	  enable gnc_numeric to be a GValue
	* [r15853] trunk, trunk/lib/libqof/qof/kvp_frame.c: Phil
	  Longstaff's patch to fix a kvp_frame bug. Save the current frame
	  so we know where to build the new one. BP

2007-04-09 20:00  jsled

	* [r15852] trunk/src/app-utils/gnc-sx-instance-model.c: make
	  hashtable destruction a bit more defensive

2007-04-09 00:51  andi5

	* [r15851] trunk/src/core-utils/gnc-gdate-utils.c,
	  trunk/src/core-utils/gnc-gdate-utils.h,
	  trunk/src/gnome/druid-loan.c: Rename g_date_equals to
	  gnc_gdate_equal and g_date_hash to gnc_gdate_hash. Those are not
	  native GLib functions. Make _equals consistent with
	  g_{str,int}_equal, also return a gboolean. g_date_compare checks
	  its parameters for validity already, so do not do that twice.
	* [r15850] trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/gnc-date.h: Remove unused code for
	  gnc_timet_get_day_{start,end}_gdate from qof.

2007-04-07 18:24  hampton

	* [r15849] trunk/src/business/business-core/gncInvoice.c: Fix
	  compiler complaints about dereferencing type-punned pointers.

2007-04-07 16:02  warlord

	* [r15846] trunk, trunk/lib/libqof/backend/file/qof-backend-qsf.h,
	  trunk/lib/libqof/backend/file/qsf-backend.c,
	  trunk/lib/libqof/backend/file/qsf-xml.c,
	  trunk/lib/libqof/backend/file/qsf-xml.h,
	  trunk/lib/libqof/qof/deprecated.c,
	  trunk/lib/libqof/qof/deprecated.h,
	  trunk/lib/libqof/qof/qof-gobject.h,
	  trunk/lib/libqof/qof/qofbook-p.h,
	  trunk/lib/libqof/qof/qofbook.c, trunk/lib/libqof/qof/qofbook.h,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qofbookmerge.h,
	  trunk/lib/libqof/qof/qofclass.h,
	  trunk/lib/libqof/qof/qofevent-p.h,
	  trunk/lib/libqof/qof/qofevent.c,
	  trunk/lib/libqof/qof/qofevent.h, trunk/lib/libqof/qof/qofgobj.c,
	  trunk/lib/libqof/qof/qofid-p.h, trunk/lib/libqof/qof/qofid.c,
	  trunk/lib/libqof/qof/qofid.h,
	  trunk/lib/libqof/qof/qofinstance-p.h,
	  trunk/lib/libqof/qof/qofinstance.c,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/lib/libqof/qof/qofobject.c,
	  trunk/lib/libqof/qof/qofobject.h,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofreference.c,
	  trunk/lib/libqof/qof/qofreference.h,
	  trunk/lib/libqof/qof/qofsession-p.h,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/lib/libqof/qof/qofsession.h,
	  trunk/lib/libqof/qof/qofsql.c, trunk/lib/libqof/qof/qofsql.h,
	  trunk/lib/libqof/qof/qofutil.c, trunk/lib/libqof/qof/qofutil.h,
	  trunk/src/app-utils/gnc-component-manager.c,
	  trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/backend/dwi/qofmap.c,
	  trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/backend/file/gnc-book-xml-v2.c,
	  trunk/src/backend/file/gnc-budget-xml-v2.c,
	  trunk/src/backend/file/gnc-pricedb-xml-v2.c,
	  trunk/src/backend/file/io-gncxml-v1.c,
	  trunk/src/backend/file/io-gncxml-v2.c,
	  trunk/src/backend/postgres/PostgresBackend.c,
	  trunk/src/backend/postgres/book.c,
	  trunk/src/backend/postgres/events.c,
	  trunk/src/backend/postgres/price.c,
	  trunk/src/backend/postgres/putil.h,
	  trunk/src/backend/postgres/table.m4,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/business/business-core/file/gnc-bill-term-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-customer-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-employee-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-entry-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-invoice-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-job-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-order-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-tax-table-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-vendor-xml-v2.c,
	  trunk/src/business/business-core/gncAddress.c,
	  trunk/src/business/business-core/gncAddress.h,
	  trunk/src/business/business-core/gncAddressP.h,
	  trunk/src/business/business-core/gncBillTerm.c,
	  trunk/src/business/business-core/gncBillTerm.h,
	  trunk/src/business/business-core/gncBillTermP.h,
	  trunk/src/business/business-core/gncCustomer.c,
	  trunk/src/business/business-core/gncCustomer.h,
	  trunk/src/business/business-core/gncCustomerP.h,
	  trunk/src/business/business-core/gncEmployee.c,
	  trunk/src/business/business-core/gncEmployee.h,
	  trunk/src/business/business-core/gncEmployeeP.h,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncEntry.h,
	  trunk/src/business/business-core/gncEntryP.h,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncInvoice.h,
	  trunk/src/business/business-core/gncInvoiceP.h,
	  trunk/src/business/business-core/gncJob.c,
	  trunk/src/business/business-core/gncJob.h,
	  trunk/src/business/business-core/gncJobP.h,
	  trunk/src/business/business-core/gncOrder.c,
	  trunk/src/business/business-core/gncOrder.h,
	  trunk/src/business/business-core/gncOrderP.h,
	  trunk/src/business/business-core/gncOwner.c,
	  trunk/src/business/business-core/gncOwner.h,
	  trunk/src/business/business-core/gncTaxTable.c,
	  trunk/src/business/business-core/gncTaxTable.h,
	  trunk/src/business/business-core/gncTaxTableP.h,
	  trunk/src/business/business-core/gncVendor.c,
	  trunk/src/business/business-core/gncVendor.h,
	  trunk/src/business/business-core/gncVendorP.h,
	  trunk/src/business/business-core/test/test-address.c,
	  trunk/src/business/business-core/test/test-customer.c,
	  trunk/src/business/business-core/test/test-employee.c,
	  trunk/src/business/business-core/test/test-job.c,
	  trunk/src/business/business-core/test/test-vendor.c,
	  trunk/src/business/business-gnome/business-urls.c,
	  trunk/src/business/business-gnome/gnc-plugin-business.c,
	  trunk/src/doc/backend-api.txt, trunk/src/engine/Account.c,
	  trunk/src/engine/Account.h, trunk/src/engine/AccountP.h,
	  trunk/src/engine/FreqSpec.c, trunk/src/engine/FreqSpec.h,
	  trunk/src/engine/FreqSpecP.h, trunk/src/engine/GNCId.h,
	  trunk/src/engine/Period.c, trunk/src/engine/SX-book.c,
	  trunk/src/engine/SX-book.h, trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/SchedXaction.h, trunk/src/engine/Scrub2.c,
	  trunk/src/engine/Split.c, trunk/src/engine/Split.h,
	  trunk/src/engine/SplitP.h, trunk/src/engine/Transaction.c,
	  trunk/src/engine/Transaction.h, trunk/src/engine/TransactionP.h,
	  trunk/src/engine/cap-gains.c, trunk/src/engine/gnc-budget.c,
	  trunk/src/engine/gnc-budget.h, trunk/src/engine/gnc-commodity.c,
	  trunk/src/engine/gnc-commodity.h, trunk/src/engine/gnc-engine.h,
	  trunk/src/engine/gnc-lot-p.h, trunk/src/engine/gnc-lot.c,
	  trunk/src/engine/gnc-lot.h, trunk/src/engine/gnc-pricedb-p.h,
	  trunk/src/engine/gnc-pricedb.c, trunk/src/engine/gnc-pricedb.h,
	  trunk/src/engine/test-core/test-engine-stuff.c,
	  trunk/src/engine/test/test-book-merge.c,
	  trunk/src/engine/test/test-guid.c,
	  trunk/src/engine/test/test-object.c,
	  trunk/src/engine/test/test-recursive.c,
	  trunk/src/engine/xlate.pl,
	  trunk/src/gnome-utils/account-quickfill.c,
	  trunk/src/gnome-utils/gnc-account-sel.c,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-tree-model-account.c,
	  trunk/src/gnome-utils/gnc-tree-model-budget.c,
	  trunk/src/gnome-utils/gnc-tree-model-commodity.c,
	  trunk/src/gnome-utils/gnc-tree-model-price.c,
	  trunk/src/gnome-utils/gnc-tree-view-price.c,
	  trunk/src/gnome/dialog-chart-export.c,
	  trunk/src/gnome/dialog-chart-export.h,
	  trunk/src/gnome/dialog-price-editor.c,
	  trunk/src/gnome/dialog-sx-editor.c,
	  trunk/src/gnome/druid-hierarchy.c,
	  trunk/src/gnome/druid-merge.c, trunk/src/gnome/druid-merge.h,
	  trunk/src/gnome/druid-stock-split.c,
	  trunk/src/gnome/gnc-plugin-page-register.c,
	  trunk/src/gnome/top-level.c, trunk/src/scm/price-quotes.scm:
	  First step of QOF/Object GObjectification. - Merge QofEntity
	  into QofInstance - Derive QofInstance from GObject - Convert all
	  QofInstance-derived objects to use GObject framework - renamed
	  qof_instance_init() to qof_instance_init_data() - removed
	  qof_instance_release() because it's no longer needed Merge from
	  branches/gobject-engine-dev-warlord (r15827)

2007-04-06 23:29  andi5

	* [r15845] trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/gnc-date.h: Remove unused functions
	  qof_print_{hours,minutes}_elapsed_buff().

2007-04-06 22:59  andi5

	* [r15844] trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/gnc-date.h: Remove unused function
	  qof_is_same_day().

2007-04-06 20:03  jsled

	* [r15843] trunk/src/gnome/druid-hierarchy.c: s/printf/g_logging/

2007-04-06 20:00  jsled

	* [r15842] trunk/src/gnome/druid-hierarchy.c: Bug#348364:
	  (Emulating price-cell,) we need to ensure the denominator of the
	  amount is in the SCU of the account's commodity (so
	  gnc-ui-util.c:is_decimal_fraction() on the remainder denom for
	  fractional values will be a "decimal").

2007-04-06 17:24  jsled

	* [r15841] trunk/src/doc/sx.rst,
	  trunk/src/gnome/dialog-sx-editor.c,
	  trunk/src/gnome/glade/sched-xact.glade: Re-layout SX editor
	  dialog: move 3 major components into notebook tabs. Bug#339003.

2007-04-06 04:44  hampton

	* [r15840] trunk/src/gnome-utils/dialog-options.c,
	  trunk/src/gnome-utils/dialog-preferences.c,
	  trunk/src/gnome-utils/dialog-transfer.c,
	  trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome-utils/gnc-date-edit.c,
	  trunk/src/gnome-utils/gnc-html.c,
	  trunk/src/gnome-utils/gnc-tree-view.c,
	  trunk/src/gnome/dialog-sx-from-trans.c,
	  trunk/src/gnome/gnc-plugin-page-sx-list.c,
	  trunk/src/register/register-gnome/combocell-gnome.c,
	  trunk/src/register/register-gnome/datecell-gnome.c,
	  trunk/src/register/register-gnome/gnucash-sheet.c: Conditionally
	  remove some more deprecated functions.

2007-04-06 02:49  jsled

	* [r15839] trunk/src/app-utils/gnc-sx-instance-model.c: Free
	  memory.

2007-04-06 02:31  hampton

	* [r15838] trunk/src/engine/Account.c, trunk/src/engine/Split.c,
	  trunk/src/engine/Split.h, trunk/src/engine/Transaction.c,
	  trunk/src/engine/gnc-lot.c: The function name xaccSplitDateOrder
	  is misleading, so rename it to xaccSplitOrder. Add a new
	  xaccSplitOrderDateOnly function.

2007-04-06 02:22  jsled

	* [r15837] trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/gnc-date.h, trunk/src/engine/Recurrence.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c: Combine two copies of
	  "dow abbrev[iation]" code.

2007-04-06 01:47  jsled

	* [r15836] trunk/src/gnome-utils/gnc-dense-cal-model.h,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c: Mem
	  handling fixme.

2007-04-06 01:20  jsled

	* [r15835] trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/app-utils/gnc-sx-instance-model.h,
	  trunk/src/app-utils/test/test-sx.c,
	  trunk/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  trunk/src/gnome/dialog-sx-since-last-run.c: Rename
	  GncSxInstances->list to instance_list, which at least emacs
	  doesn't hilight as a (potential)keyword.

2007-04-06 01:15  hampton

	* [r15834] trunk/configure.in,
	  trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-icons.c,
	  trunk/src/gnome/dialog-print-check.c: Remove some deprecated
	  functions. Bump version numbers were GnuCash sets the "disable
	  deprecated" flags.

2007-04-06 00:54  jsled

	* [r15833] trunk/src/gnome-utils/gnc-dense-cal-store.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c:
	  Normalize memory handling of GncDenseCal marked-element "info"
	  string.

2007-04-06 00:51  jsled

	* [r15832] trunk/src/gnome/dialog-sx-editor.c: detail

2007-04-06 00:50  jsled

	* [r15831] trunk/src/gnome/dialog-sx-since-last-run.c: remove a
	  level of (legacy) indirection around some calls.
	* [r15830] trunk/src/gnome/gnc-plugin-page-sx-list.c: decided
	  against

2007-04-06 00:19  hampton

	* [r15829] trunk/src/engine/Scrub.c,
	  trunk/src/engine/Transaction.c, trunk/src/engine/gnc-lot.c:
	  Balance ENTER/LEAVE calls on some functions.

2007-04-05 19:49  andi5

	* [r15828] trunk/src/gnome-utils/gnc-plugin-file-history.c: Fix a
	  %s-NULL-printf.

2007-04-05 03:10  warlord

	* [r15827] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qof-gobject.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.c,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.c,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.c,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/Split.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-book-merge.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-recursive.c:
	  Add hooks for the gobject dispose() function so that we can
	  migrate each object's "free()" function to a combination of
	  dispose() and finalize(). (and yes, "make check" still passes
	  all its tests)

2007-04-05 02:44  warlord

	* [r15826] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofutil.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-customer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-employee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-job.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-vendor.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-book-merge.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-recursive.c:
	  Get "make check" to work with the gobjectified objects. - fix a
	  bunch of tests to use the new gobject defs - make sure we
	  initialize g_type_init() in qof_init() - fix qofbook's
	  destruction sequence (I broke it earlier) - use dispose() in
	  QofInstance - use qof_init() for the business tests.
	* [r15825] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.h:
	  convert GncVendor to gobject initialization
	* [r15824] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.h:
	  convert GncTaxTable to gobject initialization
	* [r15823] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.h:
	  convert GncOrder to gobject initialization.
	* [r15822] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.h:
	  convert GncJob to gobject initialization
	* [r15821] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.h:
	  Convert GncInvoice to gobject initialization.

2007-04-05 02:43  warlord

	* [r15820] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.h:
	  convert gncEntry to gobject init.
	* [r15819] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.h:
	  convert GncEmployee to GObject initialzation.
	* [r15818] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.h:
	  convert GncCustomer to gobject initialization.
	* [r15817] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.h:
	  convert billterm to gobject initialization.
	* [r15816] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.h:
	  convert gncAddress to GObject initialization

2007-04-05 01:33  jsled

	* [r15815] trunk/src/doc/sx.rst: update
	* [r15814] trunk/src/gnome-utils/gnc-dense-cal.c: Base the value
	  of the "week_starts_monday" dense-cal parameter on an
	  implementation detail of GTK. :(

2007-04-05 00:43  jsled

	* [r15813] trunk/src/doc/sx.rst,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-dense-cal.h: GncDenseCal supports
	  Monday being the start of the week.

2007-04-05 00:24  warlord

	* [r15812] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/backend/file/gnc-pricedb-xml-v2.c,
	  branches/gobject-engine-dev-warlord/src/backend/file/io-gncxml-v1.c,
	  branches/gobject-engine-dev-warlord/src/backend/postgres/price.c,
	  branches/gobject-engine-dev-warlord/src/backend/postgres/table.m4,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-engine.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb-p.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.h,
	  branches/gobject-engine-dev-warlord/src/engine/test-core/test-engine-stuff.c,
	  branches/gobject-engine-dev-warlord/src/gnome-utils/gnc-tree-model-price.c,
	  branches/gobject-engine-dev-warlord/src/gnome-utils/gnc-tree-view-price.c,
	  branches/gobject-engine-dev-warlord/src/gnome/dialog-price-editor.c,
	  branches/gobject-engine-dev-warlord/src/gnome/druid-stock-split.c,
	  branches/gobject-engine-dev-warlord/src/scm/price-quotes.scm:
	  convert price/pricedb objects to GObject initialization rename
	  gnc_price_{get,set}_type() to _typestr() so it doesn't conflict
	  with the GType gnc_price_get_type() API.
	* [r15811] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot-p.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.h:
	  convert gnc-lot object to GObject initialization
	* [r15810] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.h:
	  Convert gnc_commodity objects to GObject initialization.
	* [r15809] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.h:
	  Convert GncBudget object to GObject initialization.

2007-04-05 00:23  warlord

	* [r15808] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.h,
	  branches/gobject-engine-dev-warlord/src/engine/TransactionP.h:
	  Convert the Transaction object to GObject Initialization
	* [r15807] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Split.c,
	  branches/gobject-engine-dev-warlord/src/engine/Split.h,
	  branches/gobject-engine-dev-warlord/src/engine/SplitP.h: Convert
	  Split objects to GObject intiialization
	* [r15806] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.c,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.h:
	  Convert SX-book (SchedXactions) to GObject initialization. Note
	  that this object is never freed here, so it's a potential memory
	  leak.
	* [r15805] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.h:
	  Convert SchedXaction to GObject initialization.
	* [r15804] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.c,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.h,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpecP.h:
	  Convert FreqSpec to GObject initialization.

2007-04-04 23:05  jsled

	* [r15803] trunk/src/gnome-utils/gnc-dense-cal.c: better
	  GncDenseCal minimum-size requesting

2007-04-04 22:22  jsled

	* [r15802] trunk/src/doc/sx.rst,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-dense-cal.h,
	  trunk/src/gnome/gnc-plugin-page-sx-list.c: Save/restore gnc
	  dense cal number-of-months view in SX List page.

2007-04-04 22:21  jsled

	* [r15801] trunk/lib/libqof/qof/gnc-date.c,
	  trunk/src/app-utils/file-utils.c: unused variable removal.

2007-04-04 22:07  jsled

	* [r15800] trunk/src/gnome-utils/gnc-dense-cal.c: Correctly set
	  the GncDenseCal view combo box when set from code. Better view
	  label/combo-box widget layout and alignment.

2007-04-04 21:49  andi5

	* [r15799] trunk/configure.in,
	  trunk/src/import-export/hbci/druid-hbci-initial.c: Remove check
	  for sys/wait.h because waitpid is not in use anymore.

2007-04-04 21:48  andi5

	* [r15798] trunk/src/backend/file/io-gncxml-v2.c,
	  trunk/src/bin/gnucash-bin.c: Depend on an available GLib thread
	  implementation. Remove fallback to fork for gzip.

2007-04-04 18:48  andi5

	* [r15796] trunk/lib/libqof/backend/file/qsf-backend.c,
	  trunk/lib/libqof/backend/file/qsf-xml-map.c,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qoflog.c, trunk/lib/libqof/qof/qofutil.c,
	  trunk/src/backend/file/sixtp-utils.c,
	  trunk/src/business/business-ledger/gncEntryLedgerModel.c,
	  trunk/src/calculation/amort_opt.c,
	  trunk/src/calculation/amort_prt.c, trunk/src/engine/FreqSpec.c,
	  trunk/src/engine/Recurrence.c,
	  trunk/src/gnome-utils/gnc-date-edit.c,
	  trunk/src/gnome-utils/gnc-date-format.c,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/import-export/import-backend.c,
	  trunk/src/register/ledger-core/split-register-model.c: Use
	  qof_strftime instead of strftime in the C source code.
	* [r15795] trunk/lib/libqof/qof/Makefile.am,
	  trunk/lib/libqof/qof/gnc-date-p.h,
	  trunk/lib/libqof/qof/gnc-date.c,
	  trunk/lib/libqof/qof/gnc-date.h,
	  trunk/lib/libqof/qof/qof-win32.c: Improve printing of dates and
	  times with non-UTF-8 locales and on Windows. *
	  qof_time_format_from_utf8 converts an strftime format
	  specification from UTF-8 to the locale encoding *
	  qof_format_time calls strftime repeatedly with growing allocated
	  buffers until the result fits into one, or return NULL *
	  qof_formatted_time_to_utf8 converts the result back to UTF-8 *
	  qof_strftime takes similar arguments to strftime, but in UTF-8 *
	  the conversion functions on Windows are implemented in
	  qof-win32.c to allow them to use windows.h, as they need
	  wcstombs and mbstowcs

2007-04-04 17:58  andi5

	* [r15794] trunk/src/gnome/dialog-new-user.c: In new user dialog,
	  run HOOK_BOOK_OPENED with non-NULL session parameter.

2007-04-04 17:04  andi5

	* [r15793] trunk/src/app-utils/file-utils.c: Fix state file issues
	  on Windows. Handle two NULL parameters to %s in printfs. In
	  gnc_update_state_file_keys, also use \r for splitting the
	  contents into lines.

2007-04-04 15:41  andi5

	* [r15792] trunk/src/app-utils/gnc-help-utils.c,
	  trunk/src/app-utils/gnc-help-utils.h: Minor cleanup and doc
	  string in gnc-help-utils.[ch].

2007-04-04 04:58  hampton

	* [r15791] trunk/src/engine/Transaction.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/window-reconcile.c: Implement idea from Mike
	  Alexander (in #346063) to key lot scrubbing off the environment
	  variable GNC_AUTO_SCRUB_LOTS instead of commenting it out of the
	  code. This make it easier for developers to test/users to try
	  lot scrubbing.

2007-04-04 04:36  hampton

	* [r15790] trunk/src/engine/gnc-lot.c: Patch from Klee Dienes
	  <klee@mit.edu> (bugzilla #420550) to re-implement
	  gnc_lot_get_earliest_split and gnc_lot_get_latest_split using
	  xaccSplitDateOrder. This greatly simplifies the functions.

2007-04-04 04:16  hampton

	* [r15789] trunk/src/gnome-utils/gnc-main-window.c: Print a
	  different warning messages if unsaved changes have existed for
	  longer than an hour or a day.

2007-04-04 03:57  hampton

	* [r15788] trunk/src/gnome-utils/gnc-tree-model-commodity.c,
	  trunk/src/gnome-utils/gnc-tree-model-price.c,
	  trunk/src/gnome-utils/gnc-tree-view-price.c: Fix window
	  corruption problems when adding prices to the price database.
	  (#376298) BP

2007-04-04 03:40  hampton

	* [r15787] trunk/src/app-utils/file-utils.c,
	  trunk/src/app-utils/file-utils.h,
	  trunk/src/app-utils/gnc-exp-parser.c,
	  trunk/src/business/business-gnome/dialog-invoice.c,
	  trunk/src/core-utils/gnc-gkeyfile-utils.c,
	  trunk/src/core-utils/gnc-gkeyfile-utils.h,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-plugin-file-history.c,
	  trunk/src/gnome-utils/gnc-tree-view-account.c,
	  trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/gnc-plugin-page-register.c,
	  trunk/src/report/report-gnome/gnc-plugin-page-report.c: Play
	  nicer with recent releases of glib that have tightened what's
	  considered a valid key in a key/value file. This change will
	  cause gnucash to rewrite any opened state file into a new
	  version where all key names fit the new glib requirements. This
	  code was originally committed to trunk as #15458 on 1/28/07, and
	  then backed out with #15461 on 1/29/07. Backward compatibility
	  support for this code was committed to the 2.0 branch in #15460
	  and was released as part of 2.0.5. Now that 2.0.5 has now been
	  out for six weeks, this commit puts the original changes back
	  into trunk.

2007-04-04 02:22  jsled

	* [r15786] trunk/src/doc/sx.rst,
	  trunk/src/gnome-utils/gnc-dense-cal-store.h,
	  trunk/src/gnome-utils/gnc-dense-cal.c,
	  trunk/src/gnome-utils/gnc-dense-cal.h: (Checkpoint; start to)
	  support changing the number-of-months in a GncDenseCal. Change
	  GncDenseCal to be a composite widget using GtkDrawArea, rather
	  than being a "native" widget; much more straightforward
	  implementation. Update some GTK API usage for
	  deprecation/modernity.

2007-04-03 22:58  warlord

	* [r15785] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/Account.h,
	  branches/gobject-engine-dev-warlord/src/engine/AccountP.h:
	  Convert Account object to GObject

2007-04-03 22:30  warlord

	* [r15784] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook-p.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofid.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.h:
	  get libqof to build using GObject - migrate QofBook to GObject -
	  move around some typedef to get libqof to build again

2007-04-03 17:21  andi5

	* [r15782] trunk/src/gnome-utils/dialog-transfer.c,
	  trunk/src/gnome-utils/glade/transfer.glade: Remove viewport/hbox
	  from account scrolls in transfer dialog. Fixes #425917. The
	  scrolled windows for "transfer to" and "transfer from" now take
	  the treeviews directly and do not pack them into viewports,
	  letting them actually scroll the scrolled window. BP

2007-04-03 13:51  warlord

	* [r15781] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qof-gobject.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.h:
	  convert QofInstance to using GObject note that this breaks the
	  build of this branch, and that the build will remain broken
	  until each of the objects is converted over to basic GObject
	  support.

2007-04-03 00:55  jsled

	* [r15777] trunk/src/gnome/druid-loan.c: Bug#343795: Be explicit
	  about number of months so auto-decimal-point doesn't bite us.
	  Patch from Jerry Quinn <mailto:jlquinn@optonline.net>.

2007-04-03 00:19  jsled

	* [r15776] trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/doc/sx.rst: When an SX is updated, synchronize
	  added/removed variables with new/existing instances.

2007-04-02 22:11  jsled

	* [r15775] trunk/src/gnome-utils/dialog-preferences.c,
	  trunk/src/gnome-utils/gnc-plugin-page.c: Unused variable removal.

2007-04-02 03:42  hampton

	* [r15774] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-main-window.h,
	  trunk/src/gnome-utils/gnc-plugin-page.c,
	  trunk/src/gnome-utils/gnc-plugin-page.h,
	  trunk/src/gnome/gnc-plugin-page-register.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Allow
	  the user to specify the maximum width of the page labels in the
	  main window (#338161). Also add a tooltip showing the account
	  full name to the page labels in the main window (#343239).

2007-04-01 13:23  andi5

	* [r15771] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/install.sh:
	  On Windows, go back to libgnomeprint. Partly revert r15750/61.
	  GtkPrint/GtkHTML as combination is not yet stable enough to use
	  it by default. It seems however to be the way to go, so all
	  necessary changes are only commented out.

2007-03-28 08:59  andi5

	* [r15761] trunk/packaging/win32/dist.sh: Remove libgnomeprintui
	  from dist.sh.

2007-03-27 03:06  hampton

	* [r15760] trunk/src/bin/gnucash-bin.c,
	  trunk/src/core-utils/gnc-gconf-utils.c,
	  trunk/src/core-utils/gnc-main.c,
	  trunk/src/core-utils/gnc-main.h: Allow the base gconf path to be
	  specified at run time, either via an environment variable or via
	  a command line option. Based on a patch from James Radley.
	  Implements #328762.

2007-03-27 01:55  hampton

	* [r15759] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome/schemas/apps_gnucash_general.schemas.in: Add an
	  option to change the tab closing behavior. The two choices are
	  to move to the tab immediately to the left, or to move to the
	  most recently viewed tab. Implements #346314.

2007-03-27 01:10  hampton

	* [r15758] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/schemas/apps_gnucash_dialog_print_checks.schemas.in:
	  Add a preference for printing "***" immediately before and after
	  all text fields on checks. Implements enhancement request
	  #420224.

2007-03-26 21:28  andi5

	* [r15757] trunk/src/business/business-core/business-core.scm: Use
	  gncOwnerGetOwnerFromLot.

2007-03-26 03:02  hampton

	* [r15756] trunk/doc/gtkrc-2.0.gnucash: Record a couple of user
	  suggestions for things to do with gnucash's gtkrc file.

2007-03-26 02:58  hampton

	* [r15755] trunk/src/backend/file/io-example-account.c: Don't
	  crash if an example account file has no root account. Also
	  filter the file names (*xea) when reading accounts directories.

2007-03-25 23:05  andi5

	* [r15754] trunk/src/business/business-reports/owner-report.scm:
	  Use TXN-TYPE-{INVOICE,PAYMENT} in customer report. Observed by
	  Nigel Titley.

2007-03-24 18:17  hampton

	* [r15753] trunk/src/gnome-utils/glade/preferences.glade,
	  trunk/src/gnome/dialog-print-check.c: Add preferences support
	  for printing the date format immediately below the date
	  (GtkPrint only), and for setting the font used by the check
	  printing code (GnomePrint and GtkPrint). The fonts actually used
	  by GnomePrint seem very limited compared to those used by
	  GtkPrint, but the font size specification always seems to be
	  honored.

2007-03-24 18:14  hampton

	* [r15752] trunk/src/gnome-utils/dialog-preferences.c: Add
	  preferences support for a GtkFontButton widget.

2007-03-24 15:30  andi5

	* [r15751] trunk/src/gnome-utils/gnc-html.c: Use
	  gtk_print_operation_set_{use_full_page,unit} for reports.

2007-03-24 15:28  andi5

	* [r15750] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Install.sh: Some package
	  updates, including GtkHTML 3.14.0. Update glib, cairo, pango,
	  gtk+ and gtkhtml. Drop libgnomeprintui, but keep libgnomeprint
	  because goffice depends on it.

2007-03-23 19:40  andi5

	* [r15749] trunk/src/backend/file/sixtp.c: On Windows, convert
	  filename parameter for xml parser to system codepage.

2007-03-23 19:38  andi5

	* [r15748] trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/backend/file/io-gncxml-v2.c,
	  trunk/src/bin/gnucash-bin.c,
	  trunk/src/gnome-utils/gnc-gnome-utils.c: Add support for
	  (de)compressing in a thread instead of fork. Use GThreading
	  system when available, but depend on it on Windows. Gzipped data
	  files are still loaded by libxml2. On write, again create a pipe
	  p and a thread t that gzwrites bytes read from p to a given
	  file. After the other thread has finished writing to p, it waits
	  for t to return to avoid loss of data.

2007-03-22 08:15  andi5

	* [r15747] trunk/packaging/win32/install.sh: Install.sh: Do not
	  mix pexports and ".." as noted by Nathan Buchanan. pexports
	  somestimes crashes in a new MSYS shell if a path, like the one
	  to a header file, contains "..".

2007-03-21 22:50  andi5

	* [r15746] trunk/src/engine/gnc-filepath-utils.c: Patch from James
	  Radley to allow override of the dotfile location. Read
	  environment variable GNC_DOT_DIR and, if available, use this
	  instead of `g_get_home_dir`/.gnucash. This allows one develop
	  without impacting an existing stable installation, excepting
	  shared GConf keys. Setting HOME does not help, because
	  g_get_home_dir prefers passwd entries.

2007-03-21 20:03  andi5

	* [r15745] trunk/configure.in, trunk/src/engine/Makefile.am:
	  Remove almost unused configure output variables.
	  GNUCASH_{APP_UTILS,GNOME_UTILS,REGISTER_CORE}_{CFLAGS,LIBS} and
	  GNC_FALSE have been completely unused. GNUCASH_ENGINE_{,BASE}_*
	  could be moved to its only user engine/Makefile.am.

2007-03-21 09:46  andi5

	* [r15744] trunk/packaging/win32/install.sh: In install.sh test
	  for htmlhelp, try to build DLL. The HTML Help Workshop includes
	  htmlhelp.lib, but we cannot use it for creating DLLs---it is a
	  static thingy. So test with -shared in install.sh. It would be
	  nice to have a similar test improvement in configure.in.

2007-03-20 23:42  andi5

	* [r15743] trunk/src/gnome-utils/Makefile.am: Fix a typo in
	  gnome-utils/Makefile.am, garbling _SOURCES.

2007-03-20 16:37  andi5

	* [r15742] trunk/configure.in,
	  trunk/src/business/business-gnome/Makefile.am,
	  trunk/src/business/dialog-tax-table/Makefile.am,
	  trunk/src/gnome-search/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-html-graph-gog.c,
	  trunk/src/gnome-utils/print-session.h,
	  trunk/src/gnome/Makefile.am,
	  trunk/src/import-export/qif-import/Makefile.am,
	  trunk/src/report/report-gnome/Makefile.am: Do not check for and
	  link against gnomeprint if gtkhtml uses gtkprint. If GtkHTML
	  uses GtkPrint, reports and checks will use it, so GnomePrint is
	  not needed. Also, remove some spurious GNOME_PRINT_{CFLAGS,LIBS}
	  from Makefile.am files.

2007-03-20 05:19  hampton

	* [r15741] trunk/src/gnome/dialog-print-check.c: If the specified
	  check format guid can't be found then select the first check
	  format in the list.

2007-03-20 01:08  hampton

	* [r15739] trunk/checks/gnomeprint/quicken.chk,
	  trunk/checks/gnomeprint/quicken_wallet.chk,
	  trunk/checks/quicken.chk, trunk/checks/quicken_wallet.chk,
	  trunk/src/gnome/dialog-print-check.c: Use a single key for check
	  position names instead of a series of manufactured key names,
	  one key per name.

2007-03-18 22:45  andi5

	* [r15738] trunk/src/gnome/dialog-print-check.c: Do not printf %s
	  if the param is NULL.

2007-03-18 19:39  jsled

	* [r15737] trunk/README.dependencies: Add list of "interesting"
	  libraries.
	* [r15736] trunk/HACKING: Update "starting gnucash from the build
	  tree info."

2007-03-18 17:58  andi5

	* [r15735] trunk/src/gnome-utils/gnc-html.c,
	  trunk/src/gnome-utils/print-session.c,
	  trunk/src/gnome-utils/print-session.h,
	  trunk/src/gnome/dialog-print-check.c: Uncouple print settings
	  for reports and checks again. Remove
	  gnc_{save,restore}_print_settings, revert part of r15733.

2007-03-18 17:37  hampton

	* [r15734] trunk/checks/deluxe.chk,
	  trunk/checks/gnomeprint/deluxe.chk,
	  trunk/checks/gnomeprint/quicken.chk,
	  trunk/checks/gnomeprint/quicken_wallet.chk,
	  trunk/checks/quicken.chk, trunk/checks/quicken_wallet.chk,
	  trunk/src/gnome/dialog-print-check.c: Add GUID numbers to check
	  formats. Detect duplicate check format files (by guid) and show
	  a warning dialog to the user. Remember the users selected check
	  format by GUID and not by index. Add text clipping when using
	  GnomePrint.

2007-03-17 17:29  andi5

	* [r15733] trunk/configure.in,
	  trunk/src/gnome-utils/gnc-html-graph-gog.c,
	  trunk/src/gnome-utils/gnc-html.c,
	  trunk/src/gnome-utils/print-session.c,
	  trunk/src/gnome-utils/print-session.h,
	  trunk/src/gnome/dialog-print-check.c: Add support for printing
	  reports with GtkPrint. Also add
	  gnc_{save,restore}_print_settings so that those are shared
	  between report and check prints.
	* [r15732] trunk/src/gnome-utils/gnome-utils.i,
	  trunk/src/gnome-utils/print-session.c,
	  trunk/src/gnome-utils/print-session.h: Remove unused functions
	  in and stop wrapping print-session.[ch].
	* [r15731] trunk/configure.in, trunk/macros/pkg.m4: If
	  PKG_CHECK_MODULES fails, always print result "no".
	* [r15730] trunk/configure.in: Reorder the sequence of some GUI
	  library tests. Allow libgtkhtml-3.14. Merge the two
	  gnc_build_gui=true blocks, only move regex adjustments to the
	  windows specific part. Test for gtkhtml later than before and
	  allow libgtkhtml-3.14 iff gtk+-2.0 >= 2.10 and
	  gog-renderer-cairo.h is available. To actually print with
	  GtkPrint further code is needed.

2007-03-16 09:20  andi5

	* [r15727] trunk/configure.in, trunk/packaging/win32/install.sh,
	  trunk/src/app-utils/gnc-help-utils.c: Harden tests for HtmlHelpW
	  on Windows. Check both, in install.sh and configure.in, whether
	  we can link a test source for HtmlHelpW against the html help
	  import library, instead of just testing for htmlhelp.h or some
	  htmlhelp library thing.

2007-03-15 07:30  andi5

	* [r15725] trunk/src/gnome/dialog-print-check.c: Absolute paths on
	  Windows do not begin with a slash.

2007-03-15 05:20  hampton

	* [r15724] trunk/src/core-utils/gnc-gkeyfile-utils.c,
	  trunk/src/core-utils/gnc-gkeyfile-utils.h,
	  trunk/src/engine/gnc-filepath-utils.c,
	  trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade: In the Print Checks dialog,
	  provide an easy way for users to save the data from the "Custom
	  Format" page to a check format file.

2007-03-15 03:00  jsled

	* [r15723] trunk/src/backend/file/gnc-freqspec-xml-v2.c: Change
	  julian offset of 0

2007-03-15 02:41  jsled

	* [r15722] trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/doc/sx.rst: Fix Recurrence start-date bugs in
	  conversion of FreqSpecs.

2007-03-15 02:39  jsled

	* [r15721] trunk/src/gnome-utils/gnc-frequency.c: Clarify why
	  we're setting the month to January. Clarify the name of the
	  DOW-alignment variable, and remove needlessly setting it to the
	  first of the month to prevent spurious date changing.

2007-03-15 02:37  jsled

	* [r15720] trunk/src/gnome/dialog-sx-editor.c: debug those
	  schedule strings!

2007-03-15 02:24  hampton

	* [r15719] trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/dialog-print-check.h,
	  trunk/src/gnome/gnc-plugin-page-register.c: Add support for
	  printing the check number, the action, and the real memo line.

2007-03-15 00:56  jsled

	* [r15718] trunk/lib/libqof/qof/qoflog.c,
	  trunk/src/backend/file/sixtp.c, trunk/src/engine/FreqSpec.c,
	  trunk/src/engine/Recurrence.c,
	  trunk/src/engine/test-core/test-engine-stuff.c: Unused
	  identifier cleanup.

2007-03-15 00:55  hampton

	* [r15717] trunk/checks/deluxe.chk,
	  trunk/checks/gnomeprint/deluxe.chk,
	  trunk/checks/gnomeprint/quicken.chk,
	  trunk/checks/gnomeprint/quicken_wallet.chk,
	  trunk/checks/quicken.chk, trunk/checks/quicken_wallet.chk,
	  trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade: In the print check dialog,
	  the notes field has always incorrectly been called the memo
	  field. This fix corrects that misnaming.

2007-03-14 20:05  andi5

	* [r15716] trunk/src/gnome-utils/dialog-preferences.c: Do not
	  printf %s if the param is NULL.

2007-03-14 09:55  andi5

	* [r15715] trunk/src/app-utils/gnc-ui-util.c: Windows lacks exp10,
	  so use exp instead.

2007-03-14 02:21  hampton

	* [r15714] trunk/src/gnome/dialog-print-check.c: Another 64 bit
	  fix.

2007-03-14 01:00  andi5

	* [r15713] trunk/configure.in, trunk/src/app-utils/Makefile.am,
	  trunk/src/app-utils/gnc-help-utils.c,
	  trunk/src/app-utils/gnc-help-utils.h, trunk/src/gnc-ui.h,
	  trunk/src/gnome-utils/gnc-gnome-utils.c: Add help support on
	  Windows by using the HtmlHelp API. Find the correct CHM file
	  according to the active locale and call gnc_show_help in
	  src/app-utils/gnc-help-utils.[ch]. These new files were
	  necessary because <windows.h> does not like things like GUID. If
	  no htmlhelp.h was found, spawn hh to show the chm file.
	  Otherwise parse the GKeyFile ending on .hhmap to determine a
	  numeric ID for the given anchor and use HtmlHelpW.

2007-03-14 00:41  andi5

	* [r15712] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Install.sh: Add support for
	  generating guide and help CHM files. * add html help workspace,
	  make an import library for hhctrl.ocx * add libxslt for xsltproc
	  and htmlhelp xsl stylesheets * run xsltproc on guide and help, C
	  and de_DE; enrich the resulting hhp files with anchor/map/alias
	  information, compile them with hhc, save to
	  $INST_DIR/share/gnucash/$lang/gnucash-$type.chm * create
	  GKeyFiles *.hhmap that can be parsed to open specific topics *
	  also, obsolete pexports by mingw-utils

2007-03-13 21:00  warlord

	* [r15711] trunk, trunk/src/app-utils/gnc-ui-util.c: Use Glib
	  GINT64 printf format. Note: This probably isn't good for inside
	  a translated string..

2007-03-13 15:18  hampton

	* [r15710] trunk/configure.in,
	  trunk/src/core-utils/gnc-gkeyfile-utils.c,
	  trunk/src/core-utils/gnc-gkeyfile-utils.h,
	  trunk/src/gnome/dialog-print-check.c: Make the new check
	  printing code compile on systems that don't have glib 2.12.

2007-03-13 03:43  hampton

	* [r15709] trunk/Makefile.am, trunk/checks,
	  trunk/checks/Makefile.am, trunk/checks/deluxe.chk,
	  trunk/checks/gnomeprint, trunk/checks/gnomeprint/deluxe.chk,
	  trunk/checks/gnomeprint/quicken.chk,
	  trunk/checks/gnomeprint/quicken_wallet.chk,
	  trunk/checks/quicken.chk, trunk/checks/quicken_wallet.chk,
	  trunk/configure.in, trunk/src/app-utils/app-utils.i,
	  trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/app-utils/gnc-ui-util.h,
	  trunk/src/gnome/dialog-print-check.c,
	  trunk/src/gnome/glade/print.glade, trunk/src/scm/Makefile.am,
	  trunk/src/scm/main.scm, trunk/src/scm/printing: Convert the
	  check printing code from Scheme to C. Add support for using the
	  GtkPrint API when compiled against gtk+ 2.10 or later. Add
	  support for reading check description files instead of hard
	  coding check descriptions.

2007-03-13 01:18  hampton

	* [r15708] trunk/lib/libqof/qof/gnc-date.c: ISO 8601 requires a
	  four digit year.

2007-03-10 22:16  cstim

	* [r15707] trunk/src/import-export/hbci/druid-hbci-initial.c,
	  trunk/src/import-export/hbci/hbci-interaction.c: Implement some
	  initial gnc_component_manager registering for the hbci dialogs.
	  Partially fixes bug#409324. BP

2007-03-10 21:18  cstim

	* [r15706] trunk/packaging/win32/install.sh: Add helpful error
	  message if other package is unavailable

2007-03-10 19:01  andi5

	* [r15705] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/goffice-0.3.2-patch.diff,
	  trunk/packaging/win32/goffice-0.3.7-patch.diff,
	  trunk/packaging/win32/install.sh: Install.sh: Bump goffice to
	  0.3.7. * add pcre which is a hard dependency of goffice now *
	  use the same patch for goffice 0.3.7 as for 0.3.2 (was not in
	  use) * make inst.sh'ed gnucash and gnucash.bat scripts work again

2007-03-09 22:44  andi5

	* [r15704] trunk/configure.in,
	  trunk/src/gnome-utils/gnc-html-graph-gog.c: Add
	  GOFFICE_WITH_CAIRO to enable build without GogRendererPixbuf.
	  Check whether we find gog-renderer-cairo.h with the help of
	  GOFFICE_CFLAGS. If it is found, use GogRendererCairo instead of
	  GogRendererPixbuf. Newer goffice releases do not ship the latter
	  any more.

2007-03-09 20:16  hampton

	* [r15703]
	  trunk/src/import-export/qif-import/qif-dialog-utils.scm,
	  trunk/src/report/report-system/report-utilities.scm: Fix two
	  instances where a function name didn't get changed for the
	  swig-style naming.

2007-03-09 19:39  andi5

	* [r15702] trunk/lib/goffice-0.0.4, trunk/lib/libgsf-1.12.3:
	  Remove the empty directories in lib/libgsf-1.12.3 and
	  /goffice-0.0.4 too. (blame git-svn)

2007-03-09 19:26  andi5

	* [r15701] trunk/Makefile.am, trunk/configure.in,
	  trunk/goffice-config.h.in, trunk/goffice-features.h.in,
	  trunk/gsf-config.h.in, trunk/lib/Makefile.am,
	  trunk/lib/goffice-0.0.4/AUTHORS, trunk/lib/goffice-0.0.4/BUGS,
	  trunk/lib/goffice-0.0.4/COPYING,
	  trunk/lib/goffice-0.0.4/ChangeLog,
	  trunk/lib/goffice-0.0.4/INSTALL,
	  trunk/lib/goffice-0.0.4/MAINTAINERS,
	  trunk/lib/goffice-0.0.4/Makefile.am,
	  trunk/lib/goffice-0.0.4/NEWS, trunk/lib/goffice-0.0.4/README,
	  trunk/lib/goffice-0.0.4/aclocal.m4,
	  trunk/lib/goffice-0.0.4/config.guess,
	  trunk/lib/goffice-0.0.4/config.sub,
	  trunk/lib/goffice-0.0.4/configure,
	  trunk/lib/goffice-0.0.4/configure.in,
	  trunk/lib/goffice-0.0.4/depcomp,
	  trunk/lib/goffice-0.0.4/goffice-plugins.mk,
	  trunk/lib/goffice-0.0.4/goffice.mk,
	  trunk/lib/goffice-0.0.4/goffice/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/app/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/app/error-info.c,
	  trunk/lib/goffice-0.0.4/goffice/app/error-info.h,
	  trunk/lib/goffice-0.0.4/goffice/app/file-priv.h,
	  trunk/lib/goffice-0.0.4/goffice/app/file.c,
	  trunk/lib/goffice-0.0.4/goffice/app/file.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-app.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-cmd-context-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-cmd-context.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-cmd-context.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc-control-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc-control.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc-control.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-doc.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-error-stack.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-object.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-object.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-loader-module.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-loader-module.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-loader.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-loader.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-service-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-service.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin-service.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-plugin.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-service-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/app/go-service.c,
	  trunk/lib/goffice-0.0.4/goffice/app/go-service.h,
	  trunk/lib/goffice-0.0.4/goffice/app/goffice-app.h,
	  trunk/lib/goffice-0.0.4/goffice/app/io-context-priv.h,
	  trunk/lib/goffice-0.0.4/goffice/app/io-context.c,
	  trunk/lib/goffice-0.0.4/goffice/app/io-context.h,
	  trunk/lib/goffice-0.0.4/goffice/app/module-plugin-defs.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-i18n.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-line.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-line.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-marshal.list,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-polygon.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-polygon.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-text.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-text.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-util.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-util.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-widget.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-widget.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/libfoocanvas.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/libfoocanvastypes.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/COPYING,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/get.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/internal.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/maketables.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcre.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcre.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcreposix.c,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcreposix.h,
	  trunk/lib/goffice-0.0.4/goffice/cut-n-paste/pcre/study.c,
	  trunk/lib/goffice-0.0.4/goffice/data/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/data/go-data-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/data/go-data-simple.c,
	  trunk/lib/goffice-0.0.4/goffice/data/go-data-simple.h,
	  trunk/lib/goffice-0.0.4/goffice/data/go-data.c,
	  trunk/lib/goffice-0.0.4/goffice/data/go-data.h,
	  trunk/lib/goffice-0.0.4/goffice/data/goffice-data.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-anchor.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-anchor.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-default-attributes.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-default-attributes.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-group.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-group.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-renderer-gdk.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-renderer-gdk.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-view.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing-view.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-drawing.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-image-store.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-image-store.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-image.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-image.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-paragraph-attributes.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-paragraph-attributes.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-property-table.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-property-table.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-shape.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-shape.h,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-text-model.c,
	  trunk/lib/goffice-0.0.4/goffice/drawing/god-text-model.h,
	  trunk/lib/goffice-0.0.4/goffice/goffice-priv.h,
	  trunk/lib/goffice-0.0.4/goffice/goffice.c,
	  trunk/lib/goffice-0.0.4/goffice/goffice.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/graph/README,
	  trunk/lib/goffice-0.0.4/goffice/graph/goffice-graph.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis-line-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis-line.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis-line.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-axis.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-chart-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-chart-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-chart.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-chart.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-control-foocanvas.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-control-foocanvas.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-data-allocator.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-data-allocator.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-data-set.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-data-set.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-error-bar-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-error-bar.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-error-bar.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-graph-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-graph.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-graph.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-grid-line.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-grid-line.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-grid.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-grid.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-guru-type-selector.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-guru.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-guru.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-guru.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-label.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-label.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-legend.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-legend.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-object-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-object-xml.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-object-xml.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-object.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-object.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-outlined-object.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-outlined-object.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-plot-engine.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-plot-engine.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-plot-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-plot.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-plot.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-reg-curve-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-reg-curve.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-reg-curve.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-reg-eqn-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-gnome-print.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-gnome-print.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-pixbuf.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-pixbuf.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-svg.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer-svg.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-renderer.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-series-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-series-lines.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-series-lines.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-series.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-series.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-style-prefs.glade,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-style.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-style.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-styled-object.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-styled-object.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-theme.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-theme.h,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-view.c,
	  trunk/lib/goffice-0.0.4/goffice/graph/gog-view.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-color.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-color.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-pixmaps.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-pixmaps.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-stack.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-stack.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-text.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-action-combo-text.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-charmap-sel.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-charmap-sel.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-color-group.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-color-group.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-color-palette.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-color-palette.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-box.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-box.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-color.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-color.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-pixmaps.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-pixmaps.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-text.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-combo-text.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-band.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-band.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-item-grip.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-item-grip.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-item.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-item.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-layout.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock-layout.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-dock.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-font-sel.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-font-sel.glade,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-font-sel.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-format-sel.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-format-sel.glade,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-format-sel.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-graph-widget.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-graph-widget.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-locale-sel.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-locale-sel.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-optionmenu.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-optionmenu.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.glade,
	  trunk/lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.h,
	  trunk/lib/goffice-0.0.4/goffice/gtk/goffice-gtk.c,
	  trunk/lib/goffice-0.0.4/goffice/gtk/goffice-gtk.h,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/go-ms-parser.c,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/go-ms-parser.h,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms-client-handler.c,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms-client-handler.h,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms.c,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms.h,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-image-ms.c,
	  trunk/lib/goffice-0.0.4/goffice/ms-compat/god-image-ms.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/Makefile.am,
	  trunk/lib/goffice-0.0.4/goffice/utils/datetime.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/datetime.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/format-impl.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/format.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/formats.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-color.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-color.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-file.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-file.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-font.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-font.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-format-match.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-format-match.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-format.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-format.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-geometry.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-geometry.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-glib-extras.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-glib-extras.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-gradient.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-gradient.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-libxml-extras.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-libxml-extras.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-line.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-line.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-marker.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-marker.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-marshalers.list,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-math.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-math.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-pattern.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-pattern.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-rangefunc.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-rangefunc.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-regression.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-regression.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/go-units.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/goffice-utils.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/goffice-win32-stub.def,
	  trunk/lib/goffice-0.0.4/goffice/utils/regutf8.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/regutf8.h,
	  trunk/lib/goffice-0.0.4/goffice/utils/svg-patterns.xml,
	  trunk/lib/goffice-0.0.4/goffice/utils/win32-stub.c,
	  trunk/lib/goffice-0.0.4/goffice/utils/win32-stub.h,
	  trunk/lib/goffice-0.0.4/install-sh,
	  trunk/lib/goffice-0.0.4/intltool-extract.in,
	  trunk/lib/goffice-0.0.4/intltool-merge.in,
	  trunk/lib/goffice-0.0.4/intltool-update.in,
	  trunk/lib/goffice-0.0.4/libgoffice-1.pc.in,
	  trunk/lib/goffice-0.0.4/ltmain.sh,
	  trunk/lib/goffice-0.0.4/missing,
	  trunk/lib/goffice-0.0.4/mkinstalldirs,
	  trunk/lib/goffice-0.0.4/pixmaps/Makefile.am,
	  trunk/lib/goffice-0.0.4/pixmaps/area.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-hboth.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-hminus.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-hplus.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-none.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-vboth.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-vminus.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar-vplus.png,
	  trunk/lib/goffice-0.0.4/pixmaps/bar.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/boxplot.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/bubble.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_area_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_area_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_area_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bar_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_boxplot_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_bubble_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_column_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cone_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_contour_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_cylinder_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_dropbar_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_dropbar_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_line_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_minmax_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_minmax_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_minmax_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_minmax_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pie_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_polar_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_2_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_pyramid_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_radar_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_radar_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_radar_1_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_ring_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_ring_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_3_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_3_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_scatter_3_3.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_stock_1_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_stock_1_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_stock_2_1.png,
	  trunk/lib/goffice-0.0.4/pixmaps/chart_stock_2_2.png,
	  trunk/lib/goffice-0.0.4/pixmaps/column.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/doughnut.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/dropbar.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/linegraph.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/minmax.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/pie.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/polar.png,
	  trunk/lib/goffice-0.0.4/pixmaps/radar.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/scatter.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/stock.xpm,
	  trunk/lib/goffice-0.0.4/pixmaps/surface.xpm,
	  trunk/lib/goffice-0.0.4/plugins/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-1.5d.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-1.5d.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol-prefs.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-dropbar.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-dropbar.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-line.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-line.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_barcol/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_boxes/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-pie-prefs.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-pie-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-pie-series.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-pie.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-pie.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/gog-ring-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_pie/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_radar/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_radar/gog-radar.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_radar/gog-radar.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_radar/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_radar/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/gog-contour-prefs.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/gog-contour-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/gog-surface.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/gog-surface.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/xl-surface.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_surface/xl-surface.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/gog-bubble-prefs.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/gog-bubble-prefs.glade,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/gog-xy.c,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/gog-xy.h,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/plot-types.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/plot_xy/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/reg_linear/Makefile.am,
	  trunk/lib/goffice-0.0.4/plugins/reg_linear/gog-lin-reg.c,
	  trunk/lib/goffice-0.0.4/plugins/reg_linear/gog-lin-reg.h,
	  trunk/lib/goffice-0.0.4/plugins/reg_linear/plugin.xml.in,
	  trunk/lib/goffice-0.0.4/plugins/reg_linear/reg-types.xml.in,
	  trunk/lib/goffice-0.0.4/po/ChangeLog,
	  trunk/lib/goffice-0.0.4/po/Makefile.in.in,
	  trunk/lib/goffice-0.0.4/po/POTFILES.in,
	  trunk/lib/goffice-0.0.4/po/am.po,
	  trunk/lib/goffice-0.0.4/po/az.po,
	  trunk/lib/goffice-0.0.4/po/bg.po,
	  trunk/lib/goffice-0.0.4/po/ca.po,
	  trunk/lib/goffice-0.0.4/po/cs.po,
	  trunk/lib/goffice-0.0.4/po/da.po,
	  trunk/lib/goffice-0.0.4/po/de.po,
	  trunk/lib/goffice-0.0.4/po/el.po,
	  trunk/lib/goffice-0.0.4/po/en_CA.po,
	  trunk/lib/goffice-0.0.4/po/en_GB.po,
	  trunk/lib/goffice-0.0.4/po/es.po,
	  trunk/lib/goffice-0.0.4/po/et.po,
	  trunk/lib/goffice-0.0.4/po/fi.po,
	  trunk/lib/goffice-0.0.4/po/fr.po,
	  trunk/lib/goffice-0.0.4/po/ga.po,
	  trunk/lib/goffice-0.0.4/po/gl.po,
	  trunk/lib/goffice-0.0.4/po/he.po,
	  trunk/lib/goffice-0.0.4/po/hr.po,
	  trunk/lib/goffice-0.0.4/po/hu.po,
	  trunk/lib/goffice-0.0.4/po/it.po,
	  trunk/lib/goffice-0.0.4/po/ja.po,
	  trunk/lib/goffice-0.0.4/po/ko.po,
	  trunk/lib/goffice-0.0.4/po/lv.po,
	  trunk/lib/goffice-0.0.4/po/ml.po,
	  trunk/lib/goffice-0.0.4/po/mr.po,
	  trunk/lib/goffice-0.0.4/po/ms.po,
	  trunk/lib/goffice-0.0.4/po/nb.po,
	  trunk/lib/goffice-0.0.4/po/nl.po,
	  trunk/lib/goffice-0.0.4/po/nn.po,
	  trunk/lib/goffice-0.0.4/po/no.po,
	  trunk/lib/goffice-0.0.4/po/pl.po,
	  trunk/lib/goffice-0.0.4/po/pt.po,
	  trunk/lib/goffice-0.0.4/po/pt_BR.po,
	  trunk/lib/goffice-0.0.4/po/ro.po,
	  trunk/lib/goffice-0.0.4/po/ru.po,
	  trunk/lib/goffice-0.0.4/po/sk.po,
	  trunk/lib/goffice-0.0.4/po/sr.po,
	  trunk/lib/goffice-0.0.4/po/sr@Latn.po,
	  trunk/lib/goffice-0.0.4/po/sv.po,
	  trunk/lib/goffice-0.0.4/po/tr.po,
	  trunk/lib/goffice-0.0.4/po/uk.po,
	  trunk/lib/goffice-0.0.4/po/vi.po,
	  trunk/lib/goffice-0.0.4/po/zh_CN.po,
	  trunk/lib/goffice-0.0.4/po/zh_TW.po,
	  trunk/lib/goffice-0.0.4/tests/Makefile.am,
	  trunk/lib/goffice-0.0.4/tests/pie-demo.c,
	  trunk/lib/libgsf-1.12.3/AUTHORS, trunk/lib/libgsf-1.12.3/BUGS,
	  trunk/lib/libgsf-1.12.3/COPYING,
	  trunk/lib/libgsf-1.12.3/COPYING.LIB,
	  trunk/lib/libgsf-1.12.3/ChangeLog,
	  trunk/lib/libgsf-1.12.3/HACKING,
	  trunk/lib/libgsf-1.12.3/INSTALL,
	  trunk/lib/libgsf-1.12.3/Makefile.am,
	  trunk/lib/libgsf-1.12.3/NEWS, trunk/lib/libgsf-1.12.3/README,
	  trunk/lib/libgsf-1.12.3/TODO,
	  trunk/lib/libgsf-1.12.3/acinclude.m4,
	  trunk/lib/libgsf-1.12.3/aclocal.m4,
	  trunk/lib/libgsf-1.12.3/compile,
	  trunk/lib/libgsf-1.12.3/config.guess,
	  trunk/lib/libgsf-1.12.3/config.sub,
	  trunk/lib/libgsf-1.12.3/configure,
	  trunk/lib/libgsf-1.12.3/configure.in,
	  trunk/lib/libgsf-1.12.3/depcomp,
	  trunk/lib/libgsf-1.12.3/doc/Makefile.am,
	  trunk/lib/libgsf-1.12.3/doc/gsf-docs.sgml,
	  trunk/lib/libgsf-1.12.3/doc/gsf-office-thumbnailer.1,
	  trunk/lib/libgsf-1.12.3/doc/gsf-overrides.txt,
	  trunk/lib/libgsf-1.12.3/doc/gsf-sections.txt,
	  trunk/lib/libgsf-1.12.3/doc/gsf.types,
	  trunk/lib/libgsf-1.12.3/doc/html/api.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Bononbo.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Compression.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-GIOChannel.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-GnomeVFS.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-GsfBlob.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-GsfClipData.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Infile-reading-structed-files.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Input-from-unstructured-files.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-MS-OLE2.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Outfile-writing-structed-files.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Output-to-unstructured-files.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Reading-and-Writing-from-local-files-and-directories.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Structured-Blobs.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Text.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-XML-and-libxml.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-Zip.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-memory.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-metadata.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf-utils.html,
	  trunk/lib/libgsf-1.12.3/doc/html/gsf.devhelp,
	  trunk/lib/libgsf-1.12.3/doc/html/home.png,
	  trunk/lib/libgsf-1.12.3/doc/html/index.html,
	  trunk/lib/libgsf-1.12.3/doc/html/index.sgml,
	  trunk/lib/libgsf-1.12.3/doc/html/into.html,
	  trunk/lib/libgsf-1.12.3/doc/html/io.html,
	  trunk/lib/libgsf-1.12.3/doc/html/ix01.html,
	  trunk/lib/libgsf-1.12.3/doc/html/left.png,
	  trunk/lib/libgsf-1.12.3/doc/html/misc.html,
	  trunk/lib/libgsf-1.12.3/doc/html/parsers.html,
	  trunk/lib/libgsf-1.12.3/doc/html/right.png,
	  trunk/lib/libgsf-1.12.3/doc/html/sources.html,
	  trunk/lib/libgsf-1.12.3/doc/html/style.css,
	  trunk/lib/libgsf-1.12.3/doc/html/up.png,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/blob.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/bonobo.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/compression.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gnome-vfs.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gnomevfs.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gnomevfs.sgml.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gsf-blob.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gsf-clip-data.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gsf-unused.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/gsf.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/infile.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/input.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/iochannel.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/memory.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/metadata.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/msole.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/outfile.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/output.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/stdio.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/text.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/utils.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/xml.sgml,
	  trunk/lib/libgsf-1.12.3/doc/tmpl/zip.sgml,
	  trunk/lib/libgsf-1.12.3/doc/version.xml.in,
	  trunk/lib/libgsf-1.12.3/doc/xml/blob.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/bonobo.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/compression.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/gnome-vfs.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/gsf-blob.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/gsf-clip-data.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/gsf.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/infile.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/input.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/iochannel.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/memory.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/metadata.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/msole.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/outfile.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/output.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/stdio.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/text.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/utils.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/xml.xml,
	  trunk/lib/libgsf-1.12.3/doc/xml/zip.xml,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/Makefile.am,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-input-bonobo.c,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-input-bonobo.h,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-input-gnomevfs.c,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-input-gnomevfs.h,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-output-bonobo.c,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-output-bonobo.h,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-output-gnomevfs.c,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-output-gnomevfs.h,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-shared-bonobo-stream.c,
	  trunk/lib/libgsf-1.12.3/gsf-gnome/gsf-shared-bonobo-stream.h,
	  trunk/lib/libgsf-1.12.3/gsf-win32/Makefile.am,
	  trunk/lib/libgsf-1.12.3/gsf-win32/gsf-input-win32.c,
	  trunk/lib/libgsf-1.12.3/gsf-win32/gsf-input-win32.h,
	  trunk/lib/libgsf-1.12.3/gsf-win32/gsf-output-win32.c,
	  trunk/lib/libgsf-1.12.3/gsf-win32/gsf-output-win32.h,
	  trunk/lib/libgsf-1.12.3/gsf/Makefile.am,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-blob.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-blob.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-clip-data.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-clip-data.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-doc-meta-data.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-doc-meta-data.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-docprop-vector.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-docprop-vector.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-impl-utils.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-msole.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-msole.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-msvba.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-msvba.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-stdio.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-stdio.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-zip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile-zip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-infile.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-bzip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-bzip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-gzip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-gzip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-iochannel.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-iochannel.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-memory.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-memory.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-proxy.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-proxy.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-stdio.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-stdio.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-textline.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input-textline.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-input.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-libxml.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-libxml.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-meta-names.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-msole-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-msole-utils.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-msole-utils.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-msole.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-msole.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-stdio.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-stdio.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-zip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile-zip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-outfile.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-bzip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-bzip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-csv.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-csv.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-gzip.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-gzip.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-iconv.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-iconv.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-iochannel.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-iochannel.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-memory.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-memory.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-stdio.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output-stdio.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-output.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-shared-memory.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-shared-memory.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-structured-blob.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-structured-blob.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-timestamp.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-timestamp.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-utils.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-utils.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-zip-impl.h,
	  trunk/lib/libgsf-1.12.3/gsf/gsf-zip-utils.c,
	  trunk/lib/libgsf-1.12.3/gsf/gsf.h,
	  trunk/lib/libgsf-1.12.3/gsf/version.c.in,
	  trunk/lib/libgsf-1.12.3/gtk-doc.make,
	  trunk/lib/libgsf-1.12.3/install-sh,
	  trunk/lib/libgsf-1.12.3/intltool-extract.in,
	  trunk/lib/libgsf-1.12.3/intltool-merge.in,
	  trunk/lib/libgsf-1.12.3/intltool-update.in,
	  trunk/lib/libgsf-1.12.3/libgsf-1.pc.in,
	  trunk/lib/libgsf-1.12.3/libgsf-1.spec.in,
	  trunk/lib/libgsf-1.12.3/libgsf-gnome-1.pc.in,
	  trunk/lib/libgsf-1.12.3/libgsf-gnome-1.spec.in,
	  trunk/lib/libgsf-1.12.3/libgsf-win32-1.pc.in,
	  trunk/lib/libgsf-1.12.3/libgsf-zip.in,
	  trunk/lib/libgsf-1.12.3/ltmain.sh,
	  trunk/lib/libgsf-1.12.3/missing,
	  trunk/lib/libgsf-1.12.3/mkinstalldirs,
	  trunk/lib/libgsf-1.12.3/po/ChangeLog,
	  trunk/lib/libgsf-1.12.3/po/Makefile.in.in,
	  trunk/lib/libgsf-1.12.3/po/POTFILES.in,
	  trunk/lib/libgsf-1.12.3/po/es.po,
	  trunk/lib/libgsf-1.12.3/python/ChangeLog,
	  trunk/lib/libgsf-1.12.3/python/Makefile.am,
	  trunk/lib/libgsf-1.12.3/python/gsf.defs,
	  trunk/lib/libgsf-1.12.3/python/gsf.override,
	  trunk/lib/libgsf-1.12.3/python/gsfmodule.c,
	  trunk/lib/libgsf-1.12.3/tests/Makefile.am,
	  trunk/lib/libgsf-1.12.3/tests/test-bzip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-cat-zip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-cp-msole.c,
	  trunk/lib/libgsf-1.12.3/tests/test-cp-zip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-cp.c,
	  trunk/lib/libgsf-1.12.3/tests/test-dump-msole.c,
	  trunk/lib/libgsf-1.12.3/tests/test-gzip1.c,
	  trunk/lib/libgsf-1.12.3/tests/test-gzip2.c,
	  trunk/lib/libgsf-1.12.3/tests/test-input1.c,
	  trunk/lib/libgsf-1.12.3/tests/test-ls-zip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-msole-printf.c,
	  trunk/lib/libgsf-1.12.3/tests/test-msole1.c,
	  trunk/lib/libgsf-1.12.3/tests/test-msole2.c,
	  trunk/lib/libgsf-1.12.3/tests/test-msvba-zip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-msvba.c,
	  trunk/lib/libgsf-1.12.3/tests/test-out-bzip.c,
	  trunk/lib/libgsf-1.12.3/tests/test-out-gzip1.c,
	  trunk/lib/libgsf-1.12.3/tests/test-out-gzip2.c,
	  trunk/lib/libgsf-1.12.3/tests/test-out-printf.c,
	  trunk/lib/libgsf-1.12.3/tests/test-outmem-printf.c,
	  trunk/lib/libgsf-1.12.3/tests/test-restore-msole.c,
	  trunk/lib/libgsf-1.12.3/tests/test-textline.c,
	  trunk/lib/libgsf-1.12.3/tests/test-zip-out-subdirs.c,
	  trunk/lib/libgsf-1.12.3/tests/test-zip-out.c,
	  trunk/lib/libgsf-1.12.3/tests/test-zip1.c,
	  trunk/lib/libgsf-1.12.3/tests/test-zip2.c,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-html-graph-gog.c: Drop internal copies
	  of libgsf and goffice. Targeted distributions should have
	  goffice packages by now.

2007-03-09 04:00  jsled

	* [r15700] trunk/src/gnome-utils/gnc-dense-cal.c: Use correct
	  index for calendar month labels; remove unused identifiers.

2007-03-09 03:22  jsled

	* [r15699] trunk/src/gnome/dialog-sx-from-trans.c: update the
	  dense-cal-store for the proposed SX name/schedule-description.

2007-03-09 03:12  jsled

	* [r15698] trunk/src/gnome/dialog-sx-editor.c: update the sx
	  name/info in the example calendar.

2007-03-09 02:46  jsled

	* [r15697] trunk/HACKING: updates, formatting; add pointers to
	  qoflog.h doxygen documentation.

2007-03-09 02:44  jsled

	* [r15696] trunk/src/doc/sx.rst, trunk/src/gnome/druid-loan.c:
	  Change Mortgage/Loan druid to generate SXes with Recurrences,
	  not FreqSpecs.

2007-03-08 23:31  andi5

	* [r15695] trunk/src/gnome-utils/gnc-html-graph-gog.c: Remove
	  unused calls to goffice svg code. The included header file
	  gog-renderer-svg.h is installed only conditionally by recent
	  goffice versions, so drop the 0-#if'ed out code completely.

2007-03-08 23:11  andi5

	* [r15694] trunk/macros/pkg.m4: Correct r15693 and lower PKG too.

2007-03-08 22:42  andi5

	* [r15693] trunk/macros/pkg.m4: Fix autogen.sh warning about
	  PKG_CONFIG_MIN_VERSION. Lower-case that word in macros/pkg.m4 to
	  avoid the need to run autogen.sh twice.

2007-03-08 02:49  jsled

	* [r15689] trunk/src/doc/sx.rst,
	  trunk/src/gnome/dialog-sx-from-trans.c: Change
	  sx-from-transaction dialog to generate Recurrences, not
	  FreqSpecs.
	* [r15688] trunk/src/gnome/glade/sched-xact.glade: Still not
	  HIGified, but a bit closer. :/

2007-03-08 01:53  jsled

	* [r15687] trunk/src/doc/sx.rst,
	  trunk/src/gnome/dialog-sx-since-last-run.c: fix
	  corruption/crasher bug where we free a transaction's guid
	  without authority.

2007-03-07 23:46  jsled

	* [r15686] trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/engine/SX-book.c, trunk/src/engine/SchedXaction.c,
	  trunk/src/gnome-utils/gnc-frequency.c,
	  trunk/src/gnome-utils/gnc-html-graph-gog.c,
	  trunk/src/gnome/dialog-sx-editor.c,
	  trunk/src/gnome/gnc-plugin-page-sx-list.c,
	  trunk/src/register/register-core/formulacell.c: Cleanup unused
	  qof-style "log_module" variables.

2007-03-07 23:38  jsled

	* [r15685] trunk/src/backend/file/gnc-freqspec-xml-v2.c: set more
	  correct daily value

2007-03-07 23:36  jsled

	* [r15684] trunk/src/backend/file/gnc-book-xml-v2.c,
	  trunk/src/gnome-utils/dialog-account.c,
	  trunk/src/gnome-utils/gnc-tree-view-sx-list.c,
	  trunk/src/import-export/qif-import/druid-qif-import.c: Remove
	  unused variables.

2007-03-07 23:34  jsled

	* [r15683] trunk/src/gnome-utils/gnc-html.c: Remove unused
	  definitions.

2007-03-07 00:27  andi5

	* [r15682] trunk/src/gnome-utils/dialog-totd.c: Fix tip of the day
	  dialog on Windows. On Windows, entries in tip_of_the_day.list
	  are separated by five newlines. This led to empty strings in the
	  dialog that got translated to the head part of xy.po. Fix this
	  by replacing all substrings of its contents of more than two
	  newlines by \n\n and also removing leading and trailing \n\n.

2007-03-06 19:57  andi5

	* [r15681] trunk/packaging/win32/custom.sh: Install.sh: Update
	  cairo, pango, intltool and aqbanking.

2007-03-06 14:12  jsled

	* [r15679] trunk/src/doc/sx.rst: Add Volker Englisch's note re
	  weirdness in created-txn review page.

2007-03-04 00:21  andi5

	* [r15678] trunk/src/gnome-utils/dialog-account.c: On creating a
	  new account, do not check account types of children. In that
	  situation, the current accounts type is invalid, so calling
	  xaccAccountTypesCompatible against the chosen type will log an
	  error. Because of the apparent lack of children there is no real
	  problem, so just skip the test. BP

2007-03-03 16:41  hampton

	* [r15677] trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/app-utils/gnc-ui-util.h: Find the root based off the
	  current account and not the book. It matters in this situation
	  as the accounts haven't actually been added to the book yet.
	  Fixes #414118.

2007-03-02 13:19  andi5

	* [r15676] trunk/src/gnome-utils/window-main-summarybar.c: Patch
	  from Mike Alexander to fix a memory leak in the summary bar.
	  #413568. When gnc_main_window_summary_refresh is called to
	  update the summary bar at the bottom of the main window, it gets
	  a GList to manage the various currencies involved. It never
	  frees this list so each call leaks some memory. BP

2007-02-28 05:57  hampton

	* [r15675] trunk/configure.in: Patch from Bill Nottingham to
	  remove redundant ofx checks.

2007-02-28 04:42  hampton

	* [r15674] trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/SchedXaction.h: Destroy no longer used template
	  accounts when reading scheduled transactions from a file. Fixes
	  #412673.

2007-02-27 14:37  jsled

	* [r15673] trunk/src/doc/sx.rst: Add todo/bug.

2007-02-27 09:24  andi5

	* [r15672] trunk/packaging/win32/install.sh: Install.sh: Use
	  add_to_env to add svn bindir to PATH.

2007-02-27 02:56  jsled

	* [r15671] trunk/src/register/ledger-core/split-register-model.c:
	  Bug#412442: initialize "display negative amounts in red" option
	  correctly. Patch from Mike Alexander <mta@umich.edu>.

2007-02-26 05:40  hampton

	* [r15667] trunk/src/gnome-utils/gnc-frequency.c,
	  trunk/src/gnome/dialog-sx-since-last-run.c,
	  trunk/src/gnome/gnc-plugin-page-sx-list.c: Remove some unused
	  variables and function declarations.

2007-02-25 21:54  cstim

	* [r15663] trunk/src/import-export/hbci/dialog-hbcitrans.c,
	  trunk/src/import-export/hbci/gnc-hbci-utils.c,
	  trunk/src/import-export/hbci/gnc-hbci-utils.h: Add check for
	  entered transaction to always have a recipient name; add some
	  more logging code for aqbanking results.

2007-02-25 20:36  jsled

	* [r15662] trunk/src/report/report-system/report.scm: Bug#342206:
	  evaluate the saved form of the report to get it added to the
	  runtime environment; if the result of the eval is not a record
	  (i.e., the report), then assume that the report has the same
	  name as an existing report, and don't write it to the saved
	  reports file.

2007-02-25 19:51  jsled

	* [r15661] trunk/src/doc/sx.rst,
	  trunk/src/gnome/dialog-sx-since-last-run.c,
	  trunk/src/gnome/dialog-sx-since-last-run.h,
	  trunk/src/gnome/gnc-plugin-basic-commands.c: Keep track of
	  auto-created transactions, and review them as well.

2007-02-25 17:35  andi5

	* [r15660] trunk/src/app-utils/app-utils.i,
	  trunk/src/app-utils/guile-util.c,
	  trunk/src/app-utils/guile-util.h,
	  trunk/src/core-utils/gnc-glib-utils.c,
	  trunk/src/core-utils/gnc-glib-utils.h: Add wrappable functions
	  to spawn, chat with and kill processes. *
	  gnc_spawn_process_async, gnc_process_get_fd and
	  gnc_detach_process in app-utils/guile-util * gnc_gpid_kill in
	  core-utils/gnc-glib-utils. Works on Windows too. Defined there
	  to avoid clashes with GUID definitions from winbase.h.

2007-02-25 16:42  jsled

	* [r15659] trunk/src/gnome-utils/gnc-frequency.c: Bug#392166:
	  don't try to force "agreement" between the frequency selections
	  and the start date; it's way too smart, and prevents the user
	  from expressing what they might need or want.

2007-02-25 16:21  jsled

	* [r15658] trunk/configure.in, trunk/src/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-html.c,
	  trunk/src/gnome-utils/gnc-html.h,
	  trunk/src/gnome-utils/gncmod-gnome-utils.c,
	  trunk/src/gnome-utils/test/Makefile.am,
	  trunk/src/gnome/Makefile.am,
	  trunk/src/import-export/qif/test/Makefile.am,
	  trunk/src/import-export/test/Makefile.am,
	  trunk/src/network-utils,
	  trunk/src/report/report-gnome/test/Makefile.am,
	  trunk/src/report/stylesheets/test/Makefile.am: Remove
	  src/network-utils/, module, lingering usages of
	  (obsolete/stubbed-out) gnc-http, form-submission.

2007-02-25 16:18  jsled

	* [r15657] trunk/src/doc/sx.rst: Updates

2007-02-25 15:25  jsled

	* [r15656] trunk/src/bin/gnucash-bin.c: Bug#338107: reorder
	  startup to make `gnucash --help` faster. :p

2007-02-25 15:08  jsled

	* [r15655] trunk/doc/gnucash.1.in, trunk/src/bin/gnucash-bin.c:
	  Bug#397689: update man page to reflect recent options changes.
	  Make fail-on-unknown-option error point the user to '--help'.

2007-02-25 11:15  andi5

	* [r15654] trunk/src/gnome-utils/gnc-html.c: Fix one more issue of
	  debug-printing %s with NULL.

2007-02-25 06:19  hampton

	* [r15653] trunk/src/scm/printing/number-to-words.scm: Guile 1.8
	  seems to be pickier about inexact->exact producing integer
	  numbers. BP

2007-02-24 02:46  andi5

	* [r15652] trunk/src/backend/file/gnc-backend-file.c: Change yet
	  another chmod to g_chmod.

2007-02-24 00:52  andi5

	* [r15651] trunk/src/bin/gnucash-bin.c: Update for 2.0.5 release.

2007-02-23 03:53  hampton

	* [r15650] trunk/src/gnome/gnc-plugin-page-account-tree.c: Show a
	  busy cursor while deleting an account, in case the deletion
	  takes a while.

2007-02-23 03:42  hampton

	* [r15649] trunk/src/gnome/gnc-plugin-page-account-tree.c: When
	  deleting an account, correctly display the new account to which
	  transactions will be moved. BP

2007-02-23 01:24  hampton

	* [r15648] trunk/accounts/C/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/C/acctchrt_business.gnucash-xea,
	  trunk/accounts/C/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/C/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/C/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/C/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/C/acctchrt_common.gnucash-xea,
	  trunk/accounts/C/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/C/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/C/acctchrt_full.gnucash-xea,
	  trunk/accounts/C/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/C/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/C/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/C/acctchrt_renter.gnucash-xea,
	  trunk/accounts/C/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/C/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/C/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/da/acctchrt_car.gnucash-xea,
	  trunk/accounts/da/acctchrt_common.gnucash-xea,
	  trunk/accounts/da/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/da/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_auto.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_autoloan.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_business.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_houseown.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_investment.gnucash-xea,
	  trunk/accounts/de_AT/acctchrt_kids.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_chkmu.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_kids.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_otherasset.gnucash-xea,
	  trunk/accounts/de_CH/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_auto.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_autoloan.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_common.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_full.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_houseown.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_investment.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_kids.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_otherasset.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_skr03.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_skr04.gnucash-xea,
	  trunk/accounts/de_DE/acctchrt_studium.gnucash-xea,
	  trunk/accounts/el_GR/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/el_GR/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/el_GR/acctchrt_common.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_common.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_currency.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_renter.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/es_ES/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_actifsfixes.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_automobile.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_basecommune.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_cdmarchemon.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_chequier.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_conjointretraite.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_conjointrev.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_courtage.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_etudeemprunt.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_garderie.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_locataire.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_proprietaire.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_retraite.gnucash-xea,
	  trunk/accounts/fr_CA/acctchrt_revenus.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_business.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_common.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_currency.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_renter.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/fr_CH/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_business.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_common.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_currency.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_renter.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/fr_FR/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_business.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_common.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_renter.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/hu_HU/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/it/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/it/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/it/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/it/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/it/acctchrt_common.gnucash-xea,
	  trunk/accounts/it/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/it/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/it/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/it/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/it/acctchrt_renter.gnucash-xea,
	  trunk/accounts/it/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/it/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/it/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/ja_JP.EUC/acctchrt_common.gnucash-xea,
	  trunk/accounts/nb/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/nb/acctchrt_business.gnucash-xea,
	  trunk/accounts/nb/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/nb/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/nb/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/nb/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/nb/acctchrt_common.gnucash-xea,
	  trunk/accounts/nb/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/nb/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/nb/acctchrt_full.gnucash-xea,
	  trunk/accounts/nb/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/nb/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/nb/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/nb/acctchrt_renter.gnucash-xea,
	  trunk/accounts/nb/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/nb/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/nb/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_common.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_currency.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_renter.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/pt_BR/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_common.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_renter.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/pt_PT/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/sk/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/sk/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/sk/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/sk/acctchrt_childcare.gnucash-xea,
	  trunk/accounts/sk/acctchrt_common.gnucash-xea,
	  trunk/accounts/sk/acctchrt_currency.gnucash-xea,
	  trunk/accounts/sk/acctchrt_eduloan.gnucash-xea,
	  trunk/accounts/sk/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/sk/acctchrt_homeloan.gnucash-xea,
	  trunk/accounts/sk/acctchrt_homeown.gnucash-xea,
	  trunk/accounts/sk/acctchrt_otherloan.gnucash-xea,
	  trunk/accounts/sk/acctchrt_renter.gnucash-xea,
	  trunk/accounts/sk/acctchrt_retiremt.gnucash-xea,
	  trunk/accounts/sk/acctchrt_spouseinc.gnucash-xea,
	  trunk/accounts/sk/acctchrt_spouseretire.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_TEKDUZ.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_brokerage.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_carloan.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_cdmoneymkt.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_checkbook.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_common.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_fixedassets.gnucash-xea,
	  trunk/accounts/tr_TR/acctchrt_homeloan.gnucash-xea: Update the
	  example account trees to include a new root account.

2007-02-23 01:23  hampton

	* [r15647] trunk/lib/libqof/backend/file/qof-backend-qsf.h,
	  trunk/lib/libqof/qof/qofinstance-p.h,
	  trunk/lib/libqof/qof/qofinstance.h,
	  trunk/lib/libqof/qof/qofsession.h,
	  trunk/src/app-utils/app-utils.i,
	  trunk/src/app-utils/gnc-account-merge.c,
	  trunk/src/app-utils/gnc-account-merge.h,
	  trunk/src/app-utils/gnc-component-manager.c,
	  trunk/src/app-utils/gnc-sx-instance-model.c,
	  trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/app-utils/gnc-ui-util.h,
	  trunk/src/app-utils/guile-util.h,
	  trunk/src/app-utils/options.scm,
	  trunk/src/backend/file/gnc-account-xml-v2.c,
	  trunk/src/backend/file/gnc-book-xml-v2.c,
	  trunk/src/backend/file/gnc-commodity-xml-v2.c,
	  trunk/src/backend/file/gnc-schedxaction-xml-v2.c,
	  trunk/src/backend/file/gnc-xml.h,
	  trunk/src/backend/file/io-example-account.c,
	  trunk/src/backend/file/io-example-account.h,
	  trunk/src/backend/file/io-gncxml-v1.c,
	  trunk/src/backend/file/io-gncxml-v2.c,
	  trunk/src/backend/file/io-utils.c,
	  trunk/src/backend/file/io-utils.h,
	  trunk/src/backend/file/test/test-load-example-account.c,
	  trunk/src/backend/file/test/test-load-xml2.c,
	  trunk/src/backend/file/test/test-xml-account.c,
	  trunk/src/backend/file/test/test-xml-transaction.c,
	  trunk/src/backend/postgres/PostgresBackend.c,
	  trunk/src/backend/postgres/PostgresBackend.h,
	  trunk/src/backend/postgres/account.c,
	  trunk/src/backend/postgres/account.h,
	  trunk/src/backend/postgres/checkpoint.c,
	  trunk/src/backend/postgres/checkpoint.h,
	  trunk/src/backend/postgres/events.c,
	  trunk/src/backend/postgres/table.m4,
	  trunk/src/backend/postgres/test/test-db.c,
	  trunk/src/backend/postgres/test/test-period.c,
	  trunk/src/backend/postgres/txn.c,
	  trunk/src/backend/postgres/txn.h,
	  trunk/src/backend/postgres/txnmass.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-gnome/business-gnome-utils.c,
	  trunk/src/business/business-gnome/dialog-payment.c,
	  trunk/src/business/business-gnome/gnc-plugin-business.c,
	  trunk/src/business/business-gnome/gnc-plugin-page-invoice.c,
	  trunk/src/business/business-ledger/gncEntryLedger.c,
	  trunk/src/business/business-ledger/gncEntryLedgerLoad.c,
	  trunk/src/business/business-reports/owner-report.scm,
	  trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Group.c,
	  trunk/src/engine/Group.h, trunk/src/engine/GroupP.h,
	  trunk/src/engine/Makefile.am, trunk/src/engine/Period.c,
	  trunk/src/engine/SX-book-p.h, trunk/src/engine/SX-book.c,
	  trunk/src/engine/SX-book.h, trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/Scrub.c, trunk/src/engine/Scrub.h,
	  trunk/src/engine/Scrub2.c, trunk/src/engine/Scrub3.c,
	  trunk/src/engine/Scrub3.h, trunk/src/engine/ScrubP.h,
	  trunk/src/engine/Split.c, trunk/src/engine/TransLog.c,
	  trunk/src/engine/Transaction.c, trunk/src/engine/Transaction.h,
